<?php

namespace Posify\Woocommerce\Authorization;

use Posify\Woocommerce\Entities\Employee;

class Auth
{
    public static function check(): bool
    {
        return is_user_logged_in();
    }

    public static function user(): ?Employee
    {
        if (!static::check()) {
            return null;
        }

        $wpUser = wp_get_current_user();
        $user = Employee::fromWpUser($wpUser);

        return $user;
    }

    public static function id(): ?int
    {
        if (!static::check()) {
            return null;
        }

        return wp_get_current_user()->ID;
    }

    public static function can($permission, ...$args): bool
    {
        return current_user_can($permission, ...$args);
    }

    public static function logout()
    {
        wp_logout();
    }
}
