<?php

namespace Posify\Woocommerce\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Posify\Core\Entities\Order as OrderEntity;
use Posify\Woocommerce\Utilities\WpTimestamp;

class Order extends Model implements OrderEntity
{
    use WpTimestamp;
    use SoftDeletes;

    protected $table = 'posify_orders';

    protected $guarded = [
        //
    ];

    /**
     * --------------------------
     * Relationships
     * --------------------------
     */

    public function paymentGateways()
    {
        return $this->hasMany(OrderPaymentGateway::class, 'order_id');
    }

    /**
     * --------------------------
     * Getters
     * --------------------------
     */

    public function getStoreId()
    {
        return $this->store_id;
    }

    public function getRegisterName()
    {
        return $this->register_name;
    }

    public function getRegisterId()
    {
        return $this->register_id;
    }

    public function getRegisterSessionId()
    {
        return $this->register_session_id;
    }

    public function getCashierId()
    {
        return $this->cashier_id;
    }

    public function getCashierName()
    {
        return $this->cashier_name;
    }

    public function getStoreName()
    {
        return $this->store_name;
    }
}
