<?php

namespace Posify\Woocommerce\Entities;

use Illuminate\Database\Eloquent\Model;
use Posify\Core\Entities\RegisterSessionEmployee as RegisterSessionEmployeeEntity;
use Posify\Woocommerce\Utilities\WpTimestamp;

class RegisterSessionEmployee extends Model implements RegisterSessionEmployeeEntity
{
    use WpTimestamp;

    protected $table = 'posify_register_session_employees';

    protected $guarded = [
        //
    ];

    protected $casts = [
        'meta' => 'array',
    ];

    public function register()
    {
        return $this->belongsTo(RegisterModel::class, 'register_id');
    }

    public function employee()
    {
        return $this->belongsTo(UserModel::class, 'employee_id');
    }

    // Alias for employee
    public function cashier()
    {
        return $this->employee();
    }

    /**
     * --------------------------
     * Getters
     * --------------------------
     */

    public function getId(): int
    {
        return $this->id;
    }

    public function getRegisterId(): int
    {
        return $this->register_id;
    }

    public function getEmployeeId(): int
    {
        return $this->employee_id;
    }

    public function getAction()
    {
        return $this->action;
    }

    public function getMeta(): ?array
    {
        return $this->meta;
    }

    public function getCreatedAt()
    {
        return $this->created_at;
    }
}
