<?php

namespace Posify\Woocommerce\Entities;

use Illuminate\Database\Eloquent\Model;
use Posify\Core\Entities\StoreEmployee as StoreEmployeeEntity;
use Posify\Woocommerce\Authorization\Auth;
use Posify\Woocommerce\Entities\Scopes\OnlyPublishedScope;
use Posify\Woocommerce\Utilities\WpTimestamp;

class StoreEmployee extends Model implements StoreEmployeeEntity
{
    use WpTimestamp;

    protected $table = 'posify_store_has_employees';

    protected $guarded = [
        //
    ];

    protected $casts = [
        //
    ];

    protected static function booted()
    {
        if (
            Auth::check()
            && Auth::can('posify_only_published_data')
            && posify_is_pro_version()
        ) {
            static::addGlobalScope(new OnlyPublishedScope);
        }
    }
}
