<?php

namespace Posify\Woocommerce\Http\Api\Controllers;

use Posify\Woocommerce\Http\Common\Controllers\BaseController;
use WP_REST_Request;

class LanguageController extends BaseController
{
    public function translations(WP_REST_Request $wpRequest)
    {
        $lang = $wpRequest->get_param('lang');
        $currentLang = get_locale();

        switch_to_locale($lang);

        $translations = [
            'Add product' => esc_html__('Add product', 'posify-for-woocommerce'),
            'Subtotal' => esc_html__('Subtotal', 'posify-for-woocommerce'),
            'Total' => esc_html__('Total', 'posify-for-woocommerce'),

            /* translators: %d: number of items */
            '%d items' => esc_html__('%d items', 'posify-for-woocommerce'),
            'Items' => esc_html__('Items', 'posify-for-woocommerce'),
            'Item' => esc_html__('Item', 'posify-for-woocommerce'),
            'Fax' => esc_html__('Fax', 'posify-for-woocommerce'),
            'Website' => esc_html__('Website', 'posify-for-woocommerce'),
            'Add customer' => esc_html__('Add customer', 'posify-for-woocommerce'),
            'Add fee or discount to this cart' => esc_html__('Add fee or discount to this cart', 'posify-for-woocommerce'),
            'Add new product' => esc_html__('Add new product', 'posify-for-woocommerce'),
            'Are you sure you want to log out?' => esc_html__('Are you sure you want to log out?', 'posify-for-woocommerce'),
            'Add to cart' => esc_html__('Add to cart', 'posify-for-woocommerce'),
            'Add the first product to the cart' => esc_html__('Add the first product to the cart', 'posify-for-woocommerce'),
            'Add a note to this cart' => esc_html__('Add a note to this cart', 'posify-for-woocommerce'),
            'All categories have been loaded' => esc_html__('All categories have been loaded', 'posify-for-woocommerce'),
            'All orders have been loaded' => esc_html__('All orders have been loaded', 'posify-for-woocommerce'),
            'All' => esc_html__('All', 'posify-for-woocommerce'),
            'Amount' => esc_html__('Amount', 'posify-for-woocommerce'),
            'Amount to pay' => esc_html__('Amount to pay', 'posify-for-woocommerce'),
            'Apply coupon' => esc_html__('Apply coupon', 'posify-for-woocommerce'),
            'Add another payment option' => esc_html__('Add another payment option', 'posify-for-woocommerce'),
            'Amount paying' => esc_html__('Amount paying', 'posify-for-woocommerce'),
            'Change customer' => esc_html__('Change customer', 'posify-for-woocommerce'),
            'Close register' => esc_html__('Close register', 'posify-for-woocommerce'),
            'Auto print receipt' => esc_html__('Auto print receipt', 'posify-for-woocommerce'),
            'Back' => esc_html__('Back', 'posify-for-woocommerce'),
            'Billing' => esc_html__('Billing', 'posify-for-woocommerce'),
            'Balance' => esc_html__('Balance', 'posify-for-woocommerce'),
            'Clear' => esc_html__('Clear', 'posify-for-woocommerce'),
            'Cancel' => esc_html__('Cancel', 'posify-for-woocommerce'),
            'Close' => esc_html__('Close', 'posify-for-woocommerce'),
            'Change' => esc_html__('Change', 'posify-for-woocommerce'),
            'Cashiers' => esc_html__('Cashiers', 'posify-for-woocommerce'),
            'Cashier' => esc_html__('Cashier', 'posify-for-woocommerce'),
            'Coupon' => esc_html__('Coupon', 'posify-for-woocommerce'),
            'Create product' => esc_html__('Create product', 'posify-for-woocommerce'),
            'Coupon amount' => esc_html__('Coupon amount', 'posify-for-woocommerce'),
            'Change price per unit' => esc_html__('Change price per unit', 'posify-for-woocommerce'),
            'Customer not found' => esc_html__('Customer not found', 'posify-for-woocommerce'),
            'Create new customer' => esc_html__('Create new customer', 'posify-for-woocommerce'),
            'Choose variation' => esc_html__('Choose variation', 'posify-for-woocommerce'),
            'Coupon not found!' => esc_html__('Coupon not found!', 'posify-for-woocommerce'),
            'Please input email' => esc_html__('Please input email', 'posify-for-woocommerce'),
            'Download report' => esc_html__('Download report', 'posify-for-woocommerce'),
            'Discount type' => esc_html__('Discount type', 'posify-for-woocommerce'),
            'Download CSV' => esc_html__('Download CSV', 'posify-for-woocommerce'),
            'Edit address' => esc_html__('Edit address', 'posify-for-woocommerce'),
            'Edit note' => esc_html__('Edit note', 'posify-for-woocommerce'),
            'Empty note' => esc_html__('Empty note', 'posify-for-woocommerce'),
            'Expiry date' => esc_html__('Expiry date', 'posify-for-woocommerce'),
            'Enter coupon code' => esc_html__('Enter coupon code', 'posify-for-woocommerce'),
            'Customer' => esc_html__('Customer', 'posify-for-woocommerce'),
            'Discount' => esc_html__('Discount', 'posify-for-woocommerce'),
            'Disabled' => esc_html__('Disabled', 'posify-for-woocommerce'),
            'Enabled' => esc_html__('Enabled', 'posify-for-woocommerce'),
            'Entry' => esc_html__('Entry', 'posify-for-woocommerce'),
            'Value' => esc_html__('Value', 'posify-for-woocommerce'),
            'Enable shipping' => esc_html__('Enable shipping', 'posify-for-woocommerce'),
            'Featured' => esc_html__('Featured', 'posify-for-woocommerce'),
            'Fee' => esc_html__('Fee', 'posify-for-woocommerce'),
            'Fee or discount' => esc_html__('Fee or discount', 'posify-for-woocommerce'),
            'Guest' => esc_html__('Guest', 'posify-for-woocommerce'),
            'Loading setting data...' => esc_html__('Loading setting data...', 'posify-for-woocommerce'),
            'Load setting unsuccessfully' => esc_html__('Load setting unsuccessfully', 'posify-for-woocommerce'),
            'Load a customer profile' => esc_html__('Load a customer profile', 'posify-for-woocommerce'),
            'Load more' => esc_html__('Load more', 'posify-for-woocommerce'),
            'Load report data unsuccessfully' => esc_html__('Load report data unsuccessfully', 'posify-for-woocommerce'),
            'Update customer successfully' => esc_html__('Update customer successfully', 'posify-for-woocommerce'),
            'Update customer unsuccessfully' => esc_html__('Update customer unsuccessfully', 'posify-for-woocommerce'),
            'Create customer successfully' => esc_html__('Create customer successfully', 'posify-for-woocommerce'),
            'Create customer unsuccessfully' => esc_html__('Create customer unsuccessfully', 'posify-for-woocommerce'),
            'Manage cash' => esc_html__('Manage cash', 'posify-for-woocommerce'),
            'Order history' => esc_html__('Order history', 'posify-for-woocommerce'),
            'On sale' => esc_html__('On sale', 'posify-for-woocommerce'),
            'Pay' => esc_html__('Pay', 'posify-for-woocommerce'),
            'Percentage' => esc_html__('Percentage', 'posify-for-woocommerce'),
            'Reason' => esc_html__('Reason', 'posify-for-woocommerce'),
            'Shipping' => esc_html__('Shipping', 'posify-for-woocommerce'),
            'Proceed as guest' => esc_html__('Proceed as guest', 'posify-for-woocommerce'),
            'Product title' => esc_html__('Product title', 'posify-for-woocommerce'),
            'Reason (Required on fee)' => esc_html__('Reason (Required on fee)', 'posify-for-woocommerce'),
            'Register screen' => esc_html__('Register screen', 'posify-for-woocommerce'),
            'Regular price' => esc_html__('Regular price', 'posify-for-woocommerce'),
            'Scan product SKU' => esc_html__('Scan product SKU', 'posify-for-woocommerce'),
            'Search product' => esc_html__('Search product', 'posify-for-woocommerce'),
            'Shipping method' => esc_html__('Shipping method', 'posify-for-woocommerce'),

            /* translators: %s: name of the shipping method */
            'Shipping - %s' => esc_html__('Shipping - %s', 'posify-for-woocommerce'),
            'Save Shipping' => esc_html__('Save Shipping', 'posify-for-woocommerce'),
            'Save address' => esc_html__('Save address', 'posify-for-woocommerce'),
            'Select a payment gateway' => esc_html__('Select a payment gateway', 'posify-for-woocommerce'),
            'Select a shipping method' => esc_html__('Select a shipping method', 'posify-for-woocommerce'),
            'Select tax status' => esc_html__('Select tax status', 'posify-for-woocommerce'),
            'Select tax class' => esc_html__('Select tax class', 'posify-for-woocommerce'),
            'Select a category' => esc_html__('Select a category', 'posify-for-woocommerce'),
            'Select a country' => esc_html__('Select a country', 'posify-for-woocommerce'),
            'Search for a customer' => esc_html__('Search for a customer', 'posify-for-woocommerce'),
            'Save customer' => esc_html__('Save customer', 'posify-for-woocommerce'),
            'Should enter email or phone to search' => esc_html__('Should enter email or phone to search', 'posify-for-woocommerce'),
            'Shipping method default' => esc_html__('Shipping method default', 'posify-for-woocommerce'),
            'Tax class' => esc_html__('Tax class', 'posify-for-woocommerce'),
            'Tax class default' => esc_html__('Tax class default', 'posify-for-woocommerce'),
            'Today profit' => esc_html__('Today profit', 'posify-for-woocommerce'),
            'Try again' => esc_html__('Try again', 'posify-for-woocommerce'),
            'Tax status default' => esc_html__('Tax status default', 'posify-for-woocommerce'),
            'Tax status' => esc_html__('Tax status', 'posify-for-woocommerce'),
            'Total paying' => esc_html__('Total paying', 'posify-for-woocommerce'),
            'The cart will be cleared and can not be restored.' => esc_html__('The cart will be cleared and can not be restored.', 'posify-for-woocommerce'),
            'Update Total' => esc_html__('Update Total', 'posify-for-woocommerce'),
            'Update' => esc_html__('Update', 'posify-for-woocommerce'),
            'SKU' => esc_html__('SKU', 'posify-for-woocommerce'),
            'Stock' => esc_html__('Stock', 'posify-for-woocommerce'),
            'Help' => esc_html__('Help', 'posify-for-woocommerce'),
            'Key' => esc_html__('Key', 'posify-for-woocommerce'),
            'Description' => esc_html__('Description', 'posify-for-woocommerce'),
            'Register' => esc_html__('Register', 'posify-for-woocommerce'),
            'Store' => esc_html__('Store', 'posify-for-woocommerce'),
            'Update Setting' => esc_html__('Update Setting', 'posify-for-woocommerce'),
            'Payment gateway default' => esc_html__('Payment gateway default', 'posify-for-woocommerce'),
            'Product category' => esc_html__('Product category', 'posify-for-woocommerce'),
            'Payment option' => esc_html__('Payment option', 'posify-for-woocommerce'),
            'Print receipt' => esc_html__('Print receipt', 'posify-for-woocommerce'),
            'Print gift receipt' => esc_html__('Print gift receipt', 'posify-for-woocommerce'),
            'Pay To This Cart' => esc_html__('Pay To This Cart', 'posify-for-woocommerce'),
            'Keyboard shortcut' => esc_html__('Keyboard shortcut', 'posify-for-woocommerce'),
            'Register information' => esc_html__('Register information', 'posify-for-woocommerce'),
            'About Posify' => esc_html__('About Posify', 'posify-for-woocommerce'),
            'Create a new cart tab' => esc_html__('Create a new cart tab', 'posify-for-woocommerce'),
            'Please confirm' => esc_html__('Please confirm', 'posify-for-woocommerce'),
            'No, keep this cart' => esc_html__('No, keep this cart', 'posify-for-woocommerce'),

            /* translators: %d: number of cart */
            'Do you want to remove the cart number #%d' => esc_html__('Do you want to remove the cart number #%d', 'posify-for-woocommerce'),
            'Remove the current cart tab with confirmation' => esc_html__('Remove the current cart tab with confirmation', 'posify-for-woocommerce'),
            'Force remove the current cart tab without confirmation' => esc_html__('Force remove the current cart tab without confirmation', 'posify-for-woocommerce'),
            'Scan product' => esc_html__('Scan product', 'posify-for-woocommerce'),
            'Search product by keyword' => esc_html__('Search product by keyword', 'posify-for-woocommerce'),
            'Add fee or discount' => esc_html__('Add fee or discount', 'posify-for-woocommerce'),
            'Add coupon' => esc_html__('Add coupon', 'posify-for-woocommerce'),
            'Add shipping' => esc_html__('Add shipping', 'posify-for-woocommerce'),
            'Add note' => esc_html__('Add note', 'posify-for-woocommerce'),
            'Add customer address' => esc_html__('Add customer address', 'posify-for-woocommerce'),
            'Close modal' => esc_html__('Close modal', 'posify-for-woocommerce'),
            'Pay a order' => esc_html__('Pay a order', 'posify-for-woocommerce'),
            'Customer profile' => esc_html__('Customer profile', 'posify-for-woocommerce'),
            'Update customer' => esc_html__('Update customer', 'posify-for-woocommerce'),
            'Use this customer profile' => esc_html__('Use this customer profile', 'posify-for-woocommerce'),
            'You can also' => esc_html__('You can also', 'posify-for-woocommerce'),
            'Quantity in stock' => esc_html__('Quantity in stock', 'posify-for-woocommerce'),
            'Please input product title' => esc_html__('Please input product title', 'posify-for-woocommerce'),
            'Please input regular price' => esc_html__('Please input regular price', 'posify-for-woocommerce'),
            'Please input your price!' => esc_html__('Please input your price!', 'posify-for-woocommerce'),
            'Create product successfully' => esc_html__('Create product successfully', 'posify-for-woocommerce'),
            'Create product unsuccessfully' => esc_html__('Create product unsuccessfully', 'posify-for-woocommerce'),
            'Billing address' => esc_html__('Billing address', 'posify-for-woocommerce'),
            'Shipping address' => esc_html__('Shipping address', 'posify-for-woocommerce'),

            /* translators: %d: number of address */
            'Address %d' => esc_html__('Address %d', 'posify-for-woocommerce'),
            'First name' => esc_html__('First name', 'posify-for-woocommerce'),
            'Last name' => esc_html__('Last name', 'posify-for-woocommerce'),
            'Address' => esc_html__('Address', 'posify-for-woocommerce'),
            'OR' => esc_html__('OR', 'posify-for-woocommerce'),
            'Remove' => esc_html__('Remove', 'posify-for-woocommerce'),
            'Name' => esc_html__('Name', 'posify-for-woocommerce'),
            'Phone' => esc_html__('Phone', 'posify-for-woocommerce'),
            'Email' => esc_html__('Email', 'posify-for-woocommerce'),
            'Company' => esc_html__('Company', 'posify-for-woocommerce'),
            'City' => esc_html__('City', 'posify-for-woocommerce'),
            'Order Date' => esc_html__('Order Date', 'posify-for-woocommerce'),
            'Order Number' => esc_html__('Order Number', 'posify-for-woocommerce'),
            'Post Code' => esc_html__('Post Code', 'posify-for-woocommerce'),
            'Country' => esc_html__('Country', 'posify-for-woocommerce'),
            'State' => esc_html__('State', 'posify-for-woocommerce'),
            'Yes' => esc_html__('Yes', 'posify-for-woocommerce'),
            'No' => esc_html__('No', 'posify-for-woocommerce'),
            'Billing use the same info for shipping' => esc_html__('Billing use the same info for shipping', 'posify-for-woocommerce'),
            'Your note' => esc_html__('Your note', 'posify-for-woocommerce'),
            'Save note' => esc_html__('Save note', 'posify-for-woocommerce'),
            'Select register' => esc_html__('Select register', 'posify-for-woocommerce'),
            'Create customer' => esc_html__('Create customer', 'posify-for-woocommerce'),
            'Back to register screen' => esc_html__('Back to register screen', 'posify-for-woocommerce'),
            'Select a register' => esc_html__('Select a register', 'posify-for-woocommerce'),

            /* translators: %d: total number of order */
            '%d orders' => esc_html__('%d orders', 'posify-for-woocommerce'),
            'On-hold' => esc_html__('On-hold', 'posify-for-woocommerce'),

            /* translators: %d: number of order */
            'Order #%d' => esc_html__('Order #%d', 'posify-for-woocommerce'),

            /* translators: %s: customer name */
            'Customer %s' => esc_html__('Customer: %s', 'posify-for-woocommerce'),

            /* translators: %s: date */
            'Paid on %s' => esc_html__('Paid on %s', 'posify-for-woocommerce'),
            'Open time' => esc_html__('Open time', 'posify-for-woocommerce'),
            'Cash in hand' => esc_html__('Cash in hand', 'posify-for-woocommerce'),
            'Net total' => esc_html__('Net total', 'posify-for-woocommerce'),
            'Total sales' => esc_html__('Total sales', 'posify-for-woocommerce'),
            'Cash total' => esc_html__('Cash total', 'posify-for-woocommerce'),
            'Closing register...' => esc_html__('Closing register...', 'posify-for-woocommerce'),
            'Close register unsuccessfully' => esc_html__('Close register unsuccessfully', 'posify-for-woocommerce'),
            'Manage cart' => esc_html__('Manage cart', 'posify-for-woocommerce'),
            'Add cash' => esc_html__('Add cash', 'posify-for-woocommerce'),
            'Save Cash' => esc_html__('Save Cash', 'posify-for-woocommerce'),
            'Added at' => esc_html__('Added at', 'posify-for-woocommerce'),
            'Saved cash successfully' => esc_html__('Saved cash successfully', 'posify-for-woocommerce'),
            'Save cash unsuccessfully' => esc_html__('Save cash unsuccessfully', 'posify-for-woocommerce'),
            'Add or remove cash' => esc_html__('Add or remove cash', 'posify-for-woocommerce'),
            'Add' => esc_html__('Add', 'posify-for-woocommerce'),
            'Minus' => esc_html__('Minus', 'posify-for-woocommerce'),
            'History' => esc_html__('History', 'posify-for-woocommerce'),
            'Employee' => esc_html__('Employee', 'posify-for-woocommerce'),
            'Note' => esc_html__('Note', 'posify-for-woocommerce'),
            'Login' => esc_html__('Login', 'posify-for-woocommerce'),
            'Password' => esc_html__('Password', 'posify-for-woocommerce'),
            'Username' => esc_html__('Username', 'posify-for-woocommerce'),
            'Order' => esc_html__('Order', 'posify-for-woocommerce'),
            'Pending' => esc_html__('Pending', 'posify-for-woocommerce'),
            'Processing' => esc_html__('Processing', 'posify-for-woocommerce'),
            'Completed' => esc_html__('Completed', 'posify-for-woocommerce'),
            'Cancelled' => esc_html__('Cancelled', 'posify-for-woocommerce'),
            'Refunded' => esc_html__('Refunded', 'posify-for-woocommerce'),
            'Failed' => esc_html__('Failed', 'posify-for-woocommerce'),
            'Trash' => esc_html__('Trash', 'posify-for-woocommerce'),
            'Products' => esc_html__('Products', 'posify-for-woocommerce'),
            'Orders' => esc_html__('Orders', 'posify-for-woocommerce'),
            'Please input your username!' => esc_html__('Please input your username!', 'posify-for-woocommerce'),
            'Please input your password!' => esc_html__('Please input your password!', 'posify-for-woocommerce'),
            'Remember me' => esc_html__('Remember me', 'posify-for-woocommerce'),
            'Choose Store and Register' => esc_html__('Choose Store and Register', 'posify-for-woocommerce'),
            'Please select your store!' => esc_html__('Please select your store!', 'posify-for-woocommerce'),
            'Please select your register!' => esc_html__('Please select your register!', 'posify-for-woocommerce'),
            'Please input the amount' => esc_html__('Please input the amount', 'posify-for-woocommerce'),
            'Open register' => esc_html__('Open register', 'posify-for-woocommerce'),
            'Logout' => esc_html__('Logout', 'posify-for-woocommerce'),
            'Take over current cashier?' => esc_html__('Take over current cashier?', 'posify-for-woocommerce'),
            'Open register unsuccessfully' => esc_html__('Open register unsuccessfully', 'posify-for-woocommerce'),

            /* translators: %s: id of register */
            'Can not get register %d' => esc_html__('Can not get register: %d', 'posify-for-woocommerce'),

            /* translators: %s: id of receipt */
            'Can not get receipt %d' => esc_html__('Can not get receipt: %d', 'posify-for-woocommerce'),
            'Can not find store' => esc_html__('Can not find store', 'posify-for-woocommerce'),

            /* translators: %s: id of store */
            'Can not find store %d' => esc_html__('Can not find store: %d', 'posify-for-woocommerce'),
            'Loading store and register...' => esc_html__('Loading store and register...', 'posify-for-woocommerce'),
            'Load store and register unsuccessfully' => esc_html__('Load store and register unsuccessfully', 'posify-for-woocommerce'),
            'Logging out...' => esc_html__('Logging out...', 'posify-for-woocommerce'),
            'Login time' => esc_html__('Login time', 'posify-for-woocommerce'),
            'Logout unsuccessfully. Please reload page.' => esc_html__('Logout unsuccessfully. Please reload page.', 'posify-for-woocommerce'),
            'Product not found' => esc_html__('Product not found', 'posify-for-woocommerce'),
            'Out of stock' => esc_html__('Out of stock', 'posify-for-woocommerce'),
            'Update setting unsuccessfully' => esc_html__('Update setting unsuccessfully', 'posify-for-woocommerce'),
            'Update setting successfully' => esc_html__('Update setting successfully', 'posify-for-woocommerce'),
            'Sync to management system' => esc_html__('Sync to management system', 'posify-for-woocommerce'),
            'All products have been loaded' => esc_html__('All products have been loaded', 'posify-for-woocommerce'),
            'Select language' => esc_html__('Select language', 'posify-for-woocommerce'),

            /* translators: %d: number of items */
            'Should enter at least %d characters' => esc_html__('Should enter at least %d characters', 'posify-for-woocommerce'),
            'Switch to the next cart tab' => esc_html__('Switch to the next cart tab', 'posify-for-woocommerce'),
            'Switch to the previous cart tab' => esc_html__('Switch to the previous cart tab', 'posify-for-woocommerce'),
            'Actions' => esc_html__('Actions', 'posify-for-woocommerce'),
            'All stores' => esc_html__('All stores', 'posify-for-woocommerce'),
            'Add employee to store' => esc_html__('Add employee to store', 'posify-for-woocommerce'),
            'After delete, you can not restore employee' => esc_html__('After delete, you can not restore employee', 'posify-for-woocommerce'),
            'After delete, you can not restore register' => esc_html__('After delete, you can not restore register', 'posify-for-woocommerce'),
            'After delete, you can not restore' => esc_html__('After delete, you can not restore', 'posify-for-woocommerce'),
            'Are you sure?' => esc_html__('Are you sure?', 'posify-for-woocommerce'),
            'Are you sure you want to close this register session?' => esc_html__('Are you sure you want to close this register session?', 'posify-for-woocommerce'),
            'Average items per order' => esc_html__('Average items per order', 'posify-for-woocommerce'),
            'Average order value' => esc_html__('Average order value', 'posify-for-woocommerce'),
            'Apply' => esc_html__('Apply', 'posify-for-woocommerce'),
            'All receipts' => esc_html__('All receipts', 'posify-for-woocommerce'),
            'All registers' => esc_html__('All registers', 'posify-for-woocommerce'),
            'All products' => esc_html__('All products', 'posify-for-woocommerce'),
            'All sessions' => esc_html__('All sessions', 'posify-for-woocommerce'),
            'Background image url' => esc_html__('Background image url', 'posify-for-woocommerce'),
            'Background color' => esc_html__('Background color', 'posify-for-woocommerce'),
            'Brand' => esc_html__('Brand', 'posify-for-woocommerce'),
            'Bulk actions' => esc_html__('Bulk actions', 'posify-for-woocommerce'),
            'Bulk delete' => esc_html__('Bulk delete', 'posify-for-woocommerce'),
            'Bulk disable' => esc_html__('Bulk disable', 'posify-for-woocommerce'),
            'Bulk enable' => esc_html__('Bulk enable', 'posify-for-woocommerce'),
            'Catalog' => esc_html__('Catalog', 'posify-for-woocommerce'),
            'Cashier label' => esc_html__('Cashier label', 'posify-for-woocommerce'),
            'Contact' => esc_html__('Contact', 'posify-for-woocommerce'),
            'Create new a employee' => esc_html__('Create new a employee', 'posify-for-woocommerce'),
            'Create new a register' => esc_html__('Create new a register', 'posify-for-woocommerce'),
            'Edit a register' => esc_html__('Edit a register', 'posify-for-woocommerce'),
            'Cash changes' => esc_html__('Cash changes', 'posify-for-woocommerce'),
            'Current' => esc_html__('Current', 'posify-for-woocommerce'),
            'Customer name label' => esc_html__('Customer name label', 'posify-for-woocommerce'),
            'Customers' => esc_html__('Customers', 'posify-for-woocommerce'),
            'Compare with' => esc_html__('Compare with', 'posify-for-woocommerce'),
            'Compare' => esc_html__('Compare', 'posify-for-woocommerce'),
            'Color' => esc_html__('Color', 'posify-for-woocommerce'),
            'Choose if to show the stock count on the register' => esc_html__('Choose if to show the stock count on the register', 'posify-for-woocommerce'),
            'Choose if enable or disable the multistock option' => esc_html__('Choose if enable or disable the multistock option', 'posify-for-woocommerce'),
            'Cash from customer paid' => esc_html__('Cash from customer paid', 'posify-for-woocommerce'),
            'Dashboard' => esc_html__('Dashboard', 'posify-for-woocommerce'),
            'Date ranges' => esc_html__('Date ranges', 'posify-for-woocommerce'),
            'Done' => esc_html__('Done', 'posify-for-woocommerce'),
            'Edit' => esc_html__('Edit', 'posify-for-woocommerce'),
            'Enable' => esc_html__('Enable', 'posify-for-woocommerce'),
            'Enable multiple stock' => esc_html__('Enable multiple stock', 'posify-for-woocommerce'),
            'Enable sound?' => esc_html__('Enable sound?', 'posify-for-woocommerce'),
            'Enable scanner?' => esc_html__('Enable scanner?', 'posify-for-woocommerce'),
            'Enable create product?' => esc_html__('Enable create product?', 'posify-for-woocommerce'),
            'Enable guest checkout?' => esc_html__('Enable guest checkout?', 'posify-for-woocommerce'),
            'Enable Register closing report?' => esc_html__('Enable Register closing report?', 'posify-for-woocommerce'),
            'Enable Register final notes?' => esc_html__('Enable Register final notes?', 'posify-for-woocommerce'),
            'Employees count' => esc_html__('Employees count', 'posify-for-woocommerce'),
            'Employees' => esc_html__('Employees', 'posify-for-woocommerce'),
            'Filter' => esc_html__('Filter', 'posify-for-woocommerce'),
            'Filter by enabled' => esc_html__('Filter by enabled', 'posify-for-woocommerce'),
            'Footer info' => esc_html__('Footer info', 'posify-for-woocommerce'),
            'Footer text' => esc_html__('Footer text', 'posify-for-woocommerce'),
            'Full name' => esc_html__('Full name', 'posify-for-woocommerce'),
            'Full address' => esc_html__('Full address', 'posify-for-woocommerce'),
            'From exists employee' => esc_html__('From exists employee', 'posify-for-woocommerce'),
            'Fee and Discount presets' => esc_html__('Fee and Discount presets', 'posify-for-woocommerce'),
            'General info' => esc_html__('General info', 'posify-for-woocommerce'),
            'General' => esc_html__('General', 'posify-for-woocommerce'),
            'Header info' => esc_html__('Header info', 'posify-for-woocommerce'),
            'How catalog show?' => esc_html__('How catalog show?', 'posify-for-woocommerce'),
            'Keyboard' => esc_html__('Keyboard', 'posify-for-woocommerce'),
            'ID' => esc_html__('ID', 'posify-for-woocommerce'),
            'Info' => esc_html__('Info', 'posify-for-woocommerce'),
            'Info color' => esc_html__('Info color', 'posify-for-woocommerce'),
            'If enabled, the Cashier will see the final report before closing the Register.' => esc_html__('If enabled, the Cashier will see the final report before closing the Register.', 'posify-for-woocommerce'),
            'If enabled, the Cashier will see the final note before closing the Register.' => esc_html__('If enabled, the Cashier will see the final note before closing the Register.', 'posify-for-woocommerce'),
            'Last month' => esc_html__('Last month', 'posify-for-woocommerce'),
            'Last quarter' => esc_html__('Last quarter', 'posify-for-woocommerce'),
            'Last week' => esc_html__('Last week', 'posify-for-woocommerce'),
            'Last year' => esc_html__('Last year', 'posify-for-woocommerce'),
            'Logo URL' => esc_html__('Logo URL', 'posify-for-woocommerce'),
            'Loading...' => esc_html__('Loading...', 'posify-for-woocommerce'),
            'List all products' => esc_html__('List all products', 'posify-for-woocommerce'),
            'Login page' => esc_html__('Login page', 'posify-for-woocommerce'),
            'Loading setting data' => esc_html__('Loading setting data', 'posify-for-woocommerce'),
            'Loading report data...' => esc_html__('Loading report data...', 'posify-for-woocommerce'),
            'Loading receipt data' => esc_html__('Loading receipt data', 'posify-for-woocommerce'),
            'Loading store data' => esc_html__('Loading store data', 'posify-for-woocommerce'),
            'Group by category' => esc_html__('Group by category', 'posify-for-woocommerce'),
            'Manager' => esc_html__('Manager', 'posify-for-woocommerce'),
            'Month to date' => esc_html__('Month to date', 'posify-for-woocommerce'),
            'Negative color' => esc_html__('Negative color', 'posify-for-woocommerce'),
            'Number Keyboard presets' => esc_html__('Number Keyboard presets', 'posify-for-woocommerce'),
            'Net sales' => esc_html__('Net sales', 'posify-for-woocommerce'),
            'New receipt' => esc_html__('New receipt', 'posify-for-woocommerce'),
            'New register' => esc_html__('New register', 'posify-for-woocommerce'),
            'New store' => esc_html__('New store', 'posify-for-woocommerce'),
            'New employee' => esc_html__('New employee', 'posify-for-woocommerce'),
            'None' => esc_html__('None', 'posify-for-woocommerce'),
            'Non-purchasable' => esc_html__('Non-purchasable', 'posify-for-woocommerce'),
            'Num items sold' => esc_html__('Num items sold', 'posify-for-woocommerce'),
            'OK' => esc_html__('OK', 'posify-for-woocommerce'),
            'Order date label' => esc_html__('Order date label', 'posify-for-woocommerce'),
            'Order date' => esc_html__('Order date', 'posify-for-woocommerce'),
            'Order number label' => esc_html__('Order number label', 'posify-for-woocommerce'),
            'Order number' => esc_html__('Order number', 'posify-for-woocommerce'),
            'Order register' => esc_html__('Order register', 'posify-for-woocommerce'),
            'Order sessions' => esc_html__('Order sessions', 'posify-for-woocommerce'),
            'Options' => esc_html__('Options', 'posify-for-woocommerce'),
            'Open' => esc_html__('Open', 'posify-for-woocommerce'),
            'Orders count' => esc_html__('Orders count', 'posify-for-woocommerce'),
            'Close time' => esc_html__('Close time', 'posify-for-woocommerce'),
            'Closed' => esc_html__('Closed', 'posify-for-woocommerce'),
            'Quantity' => esc_html__('Quantity', 'posify-for-woocommerce'),
            'Overview report' => esc_html__('Overview report', 'posify-for-woocommerce'),
            'Quarter to date' => esc_html__('Quarter to date', 'posify-for-woocommerce'),
            'Positive color' => esc_html__('Positive color', 'posify-for-woocommerce'),
            'Payments' => esc_html__('Payments', 'posify-for-woocommerce'),
            'Payment methods' => esc_html__('Payment methods', 'posify-for-woocommerce'),
            'Payment gateways' => esc_html__('Payment gateways', 'posify-for-woocommerce'),
            'Primary color' => esc_html__('Primary color', 'posify-for-woocommerce'),
            'Please input email!' => esc_html__('Please input email!', 'posify-for-woocommerce'),
            'Please input password!' => esc_html__('Please input password!', 'posify-for-woocommerce'),
            'Please input role!' => esc_html__('Please input role!', 'posify-for-woocommerce'),
            'Please input username!' => esc_html__('Please input username!', 'posify-for-woocommerce'),
            'Please input your store name!' => esc_html__('Please input your store name!', 'posify-for-woocommerce'),
            'Please select a employee!' => esc_html__('Please select a employee!', 'posify-for-woocommerce'),
            'Previous period' => esc_html__('Previous period', 'posify-for-woocommerce'),
            'Previous year' => esc_html__('Previous year', 'posify-for-woocommerce'),
            'Preview your receipt' => esc_html__('Preview your receipt', 'posify-for-woocommerce'),
            'Product by categories' => esc_html__('Product by categories', 'posify-for-woocommerce'),
            'Print example' => esc_html__('Print example', 'posify-for-woocommerce'),
            'Postcode / Zip' => esc_html__('Postcode / Zip', 'posify-for-woocommerce'),
            'Postcode' => esc_html__('Postcode', 'posify-for-woocommerce'),
            'Receipts' => esc_html__('Receipts', 'posify-for-woocommerce'),
            'Receipt' => esc_html__('Receipt', 'posify-for-woocommerce'),
            'Register label' => esc_html__('Register label', 'posify-for-woocommerce'),
            'Register sessions' => esc_html__('Register sessions', 'posify-for-woocommerce'),
            'Register session #{sessionViewId}' => esc_html__('Register session #{sessionViewId}', 'posify-for-woocommerce'),
            'Registers' => esc_html__('Registers', 'posify-for-woocommerce'),
            'Register session' => esc_html__('Register session', 'posify-for-woocommerce'),
            'Registers count' => esc_html__('Registers count', 'posify-for-woocommerce'),
            'Register name' => esc_html__('Register name', 'posify-for-woocommerce'),
            'Receipt draft #' => esc_html__('Receipt draft #', 'posify-for-woocommerce'),
            'Receipt name' => esc_html__('Receipt name', 'posify-for-woocommerce'),
            'Role' => esc_html__('Role', 'posify-for-woocommerce'),
            'Report' => esc_html__('Report', 'posify-for-woocommerce'),
            'Save' => esc_html__('Save', 'posify-for-woocommerce'),
            'Sales' => esc_html__('Sales', 'posify-for-woocommerce'),
            'Still purchase' => esc_html__('Still purchase', 'posify-for-woocommerce'),
            'Saved successfully' => esc_html__('Saved successfully', 'posify-for-woocommerce'),
            'Secondary color' => esc_html__('Secondary color', 'posify-for-woocommerce'),
            'Search employee' => esc_html__('Search employee', 'posify-for-woocommerce'),
            'Search receipt' => esc_html__('Search receipt', 'posify-for-woocommerce'),
            'Search register' => esc_html__('Search register', 'posify-for-woocommerce'),
            'Select a payment method' => esc_html__('Select a payment method', 'posify-for-woocommerce'),
            'Select a product' => esc_html__('Select a product', 'posify-for-woocommerce'),
            'Select a store' => esc_html__('Select a store', 'posify-for-woocommerce'),
            'Select open date' => esc_html__('Select open date', 'posify-for-woocommerce'),
            'Select close date' => esc_html__('Select close date', 'posify-for-woocommerce'),
            'Select file' => esc_html__('Select file', 'posify-for-woocommerce'),
            'Select categories' => esc_html__('Select categories', 'posify-for-woocommerce'),
            'Select the global payment methods. These methods can be overridden for every single Register.' => esc_html__('Select the global payment methods. These methods can be overridden for every single Register.', 'posify-for-woocommerce'),
            'Select the global shipping methods. These methods can be overridden for every single Register.' => esc_html__('Select the global shipping methods. These methods can be overridden for every single Register.', 'posify-for-woocommerce'),
            'Select the global tax classes. These methods can be overridden for every single Register.' => esc_html__('Select the global tax classes. These methods can be overridden for every single Register.', 'posify-for-woocommerce'),
            'Select the global tax status. These methods can be overridden for every single Register.' => esc_html__('Select the global tax status. These methods can be overridden for every single Register.', 'posify-for-woocommerce'),
            'Select products' => esc_html__('Select products', 'posify-for-woocommerce'),
            'Select a receipt' => esc_html__('Select a receipt', 'posify-for-woocommerce'),
            'Set the percentage discount presets within the number keyboard' => esc_html__('Set the percentage discount presets within the number keyboard', 'posify-for-woocommerce'),
            'Set the percentage discount presets within the fee and discount editor' => esc_html__('Set the percentage discount presets within the fee and discount editor', 'posify-for-woocommerce'),
            'Show {social}' => esc_html__('Show {social}', 'posify-for-woocommerce'),
            'Show cashier name' => esc_html__('Show cashier name', 'posify-for-woocommerce'),
            'Show customer name' => esc_html__('Show customer name', 'posify-for-woocommerce'),
            'Show fax' => esc_html__('Show fax', 'posify-for-woocommerce'),
            'Show order date' => esc_html__('Show order date', 'posify-for-woocommerce'),
            'Show order number' => esc_html__('Show order number', 'posify-for-woocommerce'),
            'Show phone' => esc_html__('Show phone', 'posify-for-woocommerce'),
            'Show product SKU' => esc_html__('Show product SKU', 'posify-for-woocommerce'),
            'Show register name' => esc_html__('Show register name', 'posify-for-woocommerce'),
            'Show shipping detail' => esc_html__('Show shipping detail', 'posify-for-woocommerce'),
            'Show store address' => esc_html__('Show store address', 'posify-for-woocommerce'),
            'Show store logo' => esc_html__('Show store logo', 'posify-for-woocommerce'),
            'Show store name' => esc_html__('Show store name', 'posify-for-woocommerce'),
            'Show VAT' => esc_html__('Show VAT', 'posify-for-woocommerce'),
            'Show website' => esc_html__('Show website', 'posify-for-woocommerce'),
            'Show stock on register' => esc_html__('Show stock on register', 'posify-for-woocommerce'),
            'Shipping label' => esc_html__('Shipping label', 'posify-for-woocommerce'),
            'Shipping - {method}' => esc_html__('Shipping - {method}', 'posify-for-woocommerce'),
            'Shipping methods' => esc_html__('Shipping methods', 'posify-for-woocommerce'),
            'Social' => esc_html__('Social', 'posify-for-woocommerce'),
            'SKU label' => esc_html__('SKU label', 'posify-for-woocommerce'),
            'Settings' => esc_html__('Settings', 'posify-for-woocommerce'),
            'Should enter email to search' => esc_html__('Should enter email to search', 'posify-for-woocommerce'),
            'Stores' => esc_html__('Stores', 'posify-for-woocommerce'),
            'Store info' => esc_html__('Store info', 'posify-for-woocommerce'),
            'Store name' => esc_html__('Store name', 'posify-for-woocommerce'),
            'Specific products' => esc_html__('Specific products', 'posify-for-woocommerce'),
            'Tax classes' => esc_html__('Tax classes', 'posify-for-woocommerce'),
            'Taxable' => esc_html__('Taxable', 'posify-for-woocommerce'),
            'Today' => esc_html__('Today', 'posify-for-woocommerce'),
            'Total discounts' => esc_html__('Total discounts', 'posify-for-woocommerce'),
            'Total items' => esc_html__('Total items', 'posify-for-woocommerce'),
            'Total customer' => esc_html__('Total customer', 'posify-for-woocommerce'),
            'Total orders' => esc_html__('Total orders', 'posify-for-woocommerce'),
            'Title' => esc_html__('Title', 'posify-for-woocommerce'),
            'Time status' => esc_html__('Time status', 'posify-for-woocommerce'),
            'Thank you' => esc_html__('Thank you', 'posify-for-woocommerce'),
            'Use general stock' => esc_html__('Use general stock', 'posify-for-woocommerce'),
            'VAT label' => esc_html__('VAT label', 'posify-for-woocommerce'),
            'VAT' => esc_html__('VAT', 'posify-for-woocommerce'),
            'VAT number' => esc_html__('VAT number', 'posify-for-woocommerce'),
            'View' => esc_html__('View', 'posify-for-woocommerce'),
            'Week to date' => esc_html__('Week to date', 'posify-for-woocommerce'),
            'Yesterday' => esc_html__('Yesterday', 'posify-for-woocommerce'),
            'Year to date' => esc_html__('Year to date', 'posify-for-woocommerce'),
            'You can not edit receipt information' => esc_html__('You can not edit receipt information', 'posify-for-woocommerce'),
            'You can not edit store information' => esc_html__('You can not edit store information', 'posify-for-woocommerce'),
            'What catalog includes?' => esc_html__('What catalog includes?', 'posify-for-woocommerce'),
            'Product is not purchasable' => esc_html__('Product is not purchasable', 'posify-for-woocommerce'),
        ];

        // set locale back to current
        switch_to_locale($currentLang);

        return $this->json($translations);
    }
}
