<?php

namespace Posify\Woocommerce\Http\Api\Controllers;

use Posify\Woocommerce\DB;
use Posify\Woocommerce\Http\Common\Controllers\BaseController;

class PingController extends BaseController
{
    public function __invoke()
    {
        global $wpdb;

        $wp_current_time = current_time('mysql');

        // phpcs:ignore WordPress.DB.DirectDatabaseQuery.DirectQuery, WordPress.DB.DirectDatabaseQuery.NoCaching
        $wp_db_current_time = $wpdb->get_var("SELECT NOW()");
        $posify_current_time = posify_now()->toDateTimeString();
        $posify_db_current_time = DB::select("SELECT NOW() as now")[0]->now;

        return $this->json([
            'message' => 'pong',
            'system_informations' => [
                'posify_time_equal_wp_time' => $posify_current_time === $wp_current_time,
                'posify_db_time_equal_wp_db_time' => $posify_db_current_time === $wp_db_current_time,

                'wp_current_time' => $wp_current_time,
                'wp_db_current_time' => $wp_db_current_time,

                'posify_current_time' => $posify_current_time,
                'posify_db_current_time' => $posify_db_current_time,

                // phpcs:ignore WordPress.DateTime.RestrictedFunctions.date_date
                'php_current_time' => date('Y-m-d H:i:s'),
            ],
        ], 200);
    }
}
