<?php

namespace Posify\Woocommerce\Http\Web\Controllers;

use Posify\CustomerLicense\Utils;
use Posify\Woocommerce\Http\Common\Controllers\BaseController;
use Posify\Woocommerce\ServiceProviders\PosServiceProvider;

class AdminController extends BaseController
{
    public function index()
    {
        $posURL = '';
        $optionName = PosServiceProvider::PAGE_ID_OPTION_NAME;
        $pageId = get_option($optionName);

        if ($pageId) {
            $posURL = get_permalink($pageId);
        }

        $user = wp_get_current_user();
        $lang = get_user_meta($user->ID, 'locale', true);
        $params = '?route=short/get-posify-pro&utm_source=wp-admin';
        $referCode = posify_get_affiliate_code();

        if ($referCode) {
            $params .= '&refer_code=' . $referCode;
        }

        $upgradeUrl = Utils::getPosifyHomeUrl($params);

        $generalSettings = [
            'lang' => $lang,
            'currency' => [
                'code' => get_woocommerce_currency(),
                'currencyPos' => get_option('woocommerce_currency_pos'),
                'thousandSep' => get_option('woocommerce_price_thousand_sep'),
                'decimalSep' => get_option('woocommerce_price_decimal_sep'),
                'numDecimals' => get_option('woocommerce_price_num_decimals'),
                'symbol' => html_entity_decode(get_woocommerce_currency_symbol(), ENT_HTML5),
                'symbolPos' => get_option('woocommerce_currency_pos'),
            ],
        ];

        $this->view('admin/admin', compact('posURL', 'generalSettings', 'upgradeUrl'));
    }
}
