<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_002_Create_Receipts_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_receipts')) {
            DB::schema()->create('posify_receipts', function ($table) {
                $table->id();
                $table->string('name')->nullable();
                $table->boolean('show_logo')->default(true);
                $table->string('logo_url')->nullable();
                $table->boolean('show_sku')->default(true);
                $table->string('sku_label')->nullable();
                $table->boolean('show_store_name')->default(true);
                $table->text('receipt_footer')->nullable();
                $table->boolean('show_vat')->default(true);
                $table->string('vat_label')->nullable();
                $table->boolean('show_address')->default(true);
                $table->boolean('show_phone')->default(true);
                $table->boolean('show_email')->default(true);
                $table->boolean('show_fax')->default(true);
                $table->boolean('show_website')->default(true);
                $table->boolean('show_facebook')->default(true);
                $table->boolean('show_twitter')->default(true);
                $table->boolean('show_instagram')->default(true);
                $table->boolean('show_youtube')->default(true);
                $table->boolean('show_order_date')->default(true);
                $table->string('order_date_label')->nullable();
                $table->boolean('show_order_number')->default(true);
                $table->string('order_number_label')->nullable();
                $table->boolean('show_order_customer')->default(true);
                $table->string('order_customer_label')->nullable();
                $table->boolean('show_shipping')->default(true);
                $table->string('shipping_label')->nullable();
                $table->boolean('show_order_register')->default(true);
                $table->string('order_register_label')->nullable();
                $table->boolean('show_cashier')->default(true);
                $table->string('cashier_label')->nullable();
                $table->timestamps();
            });
        }
    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_receipts');
    }
}
