<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_003_Create_Stores_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_stores')) {
            DB::schema()->create('posify_stores', function ($table) {
                $table->id();
                $table->string('name')->nullable();
                $table->string('address')->nullable();
                $table->string('city')->nullable();
                $table->string('country_state')->nullable();
                $table->string('postcode')->nullable();
                $table->string('phone')->nullable();
                $table->string('fax')->nullable();
                $table->string('email')->nullable();
                $table->string('website')->nullable();
                $table->string('facebook')->nullable();
                $table->string('twitter')->nullable();
                $table->string('instagram')->nullable();
                $table->string('youtube')->nullable();
                $table->boolean('enabled')->default(false);
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_stores');
    }
}
