<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_004_Create_Orders_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_orders')) {
            DB::schema()->create('posify_orders', function ($table) {
                $table->id();
                $table->unsignedBigInteger('customer_id')->nullable();
                $table->unsignedBigInteger('register_id')->nullable();
                $table->unsignedBigInteger('register_session_id')->nullable();
                $table->unsignedBigInteger('cashier_id')->nullable();
                $table->unsignedBigInteger('store_id')->nullable();
                $table->string('store_name')->nullable();
                $table->string('register_name')->nullable();
                $table->string('cashier_name')->nullable();
                $table->string('currency')->nullable();
                $table->decimal('shipping_tax', 10, 2)->nullable();
                $table->decimal('order_tax', 10, 2)->nullable();
                $table->decimal('order_total', 10, 2)->nullable();
                $table->decimal('prices_include_tax', 10, 2)->nullable();
                $table->text('billing_address_index')->nullable();
                $table->text('shipping_address_index')->nullable();
                $table->decimal('cart_discount', 10, 2)->nullable();
                $table->decimal('cart_discount_tax', 10, 2)->nullable();
                $table->decimal('order_shipping', 10, 2)->nullable();
                $table->string('payment_method')->nullable();
                $table->string('payment_method_title')->nullable();
                $table->string('billing_first_name')->nullable();
                $table->string('billing_last_name')->nullable();
                $table->string('billing_company')->nullable();
                $table->string('billing_address_1')->nullable();
                $table->string('billing_address_2')->nullable();
                $table->string('billing_city')->nullable();
                $table->string('billing_state')->nullable();
                $table->string('billing_postcode')->nullable();
                $table->string('billing_country')->nullable();
                $table->string('billing_email')->nullable();
                $table->string('billing_phone')->nullable();
                $table->string('shipping_first_name')->nullable();
                $table->string('shipping_last_name')->nullable();
                $table->string('shipping_company')->nullable();
                $table->string('shipping_address_1')->nullable();
                $table->string('shipping_address_2')->nullable();
                $table->string('shipping_city')->nullable();
                $table->string('shipping_state')->nullable();
                $table->string('shipping_postcode')->nullable();
                $table->string('shipping_country')->nullable();
                $table->string('shipping_phone')->nullable();
                $table->string('shipping_email')->nullable();
                $table->integer('total_items')->nullable();
                $table->decimal('total_paying', 10, 2)->nullable();
                $table->decimal('total_balance', 10, 2)->nullable();
                $table->decimal('total_change', 10, 2)->nullable();
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_orders');
    }
}
