<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_005_Create_Order_Payment_Gateways_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_order_payment_gateways')) {
            DB::schema()->create('posify_order_payment_gateways', function ($table) {
                $table->id();
                $table->unsignedBigInteger('order_id');
                $table->string('payment_gateway_id')->nullable();
                $table->string('payment_gateway_title')->nullable();
                $table->decimal('amount', 10, 2)->nullable();
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_order_payment_gateways');
    }
}
