<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_006_Create_Register_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_registers')) {
            DB::schema()->create('posify_registers', function ($table) {
                $table->id();
                $table->string('name')->nullable();
                $table->unsignedBigInteger('store_id');
                $table->unsignedBigInteger('receipt_id')->nullable();
                $table->string('payment_gateways')->nullable();
                $table->string('default_payment_gateway')->nullable();
                $table->string('shipping_methods')->nullable();
                $table->string('default_shipping_method')->nullable();
                $table->string('tax_classes')->nullable();
                $table->string('default_tax_class')->nullable();
                $table->string('tax_status')->nullable();
                $table->string('default_tax_status')->nullable();
                $table->boolean('closing_report_enabled')->default(false);
                $table->boolean('closing_report_note_enabled')->default(false);
                $table->string('catalog_include_type')->nullable();
                $table->text('catalog_include_products')->nullable();
                $table->text('catalog_include_categories')->nullable();
                $table->text('catalog_include_data')->nullable();
                $table->string('catalog_show_in_pos_type')->nullable();
                $table->string('numeric_controller_discount_presets')->nullable();
                $table->string('fee_and_discount_presets')->nullable();
                $table->boolean('enabled')->default(false);
                $table->boolean('audio_enabled')->default(true);
                $table->boolean('scan_enabled')->default(true);
                $table->boolean('auto_print_receipt_enabled')->default(true);
                $table->boolean('guest_checkout_enabled')->default(true);
                $table->boolean('create_product_enabled')->default(true);
                $table->boolean('shipping_enabled')->default(true);
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_registers');
    }
}
