<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_008_Create_Register_Session_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_register_sessions')) {
            DB::schema()->create('posify_register_sessions', function ($table) {
                $table->id();
                $table->unsignedBigInteger('store_id');
                $table->unsignedBigInteger('employee_id');
                $table->unsignedBigInteger('register_id');
                $table->dateTime('open_time')->nullable();
                $table->dateTime('close_time')->nullable();
                $table->decimal('opening_amount', 10, 2)->default(0);
                $table->decimal('amount', 10, 2)->default(0);
                $table->text('note')->nullable();
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_register_sessions');
    }
}
