<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_010_Create_Cash_In_Hands_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_register_cashes')) {
            DB::schema()->create('posify_register_cashes', function ($table) {
                $table->id();
                $table->unsignedBigInteger('store_id');
                $table->unsignedBigInteger('employee_id');
                $table->unsignedBigInteger('register_id');
                $table->unsignedBigInteger('session_id');
                $table->decimal('amount', 10, 2)->default(0);
                $table->text('description')->nullable();
                $table->timestamps();
            });
        }
    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_register_cashes');
    }
}
