<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_011_Create_Stocks_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_stocks')) {
            DB::schema()->create('posify_stocks', function ($table) {
                $table->id();
                $table->unsignedBigInteger('store_id')->nullable();
                $table->unsignedBigInteger('product_id')->nullable();
                $table->unsignedBigInteger('variant_id')->nullable();
                $table->integer('stock_quantity')->nullable();
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_stocks');
    }
}
