<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_012_Alter_Receipts_Table_Add_Show_Customer_Note extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasColumn('posify_receipts', 'show_customer_note')) {
            DB::schema()->table('posify_receipts', function ($table) {
                $table->boolean('show_customer_note')->default(false);
            });
        }

        if (!DB::schema()->hasColumn('posify_receipts', 'customer_note_label')) {
            DB::schema()->table('posify_receipts', function ($table) {
                $table->string('customer_note_label')->nullable();
            });
        }
    }

    public static function down()
    {
        if (DB::schema()->hasColumn('posify_receipts', 'show_customer_note')) {
            DB::schema()->table('posify_receipts', function ($table) {
                $table->dropColumn('show_customer_note');
            });
        }

        if (DB::schema()->hasColumn('posify_receipts', 'customer_note_label')) {
            DB::schema()->table('posify_receipts', function ($table) {
                $table->dropColumn('customer_note_label');
            });
        }
    }
}
