<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_013_Alter_Stores_Table_Add_Vat_Number extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasColumn('posify_stores', 'vat_number')) {
            DB::schema()->table('posify_stores', function ($table) {
                $table->string('vat_number')->nullable();
            });
        }
    }

    public static function down()
    {
        if (DB::schema()->hasColumn('posify_stores', 'vat_number')) {
            DB::schema()->table('posify_stores', function ($table) {
                $table->dropColumn('vat_number');
            });
        }
    }
}
