<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_014_Alter_Orders_Table_Add_Soft_Deletes extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasColumn('posify_orders', 'deleted_at')) {
            DB::schema()->table('posify_orders', function ($table) {
                $table->softDeletes();
            });
        }
    }

    public static function down()
    {
        if (DB::schema()->hasColumn('posify_orders', 'deleted_at')) {
            DB::schema()->table('posify_orders', function ($table) {
                $table->dropSoftDeletes();
            });
        }
    }
}
