<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;


class Migration_015_Create_Indexes extends Migration
{
    public static function up()
    {
        static::createIndexIfNotExist('posify_store_has_employees', 'store_id');
        static::createIndexIfNotExist('posify_store_has_employees', 'employee_id');

        static::createIndexIfNotExist('posify_order_payment_gateways', 'order_id');
        static::createIndexIfNotExist('posify_order_payment_gateways', 'payment_gateway_id');

        static::createIndexIfNotExist('posify_orders', 'customer_id');
        static::createIndexIfNotExist('posify_orders', 'register_id');
        static::createIndexIfNotExist('posify_orders', 'register_session_id');
        static::createIndexIfNotExist('posify_orders', 'cashier_id');
        static::createIndexIfNotExist('posify_orders', 'store_id');

        static::createIndexIfNotExist('posify_register_cashes', 'employee_id');
        static::createIndexIfNotExist('posify_register_cashes', 'store_id');
        static::createIndexIfNotExist('posify_register_cashes', 'register_id');
        static::createIndexIfNotExist('posify_register_cashes', 'session_id');

        static::createIndexIfNotExist('posify_registers', 'store_id');
        static::createIndexIfNotExist('posify_registers', 'receipt_id');

        static::createIndexIfNotExist('posify_register_session_employees', 'session_id');
        static::createIndexIfNotExist('posify_register_session_employees', 'employee_id');
        static::createIndexIfNotExist('posify_register_session_employees', 'employee_id');

        static::createIndexIfNotExist('posify_register_sessions', 'store_id');
        static::createIndexIfNotExist('posify_register_sessions', 'employee_id');
        static::createIndexIfNotExist('posify_register_sessions', 'register_id');

        static::createIndexIfNotExist('posify_stocks', 'store_id');
        static::createIndexIfNotExist('posify_stocks', 'product_id');
        static::createIndexIfNotExist('posify_stocks', 'variant_id');
    }

    public static function down()
    {
        static::dropIndexIfExist('posify_store_has_employees', 'store_id');
        static::dropIndexIfExist('posify_store_has_employees', 'employee_id');

        static::dropIndexIfExist('posify_order_payment_gateways', 'order_id');
        static::dropIndexIfExist('posify_order_payment_gateways', 'payment_gateway_id');

        static::dropIndexIfExist('posify_orders', 'customer_id');
        static::dropIndexIfExist('posify_orders', 'register_id');
        static::dropIndexIfExist('posify_orders', 'register_session_id');
        static::dropIndexIfExist('posify_orders', 'cashier_id');
        static::dropIndexIfExist('posify_orders', 'store_id');

        static::dropIndexIfExist('posify_register_cashes', 'employee_id');
        static::dropIndexIfExist('posify_register_cashes', 'store_id');
        static::dropIndexIfExist('posify_register_cashes', 'register_id');
        static::dropIndexIfExist('posify_register_cashes', 'session_id');

        static::dropIndexIfExist('posify_registers', 'store_id');
        static::dropIndexIfExist('posify_registers', 'receipt_id');

        static::dropIndexIfExist('posify_register_session_employees', 'session_id');
        static::dropIndexIfExist('posify_register_session_employees', 'employee_id');
        static::dropIndexIfExist('posify_register_session_employees', 'employee_id');

        static::dropIndexIfExist('posify_register_sessions', 'store_id');
        static::dropIndexIfExist('posify_register_sessions', 'employee_id');
        static::dropIndexIfExist('posify_register_sessions', 'register_id');

        static::dropIndexIfExist('posify_stocks', 'store_id');
        static::dropIndexIfExist('posify_stocks', 'product_id');
        static::dropIndexIfExist('posify_stocks', 'variant_id');
    }
}
