<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_016_Alter_Register_Table_Add_Show_Stock_Quantity extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasColumn('posify_registers', 'show_stock_quantity')) {
            DB::schema()->table('posify_registers', function ($table) {
                $table->boolean('show_stock_quantity')->default(true);
            });
        }
    }

    public static function down()
    {
        if (DB::schema()->hasColumn('posify_registers', 'show_stock_quantity')) {
            DB::schema()->table('posify_registers', function ($table) {
                $table->dropColumn('show_stock_quantity');
            });
        }
    }
}
