<?php

namespace Posify\Woocommerce\Policies;

use Posify\Core\Entities\Receipt;

class ReceiptPolicy extends Policy
{
    public function read(?Receipt $receipt = null): bool
    {
        return apply_filters(
            'posify_check_permissions',
            null,
            'read',
            $receipt,
            'posify_receipt'
        );
    }

    public function create()
    {
        return apply_filters(
            'posify_check_permissions',
            false,
            'create',
            null,
            'posify_receipt'
        );
    }

    public function update(Receipt $receipt)
    {
        return apply_filters(
            'posify_check_permissions',
            null,
            'edit',
            $receipt,
            'posify_receipt'
        );
    }

    public function delete(Receipt $receipt)
    {
        return apply_filters(
            'posify_check_permissions',
            null,
            'delete',
            $receipt,
            'posify_receipt'
        );
    }
}

