<?php

namespace Posify\Woocommerce\Repositories;

use Posify\Core\DataTransferObjects\RegisterCashQueryArgs;
use Posify\Core\Repositories\RegisterCashRepository as RegisterCashRepositoryInterface;
use Posify\Woocommerce\Entities\RegisterCash;
use Posify\Woocommerce\Repositories\EloquentRepository;

class RegisterCashRepository extends EloquentRepository implements RegisterCashRepositoryInterface
{
    public function query(RegisterCashQueryArgs $args)
    {
        return RegisterCash::query()
            ->when($args->getWith(), function ($query) use ($args) {
                $query->with($args->getWith());
            })
            ->when($args->getSort(), function ($query) use ($args) {
                $query->orderBy($args->getSort(), $args->getOrder());
            })
            ->when($args->id, function ($query) use ($args) {
                $query->where('id', $args->id);
            })
            ->when($args->session_id, function ($query) use ($args) {
                $query->where('session_id', $args->session_id);
            });
    }

    public function get(RegisterCashQueryArgs $args)
    {
        return $this
            ->query($args)
            ->get();
    }

    public function paginate(RegisterCashQueryArgs $args)
    {
        return $this
            ->query($args)
            ->paginate($args->getPerpage(), $args->getSelect(), $args->getPageParam(), $args->getPage());
    }

    public function find(int $id): ?RegisterCash
    {
        return RegisterCash::find($id);
    }
}
