<?php

namespace Posify\Woocommerce\Repositories;

use Posify\Core\DataTransferObjects\UpdateSettingData;
use Posify\Core\Repositories\SettingRepository as CoreSettingRepository;
use Posify\Core\ValueObjects\Undefined;

class SettingRepository implements CoreSettingRepository
{
    public const PREFIX = 'posify_';

    public function get(string $key, $default = null)
    {
        return get_option(static::PREFIX . $key, $default);
    }

    public function getBool(string $key, $default = false): bool
    {
        return (bool) $this->get($key, $default);
    }

    public function update(UpdateSettingData $data): void
    {
        foreach ($data as $key => $value) {
            if (Undefined::is($value)) {
                continue;
            }

            update_option(static::PREFIX . $key, $value);
        }
    }
}
