<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\Core\Entities as CoreEntities;
use Posify\Core\Loader;
use Posify\Woocommerce\Entities;

class EntityServiceProvider extends BaseServiceProvider
{
    protected static $instance;

    public static function instance()
    {
        if (is_null(static::$instance)) {
            static::$instance = new static;
        }

        return static::$instance;
    }

    public function register()
    {
        Loader::bind(CoreEntities\Employee::class, Entities\Employee::class);
        Loader::bind(CoreEntities\Store::class, Entities\Store::class);
        Loader::bind(CoreEntities\StoreEmployee::class, Entities\StoreEmployee::class);
        Loader::bind(CoreEntities\Stock::class, Entities\Stock::class);
        Loader::bind(CoreEntities\Receipt::class, Entities\Receipt::class);
        Loader::bind(CoreEntities\Register::class, Entities\Register::class);
        Loader::bind(CoreEntities\RegisterSession::class, Entities\RegisterSession::class);
        Loader::bind(CoreEntities\RegisterSessionEmployee::class, Entities\RegisterSessionEmployee::class);
        Loader::bind(CoreEntities\RegisterCash::class, Entities\RegisterCash::class);
        Loader::bind(CoreEntities\Employee::class, Entities\Employee::class);
    }
}
