<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\CustomerLicense\LicenseManager;
use Posify\Woocommerce\Utilities\HasInstance;

class LicenseServiceProvider extends BaseServiceProvider
{
    use HasInstance;

    public function register()
    {
        LicenseManager::getInstance()->setProduct(posify_is_pro_version() ? 'posify-pro' : 'posify-free');
        LicenseManager::getInstance()->setLicenseKey(get_option('posify_license_key', null));

        add_action('posify_remove_license_key', [$this, 'onRemoveLicenseKey']);
        add_action('posify_save_license_key', [$this, 'onSaveLicenseKey']);
    }

    public function onRemoveLicenseKey()
    {
        update_option('posify_license_key', null);
    }

    public function onSaveLicenseKey()
    {
        update_option('posify_license_key', LicenseManager::getInstance()->getLicenseAsString());
    }
}
