<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\Woocommerce\Payment\PosifyCashPaymentGateway;
use Posify\Woocommerce\Utilities\HasInstance;

class PaymentServiceProvider extends BaseServiceProvider
{
    use HasInstance;

    public function register()
    {
        $this->registerCashPaymentGateway();
    }

    protected function registerCashPaymentGateway()
    {
        add_filter('woocommerce_payment_gateways', function ($gateways) {
            $gateways[] = PosifyCashPaymentGateway::class;
            return $gateways;
        });
    }
}
