<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\Core\Loader;
use Posify\Core\Repositories as CoreRepositories;
use Posify\Woocommerce\Repositories;
use Posify\Woocommerce\Utilities\HasInstance;

class RepositoryServiceProvider extends BaseServiceProvider
{
    use HasInstance;

    public function register()
    {
        Loader::singleton(CoreRepositories\StoreRepository::class, Repositories\StoreRepository::class);
        Loader::singleton(CoreRepositories\EmployeeRepository::class, Repositories\EmployeeRepository::class);
        Loader::singleton(CoreRepositories\RegisterRepository::class, Repositories\RegisterRepository::class);
        Loader::singleton(CoreRepositories\RegisterSessionRepository::class, Repositories\RegisterSessionRepository::class);
        Loader::singleton(CoreRepositories\RegisterCashRepository::class, Repositories\RegisterCashRepository::class);
        Loader::singleton(CoreRepositories\ReceiptRepository::class, Repositories\ReceiptRepository::class);
        Loader::singleton(CoreRepositories\SettingRepository::class, Repositories\SettingRepository::class);
        Loader::singleton(CoreRepositories\OrderRepository::class, Repositories\OrderRepository::class);
        Loader::singleton(CoreRepositories\RegisterSessionEmployeeRepository::class, Repositories\RegisterSessionEmployeeRepository::class);
        Loader::singleton(CoreRepositories\StockRepository::class, Repositories\StockRepository::class);
    }
}
