<?php

namespace Posify\Woocommerce\UseCases;

use Posify\Core\Loader;
use Posify\Core\Repositories\OrderRepository;

class ForceDeleteOrder
{
    public $wcOrderId;

    protected $orderRepository;

    public function __construct(
        $wcOrderId
    ) {
        $this->wcOrderId = $wcOrderId;
        $this->orderRepository = Loader::load(OrderRepository::class);
    }

    public static function make($wcOrderId)
    {
        return new static($wcOrderId);
    }

    public function execute()
    {
        $order = $this->orderRepository->find($this->wcOrderId, true);

        if ($order) {
            $order->forceDelete();
        }
    }
}
