import { d as defineComponent, f as useLanguageStore, K as ref, L as onMounted, aP as Form, aQ as reactive, N as watch, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref, i as createBaseVNode, t as toDisplayString, aR as mergeProps, aS as onlyNumberChars, a4 as requestFactory, k as usePosStore, V as message, h as currencyFormat, T as Modal, M as useAppStore, m as useCommonModalsStore, s as storeToRefs, g as computed, b as createCommentVNode } from "./index.uaDs3xEUfw.js";
import { c as faPlusSquare, d as faMinusSquare } from "./index.uaDs3xEUfw3.js";
import { a as humanFormat } from "./datetime.uaDs3xEUfw.js";
import { T as TheKeyboard } from "./TheKeyboard.uaDs3xEUfw.js";
import "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = /* @__PURE__ */ createBaseVNode("button", {
  type: "submit",
  class: "tw-hidden"
}, null, -1);
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "CashInHandForm",
  props: {
    type: {
      type: String,
      default: "add"
    },
    amount: {
      type: [String, Number],
      default: "0"
    },
    description: {
      type: String,
      default: ""
    }
  },
  emits: [
    "update:amount",
    "update:type",
    "update:description",
    "finish",
    "setup"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const formState = ref({
      type: props.type,
      amount: props.amount,
      description: props.description
    });
    const amountInputRef = ref();
    onMounted(() => {
      setTimeout(() => {
        var _a;
        (_a = amountInputRef == null ? void 0 : amountInputRef.value) == null ? void 0 : _a.focus();
      }, 100);
    });
    const { validate, validateInfos } = Form.useForm(
      formState,
      reactive({
        amount: [
          {
            validator: async (_rule, value) => {
              value = Number(value);
              if (value <= 0) {
                return Promise.reject(__("Please input the amount"));
              }
              return Promise.resolve();
            }
          }
        ]
      })
    );
    emit("setup", { validate });
    const types = ref([
      {
        value: "add",
        label: __("Add"),
        icon: faPlusSquare
      },
      {
        value: "remove",
        label: __("Minus"),
        icon: faMinusSquare
      }
    ]);
    watch(
      () => props.type,
      (type) => formState.value.type = type,
      { deep: true }
    );
    watch(
      () => props.amount,
      (amount) => formState.value.amount = amount
    );
    watch(
      () => props.description,
      (description) => formState.value.description = description,
      { deep: true }
    );
    const handleFinishForm = () => {
      validate().then(() => emit("finish"));
    };
    const handleFinishFormFailed = () => {
      console.log("handleFinishFormFailed");
    };
    const handleChangeAmount = ($event) => {
      const amount = onlyNumberChars($event.target.value);
      formState.value.amount = amount;
      emit("update:amount", amount);
    };
    const handleChangeType = (type) => {
      formState.value.type = type;
      emit("update:type", type);
    };
    const handleChangeDescription = ($event) => {
      const description = $event.target.value;
      formState.value.description = description;
      emit("update:description", description);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_space = resolveComponent("a-space");
      const _component_a_select = resolveComponent("a-select");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_col = resolveComponent("a-col");
      const _component_a_input = resolveComponent("a-input");
      const _component_a_row = resolveComponent("a-row");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createBlock(_component_a_form, {
        layout: "vertical",
        model: formState.value,
        autocomplete: "off",
        "wrapper-col": { span: 24 },
        class: "cash-in-hand-form",
        onFinish: handleFinishForm,
        onFinishFailed: handleFinishFormFailed
      }, {
        default: withCtx(() => [
          createVNode(_component_a_row, { gutter: [18, 0] }, {
            default: withCtx(() => [
              createVNode(_component_a_col, {
                xs: 24,
                md: 8
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Add or remove cash")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_select, {
                        value: formState.value.type,
                        placeholder: unref(__)("Add or remove cash"),
                        class: "tw-w-full",
                        ref: "select",
                        options: types.value,
                        onChange: handleChangeType
                      }, {
                        tagRender: withCtx(({ label, option }) => [
                          createVNode(_component_a_space, null, {
                            default: withCtx(() => [
                              createBaseVNode("span", null, [
                                createVNode(_component_font_awesome_icon, {
                                  icon: option.icon
                                }, null, 8, ["icon"])
                              ]),
                              createBaseVNode("span", null, toDisplayString(label), 1)
                            ]),
                            _: 2
                          }, 1024)
                        ]),
                        option: withCtx(({ label, icon }) => [
                          createVNode(_component_a_space, null, {
                            default: withCtx(() => [
                              createBaseVNode("span", null, [
                                createVNode(_component_font_awesome_icon, { icon }, null, 8, ["icon"])
                              ]),
                              createBaseVNode("span", null, toDisplayString(label), 1)
                            ]),
                            _: 2
                          }, 1024)
                        ]),
                        _: 1
                      }, 8, ["value", "placeholder", "options"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, {
                xs: 24,
                md: 16
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, mergeProps({
                    label: unref(__)("Amount")
                  }, unref(validateInfos).amount), {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: formState.value.amount,
                        controls: false,
                        ref_key: "amountInputRef",
                        ref: amountInputRef,
                        "string-mode": "",
                        class: "input-amount tw-w-full tw-text-right tw-font-semibold",
                        onInput: handleChangeAmount
                      }, null, 8, ["value"])
                    ]),
                    _: 1
                  }, 16, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, { span: 24 }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Reason")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: formState.value.description,
                        onInput: handleChangeDescription
                      }, null, 8, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          _hoisted_1
        ]),
        _: 1
      }, 8, ["model"]);
    };
  }
});
const CashInHandForm_vue_vue_type_style_index_0_lang = "";
const useCashApi = async () => requestFactory("cash");
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "HistoryCashInHand",
  setup(__props) {
    const posStore = usePosStore();
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const columns = ref([
      {
        title: __("Amount"),
        dataIndex: "amount",
        key: "amount"
      },
      {
        title: __("Note"),
        dataIndex: "description",
        key: "description"
      },
      {
        title: __("Added at"),
        dataIndex: "createdAt",
        key: "createdAt"
      },
      {
        title: __("Employee"),
        dataIndex: "employeeName",
        key: "employeeName"
      }
    ]);
    const data = ref([]);
    const fetchCashHistories = async () => {
      var _a;
      const cashApi = await useCashApi();
      const hide = message.loading(__("Load cash histories..."), 0);
      try {
        const { data: cashHistories } = await cashApi.getList(posStore.register.id);
        data.value = cashHistories.map((item) => {
          return {
            description: item.description,
            amount: currencyFormat(item.amount),
            createdAt: humanFormat(item.createdAt),
            employeeName: item.employee.fullName ? item.employee.fullName : item.employee.username
          };
        });
      } catch (error) {
        console.log(error);
        hide();
        Modal.error({
          title: __("Load cash histories unsuccessfully"),
          content: JSON.stringify((_a = error == null ? void 0 : error.posifyError) == null ? void 0 : _a.details)
        });
      }
      hide();
    };
    onMounted(() => fetchCashHistories());
    return (_ctx, _cache) => {
      const _component_a_table = resolveComponent("a-table");
      return openBlock(), createBlock(_component_a_table, {
        bordered: "",
        size: "small",
        pagination: false,
        dataSource: data.value,
        columns: columns.value
      }, null, 8, ["dataSource", "columns"]);
    };
  }
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "AddCashInHandModal",
  setup(__props) {
    const appStore = useAppStore();
    const commonModalsStore = useCommonModalsStore();
    const languageStore = useLanguageStore();
    const posStore = usePosStore();
    const { __ } = languageStore;
    const { addCashInHandModal } = storeToRefs(commonModalsStore);
    const cashAmount = ref("0");
    const cashType = ref("add");
    const cashDescription = ref("");
    const isEmptyCash = computed(() => {
      const currentSession = posStore.registerSession;
      return (currentSession == null ? void 0 : currentSession.cashInHandsCount) == 0;
    });
    onMounted(() => {
      if (isEmptyCash.value) {
        cashDescription.value = __("Opening");
      }
    });
    const activeKey = ref("addCash");
    const disabledEnterButton = computed(() => Number(cashAmount.value) <= 0);
    const promise = new Promise(() => {
    });
    const formValidate = ref(() => promise);
    const handleCancelModel = () => {
      resetFields({ timeout: 500 });
      commonModalsStore.hideAddCashInHandModal();
    };
    const syncCashToManagementTool = async () => {
      appStore.setLoading(true);
      const cashApi = await useCashApi();
      let amount = Number(cashAmount.value);
      if (cashType.value == "remove") {
        amount = -amount;
      }
      formValidate.value().then(async () => {
        try {
          await cashApi.create(posStore.register.id, {
            amount,
            description: cashDescription.value
          });
          message.success(__("Saved cash successfully"));
          commonModalsStore.hideAddCashInHandModal();
          resetFields({ timeout: 500 });
        } catch (error) {
          console.log(error);
          Modal.error({
            title: __("Save cash unsuccessfully"),
            content: JSON.stringify(error.posifyError.details)
          });
        }
      }).finally(() => {
        appStore.setLoading(false);
        resetFields({ timeout: 500 });
      });
    };
    const handleKeyboardPress = (key) => {
      if (key == "enter") {
        posStore.incrementCashInHandsCount();
        syncCashToManagementTool();
        return;
      }
      if (key == "back") {
        handleCancelModel();
        return;
      }
    };
    const resetFields = ({ timeout }) => {
      setTimeout(() => {
        cashAmount.value = "0";
        cashDescription.value = "";
      }, timeout);
    };
    const handleFinishForm = () => {
      posStore.incrementCashInHandsCount();
      syncCashToManagementTool();
    };
    const handleOnSetupForm = ({ validate }) => {
      formValidate.value = validate;
    };
    return (_ctx, _cache) => {
      const _component_a_alert = resolveComponent("a-alert");
      const _component_a_tab_pane = resolveComponent("a-tab-pane");
      const _component_a_tabs = resolveComponent("a-tabs");
      const _component_a_spin = resolveComponent("a-spin");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(addCashInHandModal).visible,
        "after-close": unref(commonModalsStore).hideCartUpdateShippingModal,
        title: unref(__)("Manage cash"),
        centered: "",
        class: "cash-in-hand-modal modal-no-footer",
        width: "590px",
        onCancel: handleCancelModel
      }, {
        default: withCtx(() => [
          createVNode(_component_a_spin, {
            spinning: unref(appStore).isLoading
          }, {
            default: withCtx(() => [
              createVNode(_component_a_tabs, {
                activeKey: activeKey.value,
                "onUpdate:activeKey": _cache[7] || (_cache[7] = ($event) => activeKey.value = $event)
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_tab_pane, {
                    key: "addCash",
                    tab: unref(__)("Add cash")
                  }, {
                    default: withCtx(() => [
                      isEmptyCash.value ? (openBlock(), createBlock(_component_a_alert, {
                        key: 0,
                        class: "tw-mb-5",
                        message: unref(__)("Your cash is empty"),
                        description: unref(__)("May be you need to add opening cash to your register"),
                        type: "info",
                        "show-icon": ""
                      }, null, 8, ["message", "description"])) : createCommentVNode("", true),
                      createVNode(_sfc_main$2, {
                        type: cashType.value,
                        "onUpdate:type": _cache[0] || (_cache[0] = ($event) => cashType.value = $event),
                        amount: cashAmount.value,
                        "onUpdate:amount": _cache[1] || (_cache[1] = ($event) => cashAmount.value = $event),
                        description: cashDescription.value,
                        "onUpdate:description": _cache[2] || (_cache[2] = ($event) => cashDescription.value = $event),
                        onFinish: handleFinishForm,
                        onSetup: handleOnSetupForm
                      }, null, 8, ["type", "amount", "description"]),
                      createVNode(TheKeyboard, {
                        value: cashAmount.value,
                        "onUpdate:value": _cache[3] || (_cache[3] = ($event) => cashAmount.value = $event),
                        disabledEnterButton: disabledEnterButton.value,
                        class: "tw-pt-6",
                        "enter-text": unref(__)("Save Cash"),
                        onKeyPress: handleKeyboardPress
                      }, null, 8, ["value", "disabledEnterButton", "enter-text"])
                    ]),
                    _: 1
                  }, 8, ["tab"]),
                  createVNode(_component_a_tab_pane, {
                    key: "history",
                    tab: unref(__)("History"),
                    "force-render": ""
                  }, {
                    default: withCtx(() => [
                      createVNode(_sfc_main$1, {
                        type: cashType.value,
                        "onUpdate:type": _cache[4] || (_cache[4] = ($event) => cashType.value = $event),
                        amount: cashAmount.value,
                        "onUpdate:amount": _cache[5] || (_cache[5] = ($event) => cashAmount.value = $event),
                        description: cashDescription.value,
                        "onUpdate:description": _cache[6] || (_cache[6] = ($event) => cashDescription.value = $event),
                        onFinish: handleFinishForm,
                        onSetup: handleOnSetupForm
                      }, null, 8, ["type", "amount", "description"])
                    ]),
                    _: 1
                  }, 8, ["tab"])
                ]),
                _: 1
              }, 8, ["activeKey"])
            ]),
            _: 1
          }, 8, ["spinning"])
        ]),
        _: 1
      }, 8, ["visible", "after-close", "title"]);
    };
  }
});
const AddCashInHandModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
