import { d as defineComponent, a5 as useGeneralSettingStore, s as storeToRefs, g as computed, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, a6 as normalizeStyle, p as createVNode, c as createElementBlock, j as unref, b as createCommentVNode, e as renderSlot, n as normalizeClass } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = ["src"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "AuthLayout",
  setup(__props) {
    const generalSettingStore = useGeneralSettingStore();
    const { loginBackgroundUrl, loginBackgroundColor, logoUrl } = storeToRefs(generalSettingStore);
    const hasLogo = computed(() => !!logoUrl.value);
    const authLayoutStyles = computed(() => {
      const styles = {};
      if (loginBackgroundUrl.value) {
        styles["backgroundImage"] = `url(${loginBackgroundUrl.value})`;
      }
      if (loginBackgroundColor.value) {
        styles["backgroundColor"] = loginBackgroundColor.value;
      }
      return styles;
    });
    return (_ctx, _cache) => {
      const _component_a_card = resolveComponent("a-card");
      const _component_a_layout_content = resolveComponent("a-layout-content");
      const _component_a_layout = resolveComponent("a-layout");
      return openBlock(), createBlock(_component_a_layout, {
        class: "auth-layout",
        style: normalizeStyle(authLayoutStyles.value)
      }, {
        default: withCtx(() => [
          createVNode(_component_a_layout_content, {
            class: normalizeClass(["auth-layout-content", { "tw-pt-[64px]": hasLogo.value == false }])
          }, {
            default: withCtx(() => [
              hasLogo.value ? (openBlock(), createElementBlock("img", {
                key: 0,
                src: unref(logoUrl),
                class: "auth-logo"
              }, null, 8, _hoisted_1)) : createCommentVNode("", true),
              createVNode(_component_a_card, { bordered: false }, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "default", {}, void 0, true)
                ]),
                _: 3
              }),
              renderSlot(_ctx.$slots, "afterCard", {}, void 0, true)
            ]),
            _: 3
          }, 8, ["class"])
        ]),
        _: 3
      }, 8, ["style"]);
    };
  }
});
const AuthLayout_vue_vue_type_style_index_0_scoped_43102984_lang = "";
const AuthLayout = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-43102984"]]);
export {
  AuthLayout as A
};
