import { d as defineComponent, f as useLanguageStore, K as ref, L as onMounted, N as watch, g as computed, aP as Form, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref, i as createBaseVNode, aZ as faArrowTrendDown, t as toDisplayString, a_ as faArrowTrendUp, a$ as faPercent, b0 as faDollar, an as createSlots, aR as mergeProps, aS as onlyNumberChars, aU as pushScopeId, aV as popScopeId, k as usePosStore, s as storeToRefs, c as createElementBlock, F as Fragment, C as renderList, m as useCommonModalsStore, u as useCartStore, y as useCartFeeStore, z as useCartDiscountStore } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$3 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { T as TheKeyboard } from "./TheKeyboard.uaDs3xEUfw.js";
const _withScopeId = (n) => (pushScopeId("data-v-81fb8096"), n = n(), popScopeId(), n);
const _hoisted_1$2 = { class: "tw-mb-[24px]" };
const _hoisted_2$1 = { class: "tw-font-semibold tw-pb-[8px]" };
const _hoisted_3 = { class: "amount-to-pay" };
const _hoisted_4 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("button", {
  type: "submit",
  class: "tw-hidden"
}, null, -1));
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "FeeOrDiscountForm",
  props: {
    type: {
      type: String,
      default: "discount"
    },
    amountType: {
      type: String,
      default: "percentage"
    },
    amount: {
      type: [String, Number],
      default: "0"
    },
    reason: {
      type: String,
      default: ""
    },
    amountToPay: {
      type: [String, Number],
      default: "0"
    }
  },
  emits: [
    "update:amount",
    "update:reason",
    "update:amount-type",
    "update:type",
    "finish",
    "setup",
    "submit"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const formState = ref({
      type: props.type,
      amountType: props.amountType,
      amount: props.amount,
      reason: props.reason
    });
    const inputAmountRef = ref();
    onMounted(() => setTimeout(() => {
      var _a;
      return (_a = inputAmountRef == null ? void 0 : inputAmountRef.value) == null ? void 0 : _a.focus();
    }, 100));
    watch(
      () => props.type,
      (type) => formState.value.type = type
    );
    watch(
      () => props.amountType,
      (amountType) => formState.value.amountType = amountType
    );
    watch(
      () => props.amount,
      (amount) => formState.value.amount = amount
    );
    watch(
      () => props.reason,
      (reason) => formState.value.reason = reason
    );
    const formValidationRules = computed(() => {
      const reasonRules = [];
      if (props.type == "fee") {
        reasonRules.push({
          required: true,
          message: "Please input reason"
        });
      }
      return {
        type: [],
        amountType: [],
        amount: [],
        reason: reasonRules
      };
    });
    const { validate, validateInfos } = Form.useForm(
      formState,
      formValidationRules
    );
    emit("setup", { validate });
    const handleFinishForm = () => {
      validate().then(() => emit("finish"));
    };
    const handleFinishFormFailed = () => {
      console.log("handleFinishFormFailed");
    };
    const handleChangeAmount = ($event) => {
      const amount = onlyNumberChars($event.target.value);
      formState.value.amount = amount;
      emit("update:amount", amount);
    };
    const handleChangeReason = ($event) => {
      const value = $event.target.value;
      formState.value.reason = value;
      emit("update:reason", value);
    };
    const handleChangeAmountType = (value) => {
      formState.value.amountType = value;
      emit("update:amount-type", value);
    };
    const handleChangeType = (value) => {
      formState.value.type = value;
      emit("update:type", value);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_space = resolveComponent("a-space");
      const _component_a_select_option = resolveComponent("a-select-option");
      const _component_a_select = resolveComponent("a-select");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_col = resolveComponent("a-col");
      const _component_a_input = resolveComponent("a-input");
      const _component_a_row = resolveComponent("a-row");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createBlock(_component_a_form, {
        layout: "vertical",
        model: formState.value,
        autocomplete: "off",
        "wrapper-col": { span: 24 },
        class: "fee-or-discount-form",
        onFinish: handleFinishForm,
        onFinishFailed: handleFinishFormFailed,
        onSubmit: _cache[0] || (_cache[0] = ($event) => emit("submit"))
      }, {
        default: withCtx(() => [
          createVNode(_component_a_row, { gutter: [18, 0] }, {
            default: withCtx(() => [
              createVNode(_component_a_col, {
                xs: 12,
                md: 8
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Add fee or discount")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_select, {
                        ref: "select",
                        value: formState.value.type,
                        onChange: handleChangeType
                      }, {
                        default: withCtx(() => [
                          createVNode(_component_a_select_option, { value: "discount" }, {
                            default: withCtx(() => [
                              createVNode(_component_a_space, null, {
                                default: withCtx(() => [
                                  createBaseVNode("span", null, [
                                    createVNode(_component_font_awesome_icon, { icon: unref(faArrowTrendDown) }, null, 8, ["icon"])
                                  ]),
                                  createBaseVNode("span", null, toDisplayString(unref(__)("Discount")), 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(_component_a_select_option, { value: "fee" }, {
                            default: withCtx(() => [
                              createVNode(_component_a_space, null, {
                                default: withCtx(() => [
                                  createBaseVNode("span", null, [
                                    createVNode(_component_font_awesome_icon, { icon: unref(faArrowTrendUp) }, null, 8, ["icon"])
                                  ]),
                                  createBaseVNode("span", null, toDisplayString(unref(__)("Fee")), 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, {
                xs: 12,
                md: 8
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Amount type")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_select, {
                        ref: "select",
                        value: formState.value.amountType,
                        onChange: handleChangeAmountType
                      }, {
                        default: withCtx(() => [
                          createVNode(_component_a_select_option, { value: "percentage" }, {
                            default: withCtx(() => [
                              createVNode(_component_a_space, null, {
                                default: withCtx(() => [
                                  createBaseVNode("span", null, [
                                    createVNode(_component_font_awesome_icon, { icon: unref(faPercent) }, null, 8, ["icon"])
                                  ]),
                                  createBaseVNode("span", null, toDisplayString(unref(__)("Percentage")), 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(_component_a_select_option, { value: "fixed" }, {
                            default: withCtx(() => [
                              createVNode(_component_a_space, null, {
                                default: withCtx(() => [
                                  createBaseVNode("span", null, [
                                    createVNode(_component_font_awesome_icon, { icon: unref(faDollar) }, null, 8, ["icon"])
                                  ]),
                                  createBaseVNode("span", null, toDisplayString(unref(__)("Fixed")), 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, {
                xs: 24,
                md: 8
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Amount")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: formState.value.amount,
                        controls: false,
                        "string-mode": "",
                        ref_key: "inputAmountRef",
                        ref: inputAmountRef,
                        class: "input-amount tw-w-full tw-text-right tw-font-semibold",
                        onInput: handleChangeAmount
                      }, createSlots({ _: 2 }, [
                        formState.value.amountType == "percentage" ? {
                          name: "suffix",
                          fn: withCtx(() => [
                            createVNode(_component_font_awesome_icon, { icon: unref(faPercent) }, null, 8, ["icon"])
                          ]),
                          key: "0"
                        } : void 0
                      ]), 1032, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, {
                xs: 24,
                md: 16
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, mergeProps({
                    label: unref(__)("Reason (Required on fee)")
                  }, unref(validateInfos).reason), {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: formState.value.reason,
                        onInput: handleChangeReason
                      }, null, 8, ["value"])
                    ]),
                    _: 1
                  }, 16, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, {
                xs: 24,
                md: 8
              }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_1$2, [
                    createBaseVNode("div", _hoisted_2$1, toDisplayString(unref(__)("Amount to pay")), 1),
                    createBaseVNode("div", _hoisted_3, [
                      createVNode(_sfc_main$3, { value: __props.amountToPay }, null, 8, ["value"])
                    ])
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          _hoisted_4
        ]),
        _: 1
      }, 8, ["model"]);
    };
  }
});
const FeeOrDiscountForm_vue_vue_type_style_index_0_scoped_81fb8096_lang = "";
const FeeOrDiscountForm_vue_vue_type_style_index_1_lang = "";
const FeeOrDiscountForm = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-81fb8096"]]);
const _hoisted_1$1 = { class: "tw-grid tw-grid-cols-5 keyboard" };
const _hoisted_2 = ["onClick"];
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "FeeOrDiscountAmountPreset",
  emits: ["change"],
  setup(__props, { emit }) {
    const posStore = usePosStore();
    const { register } = storeToRefs(posStore);
    const handleClickToKey = (preset) => {
      emit("change", preset);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$1, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(unref(register).feeAndDiscountPresets, (preset) => {
          return openBlock(), createElementBlock("div", {
            class: "key",
            key: preset,
            onClick: ($event) => handleClickToKey(preset)
          }, toDisplayString(preset) + "% ", 9, _hoisted_2);
        }), 128))
      ]);
    };
  }
});
const FeeOrDiscountAmountPreset_vue_vue_type_style_index_0_scoped_8c5626f9_lang = "";
const FeeOrDiscountAmountPreset = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-8c5626f9"]]);
const _hoisted_1 = { class: "tw-flex tw-flex-col tw-justify-between tw-h-full" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartAddFeeOrDiscountModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const { cartAddFeeOrDiscountModal } = storeToRefs(commonModalsStore);
    const mode = computed(
      () => !cartAddFeeOrDiscountModal.value.editingId ? "create" : "edit"
    );
    const amount = ref("0");
    const feeOrDiscount = ref("discount");
    const amountType = ref("percentage");
    const discountReason = ref("");
    const promise = new Promise(() => {
    });
    const formValidate = ref(() => promise);
    const cartStore = useCartStore();
    const cartFeeStore = useCartFeeStore();
    const cartDiscountStore = useCartDiscountStore();
    const amountToPay = computed(() => {
      const type = {
        fee: "fees",
        discount: "discounts"
      }[feeOrDiscount.value];
      return cartStore.previewCartTotal({
        [type]: [
          {
            id: cartAddFeeOrDiscountModal.value.editingId,
            amountType: amountType.value,
            amount: amount.value
          }
        ]
      });
    });
    const updateFormSate = () => {
      const dataStore = {
        fee: cartFeeStore.items,
        discount: cartDiscountStore.items
      }[cartAddFeeOrDiscountModal.value.editingType];
      const feeOrDiscountData = dataStore.find(
        (item) => item.id == cartAddFeeOrDiscountModal.value.editingId
      );
      if (!feeOrDiscountData) {
        console.log(
          `${cartAddFeeOrDiscountModal.value.editingType} not found, id: ${cartAddFeeOrDiscountModal.value.editingId}`
        );
        return;
      }
      amount.value = feeOrDiscountData.amount;
      feeOrDiscount.value = cartAddFeeOrDiscountModal.value.editingType;
      amountType.value = feeOrDiscountData.amountType;
      discountReason.value = feeOrDiscountData.reason;
    };
    watch(
      () => cartAddFeeOrDiscountModal.value.editingId,
      () => cartAddFeeOrDiscountModal.value.editingId && updateFormSate(),
      { immediate: true }
    );
    watch(
      () => cartAddFeeOrDiscountModal.value.visible,
      () => cartAddFeeOrDiscountModal.value.editingId && cartAddFeeOrDiscountModal.value.visible && updateFormSate(),
      { immediate: true }
    );
    const resetFields = ({ timeout }) => {
      setTimeout(() => {
        amount.value = "0";
        feeOrDiscount.value = "discount";
        amountType.value = "percentage";
        discountReason.value = "";
      }, timeout);
    };
    const handleCancelModel = () => {
      resetFields({ timeout: 500 });
      commonModalsStore.hideCartAddFeeOrDiscountModal();
    };
    const addOrUpdateFee = () => {
      formValidate.value().then(() => {
        if (mode.value == "create") {
          const action = {
            fee: cartFeeStore.add,
            discount: cartDiscountStore.add
          }[feeOrDiscount.value];
          action({
            amountType: amountType.value,
            amount: amount.value,
            reason: discountReason.value
          });
        } else if (mode.value == "edit") {
          const action = {
            fee: cartFeeStore.update,
            discount: cartDiscountStore.update
          }[feeOrDiscount.value];
          action(cartAddFeeOrDiscountModal.value.editingId, {
            type: feeOrDiscount.value,
            amountType: amountType.value,
            amount: amount.value,
            reason: discountReason.value
          });
        }
        resetFields({ timeout: 500 });
        commonModalsStore.hideCartAddFeeOrDiscountModal();
      });
    };
    const handleFinishForm = () => {
      addOrUpdateFee();
    };
    const handleOnSetupForm = ({ validate }) => {
      formValidate.value = validate;
    };
    const handleKeyboardPress = (key) => {
      if (key == "enter") {
        addOrUpdateFee();
        return;
      }
      if (key == "back") {
        handleCancelModel();
        return;
      }
    };
    const handleChangeAmountPreset = (preset) => {
      amount.value = preset;
      amountType.value = "percentage";
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(cartAddFeeOrDiscountModal).visible,
        "after-close": unref(commonModalsStore).hideCartAddFeeOrDiscountModal,
        title: unref(__)("Add fee or discount to this cart"),
        centered: "",
        class: "add-fee-or-discount-modal modal-no-footer",
        width: "590px",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => []),
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createVNode(FeeOrDiscountForm, {
              type: feeOrDiscount.value,
              "onUpdate:type": _cache[0] || (_cache[0] = ($event) => feeOrDiscount.value = $event),
              "amount-type": amountType.value,
              "onUpdate:amountType": _cache[1] || (_cache[1] = ($event) => amountType.value = $event),
              amount: amount.value,
              "onUpdate:amount": _cache[2] || (_cache[2] = ($event) => amount.value = $event),
              reason: discountReason.value,
              "onUpdate:reason": _cache[3] || (_cache[3] = ($event) => discountReason.value = $event),
              "amount-to-pay": amountToPay.value,
              onFinish: handleFinishForm,
              onSetup: handleOnSetupForm
            }, null, 8, ["type", "amount-type", "amount", "reason", "amount-to-pay"]),
            createBaseVNode("div", null, [
              createVNode(FeeOrDiscountAmountPreset, {
                class: "tw-mb-1",
                onChange: handleChangeAmountPreset
              }),
              createVNode(TheKeyboard, {
                value: amount.value,
                "onUpdate:value": _cache[4] || (_cache[4] = ($event) => amount.value = $event),
                class: "tw-pb-6",
                "enter-text": unref(__)("Update Total"),
                onKeyPress: handleKeyboardPress
              }, null, 8, ["value", "enter-text"])
            ])
          ])
        ]),
        _: 1
      }, 8, ["visible", "after-close", "title"]);
    };
  }
});
const CartAddFeeOrDiscountModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
