import { d as defineComponent, f as useLanguageStore, K as ref, L as onMounted, N as watch, aP as Form, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref, i as createBaseVNode, t as toDisplayString, aS as onlyNumberChars, aU as pushScopeId, aV as popScopeId, m as useCommonModalsStore, k as usePosStore, u as useCartStore, x as useCartShippingStore, s as storeToRefs, g as computed } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$3 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$2 } from "./ShippingMethodSelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { T as TheKeyboard } from "./TheKeyboard.uaDs3xEUfw.js";
const _withScopeId = (n) => (pushScopeId("data-v-505698fe"), n = n(), popScopeId(), n);
const _hoisted_1$1 = { class: "tw-font-semibold" };
const _hoisted_2 = { class: "amount-to-pay" };
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("button", {
  type: "submit",
  class: "tw-hidden"
}, null, -1));
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "ShippingMethodForm",
  props: {
    shippingMethodId: {
      type: [String, Number],
      default: ""
    },
    amount: {
      type: [String, Number],
      default: "0"
    },
    amountToPay: {
      type: [String, Number],
      default: "0"
    }
  },
  emits: [
    "update:amount",
    "update:shipping-method",
    "update:shipping-method-id",
    "change-shipping-method-with-data",
    "finish"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const inputAmountRef = ref();
    onMounted(() => setTimeout(() => {
      var _a;
      return (_a = inputAmountRef == null ? void 0 : inputAmountRef.value) == null ? void 0 : _a.focus();
    }, 100));
    const formState = ref({
      shippingMethodId: props.shippingMethodId,
      amount: props.amount
    });
    watch(
      () => props.shippingMethodId,
      (shippingMethodId) => formState.value.shippingMethodId = shippingMethodId,
      { deep: true }
    );
    watch(
      () => props.amount,
      (amount) => formState.value.amount = amount
    );
    const { validate } = Form.useForm(
      formState,
      ref({
        shippingMethodId: [],
        amount: []
      })
    );
    const handleFinishForm = () => {
      validate();
      emit("finish");
    };
    const handleFinishFormFailed = () => {
      console.log("handleFinishFormFailed");
    };
    const handleChangeAmount = ($event) => {
      const amount = onlyNumberChars($event.target.value);
      formState.value.amount = amount;
      emit("update:amount", amount);
    };
    const handleChangeShippingMethod = ({ methodId, methodTitle }) => {
      formState.value.shippingMethodId = methodId;
      emit("update:shipping-method-id", methodId);
      emit("change-shipping-method-with-data", { methodId, methodTitle });
    };
    return (_ctx, _cache) => {
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_col = resolveComponent("a-col");
      const _component_a_input = resolveComponent("a-input");
      const _component_a_row = resolveComponent("a-row");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createBlock(_component_a_form, {
        layout: "vertical",
        model: formState.value,
        autocomplete: "off",
        "wrapper-col": { span: 24 },
        class: "shipping-form",
        onFinish: handleFinishForm,
        onFinishFailed: handleFinishFormFailed
      }, {
        default: withCtx(() => [
          createVNode(_component_a_row, { gutter: [18, 0] }, {
            default: withCtx(() => [
              createVNode(_component_a_col, { span: 12 }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Shipping method")
                  }, {
                    default: withCtx(() => [
                      createVNode(_sfc_main$2, {
                        value: formState.value.shippingMethodId,
                        immediate: true,
                        onChangeWithData: handleChangeShippingMethod
                      }, null, 8, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, { span: 12 }, {
                default: withCtx(() => [
                  createVNode(_component_a_form_item, {
                    label: unref(__)("Amount")
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: formState.value.amount,
                        controls: false,
                        "string-mode": "",
                        ref_key: "inputAmountRef",
                        ref: inputAmountRef,
                        class: "input-amount tw-w-full tw-text-right tw-font-semibold",
                        onInput: handleChangeAmount
                      }, null, 8, ["value"])
                    ]),
                    _: 1
                  }, 8, ["label"])
                ]),
                _: 1
              }),
              createVNode(_component_a_col, { span: 12 }),
              createVNode(_component_a_col, { span: 12 }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_1$1, toDisplayString(unref(__)("Amount to pay")), 1),
                  createBaseVNode("div", _hoisted_2, [
                    createVNode(_sfc_main$3, { value: __props.amountToPay }, null, 8, ["value"])
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          _hoisted_3
        ]),
        _: 1
      }, 8, ["model"]);
    };
  }
});
const ShippingMethodForm_vue_vue_type_style_index_0_scoped_505698fe_lang = "";
const ShippingMethodForm_vue_vue_type_style_index_1_lang = "";
const ShippingMethodForm = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-505698fe"]]);
const _hoisted_1 = { class: "tw-flex tw-flex-col tw-justify-between tw-h-full" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartAddShippingModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const commonModalsStore = useCommonModalsStore();
    const posStore = usePosStore();
    const cartStore = useCartStore();
    const cartShippingStore = useCartShippingStore();
    const { cartAddShippingModal } = storeToRefs(commonModalsStore);
    const { __ } = languageStore;
    const mode = computed(
      () => !cartAddShippingModal.value.editingId ? "create" : "edit"
    );
    const shippingTotal = ref("0");
    const shippingMethodId = ref(posStore.register.defaultShippingMethod);
    const shippingMethodTitle = ref("");
    const amountToPay = computed(() => {
      return cartStore.previewCartTotal({
        shippings: [
          {
            id: cartAddShippingModal.value.editingId,
            amount: shippingTotal.value
          }
        ]
      });
    });
    const updateFormSate = () => {
      const shippingData = cartShippingStore.find(
        cartAddShippingModal.value.editingId
      );
      if (!shippingData) {
        console.log(
          `shipping not found, id: ${cartAddShippingModal.value.editingId}`
        );
        return;
      }
      shippingTotal.value = shippingData.total;
      shippingMethodId.value = shippingData.methodId;
      shippingMethodTitle.value = shippingData.methodTitle;
    };
    watch(
      () => cartAddShippingModal.value.editingId,
      () => cartAddShippingModal.value.editingId && updateFormSate(),
      { immediate: true }
    );
    watch(
      () => cartAddShippingModal.value.visible,
      () => cartAddShippingModal.value.editingId && cartAddShippingModal.value.visible && updateFormSate(),
      { immediate: true }
    );
    const resetFields = ({ timeout }) => {
      setTimeout(() => {
        shippingTotal.value = "0";
        shippingMethodId.value = posStore.register.defaultShippingMethod;
        shippingMethodTitle.value = null;
      }, timeout);
    };
    const handleCancelModel = () => {
      resetFields({ timeout: 500 });
      commonModalsStore.hideCartUpdateShippingModal();
    };
    const addOrUpdateShipping = () => {
      if (mode.value == "create") {
        cartShippingStore.add({
          methodId: shippingMethodId.value,
          methodTitle: shippingMethodTitle.value,
          total: shippingTotal.value
        });
      } else if (mode.value == "edit") {
        cartShippingStore.update(cartAddShippingModal.value.editingId, {
          methodId: shippingMethodId.value,
          methodTitle: shippingMethodTitle.value,
          total: shippingTotal.value
        });
      }
      resetFields({ timeout: 500 });
      commonModalsStore.hideCartUpdateShippingModal();
    };
    const handleFinishForm = () => {
      addOrUpdateShipping();
      resetFields({ timeout: 500 });
      commonModalsStore.hideCartUpdateShippingModal();
    };
    const handleChangeShippingMethodWithData = ({ methodId, methodTitle }) => {
      shippingMethodId.value = methodId;
      shippingMethodTitle.value = methodTitle;
    };
    const handleKeyboardPress = (key) => {
      if (key == "enter") {
        addOrUpdateShipping();
        return;
      }
      if (key == "back") {
        handleCancelModel();
        return;
      }
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(cartAddShippingModal).visible,
        "after-close": unref(commonModalsStore).hideCartUpdateShippingModal,
        title: unref(__)("Shipping method"),
        centered: "",
        class: "shipping-modal modal-no-footer",
        width: "590px",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => []),
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createVNode(ShippingMethodForm, {
              "shipping-method-id": shippingMethodId.value,
              "onUpdate:shippingMethodId": _cache[0] || (_cache[0] = ($event) => shippingMethodId.value = $event),
              amount: shippingTotal.value,
              "onUpdate:amount": _cache[1] || (_cache[1] = ($event) => shippingTotal.value = $event),
              "amount-to-pay": amountToPay.value,
              onFinish: handleFinishForm,
              onChangeShippingMethodWithData: handleChangeShippingMethodWithData
            }, null, 8, ["shipping-method-id", "amount", "amount-to-pay"]),
            createVNode(TheKeyboard, {
              value: shippingTotal.value,
              "onUpdate:value": _cache[2] || (_cache[2] = ($event) => shippingTotal.value = $event),
              class: "tw-py-6",
              "enter-text": unref(__)("Save Shipping"),
              onKeyPress: handleKeyboardPress
            }, null, 8, ["value", "enter-text"])
          ])
        ]),
        _: 1
      }, 8, ["visible", "after-close", "title"]);
    };
  }
});
const CartAddShippingModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
