import { d as defineComponent, f as useLanguageStore, m as useCommonModalsStore, u as useCartStore, k as usePosStore, s as storeToRefs, K as ref, b2 as addressFactory, N as watch, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref } from "./index.uaDs3xEUfw.js";
import { o as objectIsEqual, _ as _sfc_main$1 } from "./AddressForm.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js";
import "./_baseIsEqual.uaDs3xEUfw.js";
import "./address.uaDs3xEUfw.js";
import "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartAddressModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const cartStore = useCartStore();
    const posStore = usePosStore();
    const { store } = storeToRefs(posStore);
    const promise = new Promise(() => {
    });
    const addressFormValidate = ref(() => promise);
    const shippingAddress = ref(addressFactory(cartStore.shipping));
    const billingAddress = ref(addressFactory(cartStore.billing));
    const billingSameShipping = ref(
      objectIsEqual(shippingAddress.value, billingAddress.value)
    );
    const clearState = () => {
      shippingAddress.value = addressFactory(cartStore.shipping);
      billingAddress.value = addressFactory(cartStore.billing);
      billingSameShipping.value = objectIsEqual(
        shippingAddress.value,
        billingAddress.value
      );
    };
    const handleCancelModel = () => {
      clearState();
      commonModalsStore.hideCartAddressModal();
    };
    const handleClickSaveAddressButton = () => {
      addressFormValidate.value().then(() => {
        if (billingSameShipping.value) {
          billingAddress.value = shippingAddress.value;
        }
        cartStore.updateBilling(billingAddress.value);
        cartStore.updateShipping(shippingAddress.value);
        commonModalsStore.hideCartAddressModal();
      });
    };
    const handleOnSetupAddressForm = ({ validate }) => {
      addressFormValidate.value = validate;
    };
    watch(
      () => commonModalsStore.cartAddressModal.visible,
      () => {
        let country, state;
        if (store.value.countryState) {
          [country, state] = store.value.countryState.split(":");
        }
        if (!shippingAddress.value.country && country) {
          shippingAddress.value.country = country;
        }
        if (!shippingAddress.value.state && state) {
          shippingAddress.value.state = state;
        }
        if (!billingAddress.value.country && country) {
          billingAddress.value.country = country;
        }
        if (!billingAddress.value.state && state) {
          billingAddress.value.state = state;
        }
        billingSameShipping.value = objectIsEqual(
          shippingAddress.value,
          billingAddress.value
        );
      },
      {
        immediate: true
      }
    );
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).cartAddressModal.visible,
        "after-close": unref(commonModalsStore).hideCartAddressModal,
        title: unref(__)("Shipping address"),
        class: "cart-address-modal",
        width: "740px",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_component_a_button, {
            key: "back",
            onClick: handleCancelModel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Close")), 1)
            ]),
            _: 1
          }),
          createVNode(_component_a_button, {
            key: "submit",
            type: "primary",
            onClick: handleClickSaveAddressButton
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Save address")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode(_sfc_main$1, {
            "shipping-address": shippingAddress.value,
            "onUpdate:shippingAddress": _cache[0] || (_cache[0] = ($event) => shippingAddress.value = $event),
            "billing-address": billingAddress.value,
            "onUpdate:billingAddress": _cache[1] || (_cache[1] = ($event) => billingAddress.value = $event),
            "billing-same-shipping": billingSameShipping.value,
            "onUpdate:billingSameShipping": _cache[2] || (_cache[2] = ($event) => billingSameShipping.value = $event),
            onSetup: handleOnSetupAddressForm
          }, null, 8, ["shipping-address", "billing-address", "billing-same-shipping"])
        ]),
        _: 1
      }, 8, ["visible", "after-close", "title"]);
    };
  }
});
const CartAddressModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
