import { a4 as requestFactory, d as defineComponent, m as useCommonModalsStore, f as useLanguageStore, u as useCartStore, K as ref, g as computed, h as currencyFormat, L as onMounted, aP as Form, aY as useCartCouponStore, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref, c as createElementBlock, i as createBaseVNode, b as createCommentVNode } from "./index.uaDs3xEUfw.js";
import { d as debounce } from "./debounce.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const couponFactory = () => {
  return {
    code: "",
    amount: 0,
    discountType: "",
    description: "",
    freeShipping: false,
    expiryDate: "",
    minimumSpend: 0,
    maximumSpend: 0,
    individualUse: false,
    excludeSaleItems: false,
    products: [],
    excludeProducts: [],
    usageLimit: 0,
    usageLimitPerUser: 0,
    limitUsageToXItems: 0,
    usageCount: 0,
    emailRestrictions: [],
    usedBy: []
  };
};
const useCouponApi = async () => requestFactory("coupon");
const _hoisted_1 = {
  key: 0,
  class: "coupon-data"
};
const _hoisted_2 = { class: "coupon-data__discount-type" };
const _hoisted_3 = { class: "coupon-data__amount" };
const _hoisted_4 = { class: "coupon-data__expiry-date" };
const _hoisted_5 = {
  key: 1,
  class: "coupon-data coupon-data--error"
};
const _hoisted_6 = {
  key: 2,
  class: "coupon-data coupon-data--info"
};
const _hoisted_7 = { class: "amount-to-pay" };
const _hoisted_8 = { class: "amount-to-pay__label" };
const _hoisted_9 = { class: "amount-to-pay__amount" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartApplyCouponModal",
  setup(__props) {
    const commonModalsStore = useCommonModalsStore();
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartStore = useCartStore();
    const formRef = ref();
    const inputCouponCodeRef = ref();
    const coupon = ref(couponFactory());
    const hasCoupon = computed(() => coupon.value.code);
    const formattedCoupon = computed(() => {
      let amountType = "";
      let amount = "";
      let expiryDate = "";
      if (hasCoupon.value) {
        amountType = {
          percentage: "Percentage",
          fixed_cart: "Fixed cart"
        }[coupon.value.amountType];
        amount = coupon.value.amountType == "percentage" ? `${coupon.value.amount}%` : currencyFormat(coupon.value.amount);
        expiryDate = coupon.value.expiryDate ? coupon.value.expiryDate : "-";
      }
      return {
        amountType,
        amount,
        expiryDate
      };
    });
    const couponErrorMessage = ref("");
    const hasCouponError = computed(() => couponErrorMessage.value.length > 0);
    const isLoadingCoupon = ref(false);
    const warnMessage = computed(() => {
      if (coupon.value.freeShipping) {
        return "Coupon is free shipping. If you apply this coupon, the added shipping method will be removed, just keep only free shipping method and the fee will be free.";
      }
      if (coupon.value.individualUse) {
        return "Coupon is individual use. If you apply this coupon, the other coupons will be removed.";
      }
      return null;
    });
    const amountToPay = computed(() => {
      return cartStore.previewCartTotal({
        discounts: [
          {
            amountType: coupon.value.amountType,
            amount: coupon.value.amount
          }
        ]
      });
    });
    const formState = ref({
      code: ""
    });
    const isDisabledApplyCouponButton = computed(
      () => hasCouponError.value || formState.value.code.length == 0 || isLoadingCoupon.value || !coupon.value.code
    );
    onMounted(() => setTimeout(() => {
      var _a;
      return (_a = inputCouponCodeRef == null ? void 0 : inputCouponCodeRef.value) == null ? void 0 : _a.focus();
    }, 100));
    const { resetFields } = Form.useForm(formState);
    const clearState = () => {
      resetFields({
        code: ""
      });
      clearCouponData();
      couponErrorMessage.value = "";
    };
    const cartCouponStore = useCartCouponStore();
    const handleFinishForm = () => {
      if (!hasCoupon.value) {
        return;
      }
      cartCouponStore.add(coupon.value);
      commonModalsStore.hideCartApplyCouponModal();
      clearState();
    };
    const handleCancelModel = () => {
      commonModalsStore.hideCartApplyCouponModal();
      clearState();
    };
    const clearCouponData = () => {
      coupon.value = couponFactory();
    };
    const setCoupon = (couponData) => {
      coupon.value = couponData;
    };
    const handleInputCouponCode = debounce(async () => {
      clearCouponData();
      couponErrorMessage.value = "";
      if (formState.value.code.length < 2) {
        return;
      }
      const couponApi = await useCouponApi();
      isLoadingCoupon.value = true;
      couponApi.getList({ code: formState.value.code }).then(({ data }) => {
        if (data.length != 1) {
          couponErrorMessage.value = __("Coupon not found!");
          return;
        }
        const coupon2 = data[0];
        const { hasError, errorMessage } = cartCouponStore.validate(coupon2);
        if (hasError) {
          couponErrorMessage.value = errorMessage;
          return;
        }
        couponErrorMessage.value = "";
        setCoupon(coupon2);
      }).finally(() => isLoadingCoupon.value = false);
    }, 300);
    return (_ctx, _cache) => {
      const _component_a_input = resolveComponent("a-input");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_form = resolveComponent("a-form");
      const _component_a_spin = resolveComponent("a-spin");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).cartApplyCouponModal.visible,
        title: unref(__)("Apply coupon"),
        centered: "",
        width: "440px",
        class: "apply-coupon-modal",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_component_a_button, {
            key: "back",
            onClick: handleCancelModel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Close")), 1)
            ]),
            _: 1
          }),
          createVNode(_component_a_button, {
            key: "submit",
            type: "primary",
            disabled: isDisabledApplyCouponButton.value,
            onClick: handleFinishForm
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Apply coupon")), 1)
            ]),
            _: 1
          }, 8, ["disabled"])
        ]),
        default: withCtx(() => [
          createVNode(_component_a_form, {
            layout: "vertical",
            model: formState.value,
            ref: formRef.value,
            autocomplete: "off",
            onFinish: handleFinishForm
          }, {
            default: withCtx(() => [
              createVNode(_component_a_form_item, {
                label: unref(__)("Enter coupon code")
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_input, {
                    value: formState.value.code,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => formState.value.code = $event),
                    ref_key: "inputCouponCodeRef",
                    ref: inputCouponCodeRef,
                    onInput: unref(handleInputCouponCode)
                  }, null, 8, ["value", "onInput"])
                ]),
                _: 1
              }, 8, ["label"])
            ]),
            _: 1
          }, 8, ["model"]),
          createVNode(_component_a_spin, { spinning: isLoadingCoupon.value }, {
            default: withCtx(() => [
              !hasCouponError.value ? (openBlock(), createElementBlock("div", _hoisted_1, [
                createBaseVNode("div", _hoisted_2, [
                  createBaseVNode("label", null, toDisplayString(unref(__)("Discount type")) + ":", 1),
                  createBaseVNode("span", null, toDisplayString(formattedCoupon.value.amountType), 1)
                ]),
                createBaseVNode("div", _hoisted_3, [
                  createBaseVNode("label", null, toDisplayString(unref(__)("Coupon amount")) + ":", 1),
                  createBaseVNode("span", null, toDisplayString(formattedCoupon.value.amount), 1)
                ]),
                createBaseVNode("div", _hoisted_4, [
                  createBaseVNode("label", null, toDisplayString(unref(__)("Expiry date")) + ":", 1),
                  createBaseVNode("span", null, toDisplayString(formattedCoupon.value.expiryDate), 1)
                ])
              ])) : (openBlock(), createElementBlock("div", _hoisted_5, toDisplayString(couponErrorMessage.value), 1)),
              warnMessage.value ? (openBlock(), createElementBlock("div", _hoisted_6, toDisplayString(warnMessage.value), 1)) : createCommentVNode("", true)
            ]),
            _: 1
          }, 8, ["spinning"]),
          createBaseVNode("div", _hoisted_7, [
            createBaseVNode("div", _hoisted_8, toDisplayString(unref(__)("Amount to pay")), 1),
            createBaseVNode("div", _hoisted_9, [
              createVNode(_sfc_main$1, { value: amountToPay.value }, null, 8, ["value"])
            ])
          ])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const CartApplyCouponModal_vue_vue_type_style_index_0_lang = "";
const CartApplyCouponModal_vue_vue_type_style_index_1_scoped_7ea71589_lang = "";
const CartApplyCouponModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-7ea71589"]]);
export {
  CartApplyCouponModal as default
};
