import { d as defineComponent, k as usePosStore, g as computed, K as ref, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, n as normalizeClass, F as Fragment, C as renderList, t as toDisplayString, p as createVNode, j as unref, bd as faArrowLeft, bj as faRotateLeft, B as percentOrFixedCost, aS as onlyNumberChars, bk as onClickOutside, a as createBlock, O as withCtx, a6 as normalizeStyle, f as useLanguageStore, l as useCartItemStore, J as createTextVNode } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-grid tw-grid-cols-5 keyboard tw-gap-1" };
const _hoisted_2 = { class: "tw-grid tw-grid-cols-4 tw-gap-1 tw-col-span-4" };
const _hoisted_3 = { class: "keyboard__cell keyboard__cell--screen tw-col-span-2" };
const _hoisted_4 = ["value"];
const _hoisted_5 = { class: "tw-grid tw-grid-cols-3 tw-gap-1 tw-col-span-3" };
const _hoisted_6 = ["onClick"];
const _hoisted_7 = { class: "tw-grid tw-grid-rows-4 tw-gap-1 tw-col-span-1" };
const _hoisted_8 = { class: "tw-grid tw-grid-cols-1 tw-gap-1" };
const _hoisted_9 = ["onClick"];
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "CartItemPriceInputKeyboard",
  props: {
    value: {
      type: [String, Number],
      default: 0
    },
    undoPrice: {
      type: [String, Number]
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const props = __props;
    const posStore = usePosStore();
    const discountPresets = computed(
      () => posStore.register.numericControllerDiscountPresets.slice(0, 4)
    );
    const amountType = ref("fixed");
    const amount = ref(props.value);
    const hasError = computed(() => {
      return amountType.value == "percentage" && Number(amount.value) > 100;
    });
    const handlePressKey = (keyType, value) => {
      switch (keyType) {
        case "amount_type":
          amountType.value = value;
          break;
        case "append":
          if (amount.value != "0") {
            amount.value = String(amount.value) + String(value);
          } else {
            amount.value = String(value);
          }
          break;
        case "clear":
          amount.value = "";
          break;
        case "del":
          amount.value = String(amount.value).slice(0, -1);
          break;
        case "discount_preset": {
          amountType.value = "percentage";
          amount.value = onlyNumberChars(value);
          break;
        }
        case "undo":
          amountType.value = "fixed";
          amount.value = props.undoPrice;
          break;
        case "enter": {
          let newValue = amount.value;
          if (amountType.value == "percentage") {
            const discountValue = percentOrFixedCost({
              amountType: "percentage",
              amount: amount.value,
              subtotal: props.value
            });
            newValue = Number(props.value) - Number(discountValue);
          }
          newValue = Number(newValue);
          if (newValue < 0) {
            newValue = 0;
          }
          emit("change", newValue);
          emit("update:value", newValue);
          break;
        }
      }
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createBaseVNode("div", _hoisted_2, [
          createBaseVNode("div", {
            class: normalizeClass(["keyboard__cell", { "tw-text-primary": amountType.value == "fixed" }]),
            onClick: _cache[0] || (_cache[0] = ($event) => handlePressKey("amount_type", "fixed"))
          }, " $ ", 2),
          createBaseVNode("div", _hoisted_3, [
            createBaseVNode("input", {
              value: amount.value,
              readonly: "",
              class: normalizeClass(["keyboard__screen", {
                "tw-text-negative": hasError.value
              }])
            }, null, 10, _hoisted_4)
          ]),
          createBaseVNode("div", {
            class: normalizeClass(["keyboard__cell", { "tw-text-primary": amountType.value == "percentage" }]),
            onClick: _cache[1] || (_cache[1] = ($event) => handlePressKey("amount_type", "percentage"))
          }, " % ", 2),
          createBaseVNode("div", _hoisted_5, [
            (openBlock(), createElementBlock(Fragment, null, renderList(9, (i) => {
              return createBaseVNode("div", {
                class: "keyboard__cell",
                key: i,
                onClick: ($event) => handlePressKey("append", i)
              }, toDisplayString(i), 9, _hoisted_6);
            }), 64)),
            createBaseVNode("div", {
              class: "keyboard__cell",
              onClick: _cache[2] || (_cache[2] = ($event) => handlePressKey("append", "0"))
            }, " 0 "),
            createBaseVNode("div", {
              class: "keyboard__cell",
              onClick: _cache[3] || (_cache[3] = ($event) => handlePressKey("append", "."))
            }, " . "),
            createBaseVNode("div", {
              class: "keyboard__cell",
              onClick: _cache[4] || (_cache[4] = ($event) => handlePressKey("append", "00"))
            }, " 00 ")
          ]),
          createBaseVNode("div", _hoisted_7, [
            createBaseVNode("div", {
              class: "keyboard__cell",
              onClick: _cache[5] || (_cache[5] = ($event) => handlePressKey("clear", null))
            }, " C "),
            createBaseVNode("div", {
              class: "keyboard__cell",
              onClick: _cache[6] || (_cache[6] = ($event) => handlePressKey("del", null))
            }, [
              createVNode(_component_font_awesome_icon, { icon: unref(faArrowLeft) }, null, 8, ["icon"])
            ]),
            createBaseVNode("div", {
              class: "keyboard__cell tw-row-span-2 tw-h-auto",
              onClick: _cache[7] || (_cache[7] = ($event) => handlePressKey("enter", null))
            }, " Enter ")
          ])
        ]),
        createBaseVNode("div", _hoisted_8, [
          createBaseVNode("div", {
            class: "keyboard__cell",
            onClick: _cache[8] || (_cache[8] = ($event) => handlePressKey("undo", null))
          }, [
            createVNode(_component_font_awesome_icon, { icon: unref(faRotateLeft) }, null, 8, ["icon"])
          ]),
          (openBlock(true), createElementBlock(Fragment, null, renderList(discountPresets.value, (discount) => {
            return openBlock(), createElementBlock("div", {
              key: discount,
              class: "keyboard__cell",
              onClick: ($event) => handlePressKey("discount_preset", discount)
            }, toDisplayString(discount) + "% ", 9, _hoisted_9);
          }), 128))
        ])
      ]);
    };
  }
});
const CartItemPriceInputKeyboard_vue_vue_type_style_index_0_scoped_9c7d4f77_lang = "";
const CartItemPriceInputKeyboard = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-9c7d4f77"]]);
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "CartItemPriceInput",
  props: {
    value: {
      type: [String, Number],
      default: 0
    },
    undoPrice: {
      type: [String, Number]
    },
    inputStyle: {
      type: Object
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const keyboardVisible = ref(false);
    const keyboardRef = ref(null);
    onClickOutside(keyboardRef, () => keyboardVisible.value = false);
    const handleChangePrice = ($event) => {
      const value = onlyNumberChars($event.target.value);
      emit("update:value", value);
      emit("change", value);
    };
    const handleChangePriceFromKeyboard = (value) => {
      keyboardVisible.value = false;
      emit("update:value", value);
      emit("change", value);
    };
    return (_ctx, _cache) => {
      const _component_a_input = resolveComponent("a-input");
      const _component_a_popover = resolveComponent("a-popover");
      return openBlock(), createBlock(_component_a_popover, {
        visible: keyboardVisible.value,
        trigger: "focus",
        placement: "bottomRight",
        overlayClassName: "popover-price-input"
      }, {
        content: withCtx(() => [
          createVNode(CartItemPriceInputKeyboard, {
            ref_key: "keyboardRef",
            ref: keyboardRef,
            value: __props.value,
            "undo-price": __props.undoPrice,
            onChange: handleChangePriceFromKeyboard
          }, null, 8, ["value", "undo-price"])
        ]),
        default: withCtx(() => [
          createVNode(_component_a_input, {
            value: __props.value,
            style: normalizeStyle(__props.inputStyle),
            size: "small",
            onChange: handleChangePrice,
            onFocus: _cache[0] || (_cache[0] = ($event) => keyboardVisible.value = true),
            onClick: _cache[1] || (_cache[1] = ($event) => keyboardVisible.value = true)
          }, null, 8, ["value", "style"])
        ]),
        _: 1
      }, 8, ["visible"]);
    };
  }
});
const CartItemPriceInput_vue_vue_type_style_index_0_lang = "";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartItemForm",
  props: {
    itemId: {
      type: [String, Number],
      required: true
    }
  },
  emits: ["updated", "close"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartItemStore = useCartItemStore();
    const cartItem = computed(() => cartItemStore.find(props.itemId));
    const formState = ref({
      price: cartItem.value.price,
      note: cartItem.value.note
    });
    const onFinish = () => {
      emit("updated");
    };
    const onFinishFailed = (errorInfo) => {
      console.log("Failed:", errorInfo);
    };
    const handleChangeNote = ($event) => {
      const note = $event.target.value;
      cartItemStore.updateNote(props.itemId, note);
    };
    const handleChangePrice = (price) => {
      cartItemStore.updatePrice(props.itemId, price);
    };
    const handleClickCloseButton = () => {
      emit("close");
    };
    return (_ctx, _cache) => {
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_textarea = resolveComponent("a-textarea");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_space = resolveComponent("a-space");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createElementBlock("div", null, [
        createVNode(_component_a_form, {
          model: formState.value,
          layout: "vertical",
          name: "basic",
          autocomplete: "off",
          class: "cart-item__edit-form",
          onFinish,
          onFinishFailed
        }, {
          default: withCtx(() => [
            createVNode(_component_a_form_item, {
              label: unref(__)("Change price per unit"),
              name: "price",
              rules: [{ required: true, message: unref(__)("Please input your price!") }]
            }, {
              default: withCtx(() => [
                createVNode(_sfc_main$1, {
                  value: cartItem.value.price,
                  "undo-price": cartItem.value.undoPrice,
                  "input-style": { "max-width": "170px" },
                  onChange: handleChangePrice
                }, null, 8, ["value", "undo-price"])
              ]),
              _: 1
            }, 8, ["label", "rules"]),
            createVNode(_component_a_form_item, {
              label: unref(__)("Edit note"),
              name: "note"
            }, {
              default: withCtx(() => [
                createVNode(_component_a_textarea, {
                  value: cartItem.value.note,
                  "auto-size": { minRows: 2 },
                  size: "small",
                  style: { "max-width": "600px" },
                  onChange: handleChangeNote
                }, null, 8, ["value"])
              ]),
              _: 1
            }, 8, ["label"]),
            createVNode(_component_a_form_item, { class: "tw-mb-0" }, {
              default: withCtx(() => [
                createVNode(_component_a_space, null, {
                  default: withCtx(() => [
                    createVNode(_component_a_button, {
                      type: "default",
                      "html-type": "button",
                      size: "small",
                      onClick: handleClickCloseButton
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(__)("Close")), 1)
                      ]),
                      _: 1
                    }),
                    createVNode(_component_a_button, {
                      type: "primary",
                      "html-type": "submit",
                      size: "small"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(__)("Update")), 1)
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }, 8, ["model"])
      ]);
    };
  }
});
const CartItemForm_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
