import { d as defineComponent, f as useLanguageStore, X as useCartNoteStore, K as ref, m as useCommonModalsStore, L as onMounted, aP as Form, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref, aR as mergeProps } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartNoteModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartNoteStore = useCartNoteStore();
    const cartNoteSaving = ref(false);
    const formRef = ref();
    const noteRef = ref();
    const commonModalsStore = useCommonModalsStore();
    onMounted(() => {
      setTimeout(() => {
        var _a;
        return (_a = noteRef == null ? void 0 : noteRef.value) == null ? void 0 : _a.focus();
      }, 100);
    });
    const formState = ref({
      note: cartNoteStore.note
    });
    const { resetFields, validate, validateInfos } = Form.useForm(
      formState,
      ref({
        note: [
          {
            // required: true,
            // message: "Please input note",
          }
        ]
      })
    );
    const handleFinishForm = () => {
      validate().then(({ note }) => {
        cartNoteStore.update(note);
        commonModalsStore.hideCartNoteModal();
      });
    };
    const handleFinishFormFailed = () => {
      console.log("handleFinishFormFailed");
    };
    const handleCancelModel = () => {
      commonModalsStore.hideCartNoteModal();
      resetFields({
        note: cartNoteStore.note
      });
    };
    return (_ctx, _cache) => {
      const _component_a_textarea = resolveComponent("a-textarea");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_form = resolveComponent("a-form");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).cartNoteModal.visible,
        title: unref(__)("Add a note to this cart"),
        centered: "",
        class: "cart-note-modal",
        keyboard: "",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_component_a_button, {
            key: "back",
            onClick: handleCancelModel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Close")), 1)
            ]),
            _: 1
          }),
          createVNode(_component_a_button, {
            key: "submit",
            type: "primary",
            loading: cartNoteSaving.value,
            onClick: handleFinishForm
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Save note")), 1)
            ]),
            _: 1
          }, 8, ["loading"])
        ]),
        default: withCtx(() => [
          createVNode(_component_a_form, {
            layout: "vertical",
            model: formState.value,
            ref: formRef.value,
            autocomplete: "off",
            onFinish: handleFinishForm,
            onFinishFailed: handleFinishFormFailed
          }, {
            default: withCtx(() => [
              createVNode(_component_a_form_item, mergeProps({
                label: unref(__)("Your note")
              }, unref(validateInfos).note), {
                default: withCtx(() => [
                  createVNode(_component_a_textarea, {
                    ref_key: "noteRef",
                    ref: noteRef,
                    value: formState.value.note,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => formState.value.note = $event),
                    "auto-size": { minRows: 5 }
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 16, ["label"])
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const CartNoteModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
