import { d as defineComponent, f as useLanguageStore, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref, q as faPlus, i as createBaseVNode, t as toDisplayString, b9 as useCartPaymentStore, s as storeToRefs, K as ref, L as onMounted, N as watch, aE as faTimes, c as createElementBlock, F as Fragment, C as renderList, n as normalizeClass, aS as onlyNumberChars, ba as withDirectives, bb as vShow, u as useCartStore, g as computed, bc as amountPresetsGenerator, h as currencyFormat, a5 as useGeneralSettingStore, k as usePosStore, b as createCommentVNode, aU as pushScopeId, aV as popScopeId, ao as useOrderDetailModalStore, m as useCommonModalsStore, M as useAppStore, T as Modal, V as message, b6 as orderCreated } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$8 } from "./PaymentGatewaySelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { _ as _sfc_main$9 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { T as TheKeyboard } from "./TheKeyboard.uaDs3xEUfw.js";
const _hoisted_1$5 = { class: "tw-ml-2 tw-font-semibold tw-uppercase" };
const _sfc_main$7 = /* @__PURE__ */ defineComponent({
  __name: "AddPaymentLineButton",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createBlock(_component_a_button, {
        type: "primary",
        block: "",
        ghost: "",
        class: "tw-bg-cpn"
      }, {
        icon: withCtx(() => [
          createVNode(_component_font_awesome_icon, { icon: unref(faPlus) }, null, 8, ["icon"])
        ]),
        default: withCtx(() => [
          createBaseVNode("span", _hoisted_1$5, toDisplayString(unref(__)("Add another payment option")), 1)
        ]),
        _: 1
      });
    };
  }
});
const _hoisted_1$4 = { class: "tw-mb-4" };
const _hoisted_2$3 = { class: "tw-font-semibold tw-mb-4" };
const _hoisted_3$3 = { class: "payment-line tw-pt-0 tw-px-0 tw-pb-2" };
const _hoisted_4$3 = { class: "tw-w-1/2 label" };
const _hoisted_5$2 = { class: "tw-w-1/2 label" };
const _hoisted_6$2 = { class: "close-icon hidden" };
const _hoisted_7$2 = { class: "payment-inputs" };
const _sfc_main$6 = /* @__PURE__ */ defineComponent({
  __name: "MultiplePaymentForm",
  props: {
    amount: {
      type: [String, Number],
      default: 0
    }
  },
  emits: ["update:amount", "change-amount"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartPaymentStore = useCartPaymentStore();
    const { items: paymentLines, activeItem: activePaymentLine } = storeToRefs(cartPaymentStore);
    const formRef = ref();
    const paymentLinesRef = ref();
    onMounted(
      () => setTimeout(() => {
        const firstPaymentLine = paymentLinesRef == null ? void 0 : paymentLinesRef.value[0];
        if (!firstPaymentLine) {
          console.log("firstPaymentLine not found");
          return;
        }
        const input = firstPaymentLine.querySelector("input");
        if (!input) {
          console.log("input not found");
          return;
        }
        input.focus();
      }, 100)
    );
    watch(
      () => props.amount,
      () => {
        if (activePaymentLine.value) {
          activePaymentLine.value.total = props.amount;
        }
      }
    );
    const handleFinishForm = () => {
    };
    const handleFinishFormFailed = () => {
    };
    const handleClickAddPaymentLineButton = () => {
      cartPaymentStore.resetActiveItems();
      cartPaymentStore.add();
      emit("update:amount", 0);
    };
    const handleClickRemovePaymentLine = (index) => {
      const clonedPaymentLines = { ...paymentLines.value };
      if (paymentLines.value.length > 1) {
        paymentLines.value.splice(index, 1);
      }
      const clonedPaymentLine = clonedPaymentLines[index];
      if (clonedPaymentLine.active) {
        cartPaymentStore.resetActiveItems();
        cartPaymentStore.setLastItemAsActive();
      }
    };
    const handleFocusPaymentInput = (paymentLine) => {
      cartPaymentStore.resetActiveItems();
      paymentLine.active = true;
      emit("update:amount", paymentLine.total);
      emit("change-amount", paymentLine.total);
    };
    const handleChangePaymentLineAmount = ($event, paymentLine) => {
      const value = onlyNumberChars($event.target.value);
      paymentLine.total = Number(value);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_input = resolveComponent("a-input");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createBlock(_component_a_form, {
        layout: "vertical",
        model: unref(paymentLines),
        ref: formRef.value,
        autocomplete: "off",
        class: "multiple-payment-form",
        onFinish: handleFinishForm,
        onFinishFailed: handleFinishFormFailed
      }, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1$4, [
            createBaseVNode("div", _hoisted_2$3, toDisplayString(unref(__)("Multiple payment")), 1),
            createBaseVNode("div", _hoisted_3$3, [
              createBaseVNode("div", _hoisted_4$3, toDisplayString(unref(__)("Payment option")), 1),
              createBaseVNode("div", _hoisted_5$2, toDisplayString(unref(__)("Amount paying")), 1),
              createBaseVNode("div", _hoisted_6$2, [
                createVNode(_component_a_button, { type: "link" }, {
                  icon: withCtx(() => [
                    createVNode(_component_font_awesome_icon, { icon: unref(faTimes) }, null, 8, ["icon"])
                  ]),
                  _: 1
                })
              ])
            ]),
            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(paymentLines), (paymentLine, index) => {
              return openBlock(), createElementBlock("div", {
                class: normalizeClass(["payment-line", { active: paymentLine.active }]),
                key: index,
                ref_for: true,
                ref_key: "paymentLinesRef",
                ref: paymentLinesRef
              }, [
                createBaseVNode("div", _hoisted_7$2, [
                  createVNode(_component_a_form_item, { class: "multiple-payment-form__item" }, {
                    default: withCtx(() => [
                      createVNode(_sfc_main$8, {
                        value: paymentLine.paymentGateway.gatewayId,
                        "onUpdate:value": ($event) => paymentLine.paymentGateway.gatewayId = $event,
                        immediate: true,
                        onFocus: ($event) => handleFocusPaymentInput(paymentLine),
                        onChangeWithData: (value) => paymentLine.paymentGateway = value
                      }, null, 8, ["value", "onUpdate:value", "onFocus", "onChangeWithData"])
                    ]),
                    _: 2
                  }, 1024),
                  createVNode(_component_a_form_item, { class: "multiple-payment-form__item" }, {
                    default: withCtx(() => [
                      createVNode(_component_a_input, {
                        value: paymentLine.total,
                        class: "tw-text-right tw-font-semibold",
                        onFocus: ($event) => handleFocusPaymentInput(paymentLine),
                        onChange: ($event) => handleChangePaymentLineAmount($event, paymentLine)
                      }, null, 8, ["value", "onFocus", "onChange"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                createBaseVNode("div", {
                  class: normalizeClass(["close-icon", { hidden: unref(paymentLines).length == 1 }])
                }, [
                  createVNode(_component_a_button, {
                    type: "link",
                    onClick: ($event) => handleClickRemovePaymentLine(index)
                  }, {
                    icon: withCtx(() => [
                      createVNode(_component_font_awesome_icon, { icon: unref(faTimes) }, null, 8, ["icon"])
                    ]),
                    _: 2
                  }, 1032, ["onClick"])
                ], 2)
              ], 2);
            }), 128))
          ]),
          createBaseVNode("div", null, [
            createVNode(_sfc_main$7, { onClick: handleClickAddPaymentLineButton })
          ])
        ]),
        _: 1
      }, 8, ["model"]);
    };
  }
});
const MultiplePaymentForm_vue_vue_type_style_index_0_lang = "";
const MultiplePaymentForm_vue_vue_type_style_index_1_scoped_11eee103_lang = "";
const MultiplePaymentForm = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["__scopeId", "data-v-11eee103"]]);
const _sfc_main$5 = /* @__PURE__ */ defineComponent({
  __name: "SinglePaymentForm",
  props: {
    label: {
      type: String,
      default: ""
    },
    amount: {
      type: [String, Number],
      default: 0
    }
  },
  emits: ["update:amount", "change-amount"],
  setup(__props, { emit }) {
    const props = __props;
    const cartPaymentStore = useCartPaymentStore();
    const { singlePayment } = storeToRefs(cartPaymentStore);
    const handleFinishForm = () => {
    };
    const handleFinishFormFailed = () => {
    };
    const handleChangeInput = (e) => {
      const value = onlyNumberChars(e.target.value);
      emit("update:amount", value);
      emit("change-amount", value);
    };
    watch(
      () => props.amount,
      () => {
        singlePayment.value.total = props.amount;
      }
    );
    return (_ctx, _cache) => {
      const _component_a_input = resolveComponent("a-input");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createBlock(_component_a_form, {
        layout: "vertical",
        autocomplete: "off",
        colon: false,
        onFinish: handleFinishForm,
        onFinishFailed: handleFinishFormFailed
      }, {
        default: withCtx(() => [
          createVNode(_component_a_form_item, {
            label: __props.label,
            class: "amount-form-item"
          }, {
            default: withCtx(() => [
              createVNode(_component_a_input, {
                value: __props.amount,
                size: "large",
                onChange: handleChangeInput
              }, null, 8, ["value"])
            ]),
            _: 1
          }, 8, ["label"])
        ]),
        _: 1
      });
    };
  }
});
const SinglePaymentForm_vue_vue_type_style_index_0_lang = "";
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "PaymentGatewayForm",
  props: {
    label: {
      type: String,
      default: ""
    },
    amount: {
      type: [String, Number],
      default: 0
    }
  },
  emits: ["update:amount"],
  setup(__props, { emit }) {
    const cartPaymentStore = useCartPaymentStore();
    const { mode } = storeToRefs(cartPaymentStore);
    const handleChangeAmount = (amount) => {
      emit("update:amount", amount);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", null, [
        withDirectives(createVNode(MultiplePaymentForm, {
          amount: __props.amount,
          onChangeAmount: handleChangeAmount
        }, null, 8, ["amount"]), [
          [vShow, unref(mode) === "multiple"]
        ]),
        withDirectives(createVNode(_sfc_main$5, {
          amount: __props.amount,
          label: __props.label,
          onChangeAmount: handleChangeAmount
        }, null, 8, ["amount", "label"]), [
          [vShow, unref(mode) === "single"]
        ])
      ]);
    };
  }
});
const _hoisted_1$3 = ["onClick"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "PaymentAmountPresets",
  props: {
    amount: {
      type: [String, Number],
      default: 0
    }
  },
  emits: ["update:amount"],
  setup(__props, { emit }) {
    const cartStore = useCartStore();
    const presets = computed(() => amountPresetsGenerator(cartStore.total, 6));
    const handleClickToKey = (amount) => {
      emit("update:amount", amount);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["tw-grid keyboard", [`tw-grid-cols-${presets.value.length}`]])
      }, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(presets.value, (preset) => {
          return openBlock(), createElementBlock("div", {
            class: "key",
            key: preset,
            onClick: ($event) => handleClickToKey(preset)
          }, toDisplayString(unref(currencyFormat)(preset)), 9, _hoisted_1$3);
        }), 128))
      ], 2);
    };
  }
});
const PaymentAmountPresets_vue_vue_type_style_index_0_scoped_0d02b71a_lang = "";
const PaymentAmountPresets = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["__scopeId", "data-v-0d02b71a"]]);
const _hoisted_1$2 = { class: "payment-gateway" };
const _hoisted_2$2 = ["onClick"];
const _hoisted_3$2 = { class: "tw-font-semibold" };
const _hoisted_4$2 = { class: "tw-font-semibold" };
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "PaymentGatewaySelection",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const generalSettingStore = useGeneralSettingStore();
    const posStore = usePosStore();
    const { register } = storeToRefs(posStore);
    const cartPaymentStore = useCartPaymentStore();
    const { mode, singlePayment } = storeToRefs(cartPaymentStore);
    const paymentGateways = computed(() => {
      return generalSettingStore.dataPaymentGateways.filter(
        (paymentGateway) => register.value.paymentGateways.includes(paymentGateway.id)
      ).map((paymentGateway) => ({
        id: paymentGateway.id,
        title: paymentGateway.title
      }));
    });
    const handleClickSinglePaymentGateway = (paymentGateway) => {
      cartPaymentStore.setMode("single");
      singlePayment.value.gatewayId = paymentGateway.id;
      singlePayment.value.gatewayTitle = paymentGateway.title;
    };
    const handleClickMultiplePayment = () => {
      cartPaymentStore.setMode("multiple");
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$2, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(paymentGateways.value, (paymentGateway) => {
          return openBlock(), createElementBlock("div", {
            key: paymentGateway.title,
            class: normalizeClass(["payment-gateway__radio-item", {
              active: unref(mode) === "single" && paymentGateway.id === unref(singlePayment).gatewayId
            }]),
            onClick: ($event) => handleClickSinglePaymentGateway(paymentGateway)
          }, [
            createBaseVNode("div", _hoisted_3$2, toDisplayString(paymentGateway.title), 1)
          ], 10, _hoisted_2$2);
        }), 128)),
        createBaseVNode("div", {
          class: normalizeClass(["payment-gateway__radio-item", {
            active: unref(mode) === "multiple"
          }]),
          onClick: handleClickMultiplePayment
        }, [
          createBaseVNode("div", _hoisted_4$2, toDisplayString(unref(__)("Multiple payment")), 1)
        ], 2)
      ]);
    };
  }
});
const PaymentGatewaySelection_vue_vue_type_style_index_0_scoped_4d2da72f_lang = "";
const PaymentGatewaySelection = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-4d2da72f"]]);
const _withScopeId = (n) => (pushScopeId("data-v-7514d3ea"), n = n(), popScopeId(), n);
const _hoisted_1$1 = { class: "total" };
const _hoisted_2$1 = { class: "label" };
const _hoisted_3$1 = { class: "amount" };
const _hoisted_4$1 = {
  key: 0,
  class: "total"
};
const _hoisted_5$1 = { class: "label" };
const _hoisted_6$1 = { class: "amount" };
const _hoisted_7$1 = {
  key: 1,
  class: "total"
};
const _hoisted_8$1 = { class: "label" };
const _hoisted_9 = { class: "amount" };
const _hoisted_10 = {
  key: 2,
  class: "total"
};
const _hoisted_11 = { class: "label" };
const _hoisted_12 = { class: "amount" };
const _hoisted_13 = {
  key: 3,
  class: "total"
};
const _hoisted_14 = { class: "label" };
const _hoisted_15 = { class: "amount" };
const _hoisted_16 = { class: "total" };
const _hoisted_17 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("div", { class: "label tw-text-xl tw-text-primary tw-font-bold" }, "Total", -1));
const _hoisted_18 = { class: "amount tw-text-xl tw-text-primary" };
const _hoisted_19 = { class: "total" };
const _hoisted_20 = { class: "label" };
const _hoisted_21 = { class: "amount" };
const _hoisted_22 = { class: "total" };
const _hoisted_23 = { class: "label" };
const _hoisted_24 = { class: "amount" };
const _hoisted_25 = { class: "total" };
const _hoisted_26 = { class: "label tw-text-xl tw-text-primary tw-font-bold" };
const _hoisted_27 = { class: "amount tw-text-xl tw-text-primary" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "PaymentReceiptSelection",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartPaymentStore = useCartPaymentStore();
    const cartStore = useCartStore();
    const { totalPaying, totalBalance, totalChange } = storeToRefs(cartPaymentStore);
    const {
      total,
      subtotal,
      totalFees,
      totalDiscounts,
      totalShippingFee,
      totalTax
    } = storeToRefs(cartStore);
    return (_ctx, _cache) => {
      const _component_a_divider = resolveComponent("a-divider");
      return openBlock(), createElementBlock(Fragment, null, [
        createBaseVNode("div", _hoisted_1$1, [
          createBaseVNode("div", _hoisted_2$1, toDisplayString(unref(__)("Subtotal")), 1),
          createBaseVNode("div", _hoisted_3$1, [
            createVNode(_sfc_main$9, {
              value: unref(subtotal),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ]),
        unref(totalFees) > 0 ? (openBlock(), createElementBlock("div", _hoisted_4$1, [
          createBaseVNode("div", _hoisted_5$1, toDisplayString(unref(__)("Total fee")), 1),
          createBaseVNode("div", _hoisted_6$1, [
            createVNode(_sfc_main$9, {
              value: unref(totalFees),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ])) : createCommentVNode("", true),
        unref(totalShippingFee) > 0 ? (openBlock(), createElementBlock("div", _hoisted_7$1, [
          createBaseVNode("div", _hoisted_8$1, toDisplayString(unref(__)("Total shipping")), 1),
          createBaseVNode("div", _hoisted_9, [
            createVNode(_sfc_main$9, {
              value: unref(totalShippingFee),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ])) : createCommentVNode("", true),
        unref(totalTax) > 0 ? (openBlock(), createElementBlock("div", _hoisted_10, [
          createBaseVNode("div", _hoisted_11, toDisplayString(unref(__)("Total tax")), 1),
          createBaseVNode("div", _hoisted_12, [
            createVNode(_sfc_main$9, {
              value: unref(totalTax),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ])) : createCommentVNode("", true),
        unref(totalDiscounts) > 0 ? (openBlock(), createElementBlock("div", _hoisted_13, [
          createBaseVNode("div", _hoisted_14, toDisplayString(unref(__)("Total discount")), 1),
          createBaseVNode("div", _hoisted_15, [
            createVNode(_sfc_main$9, {
              value: unref(totalDiscounts),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ])) : createCommentVNode("", true),
        createBaseVNode("div", _hoisted_16, [
          _hoisted_17,
          createBaseVNode("div", _hoisted_18, [
            createVNode(_sfc_main$9, {
              value: unref(total),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ]),
        createVNode(_component_a_divider),
        createBaseVNode("div", _hoisted_19, [
          createBaseVNode("div", _hoisted_20, toDisplayString(unref(__)("Total paying")), 1),
          createBaseVNode("div", _hoisted_21, [
            createVNode(_sfc_main$9, {
              value: unref(totalPaying),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ]),
        createBaseVNode("div", _hoisted_22, [
          createBaseVNode("div", _hoisted_23, toDisplayString(unref(__)("Balance")), 1),
          createBaseVNode("div", _hoisted_24, [
            createVNode(_sfc_main$9, {
              value: unref(totalBalance),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ]),
        createBaseVNode("div", _hoisted_25, [
          createBaseVNode("div", _hoisted_26, toDisplayString(unref(__)("Change back")), 1),
          createBaseVNode("div", _hoisted_27, [
            createVNode(_sfc_main$9, {
              value: unref(totalChange),
              class: "tw-justify-end"
            }, null, 8, ["value"])
          ])
        ])
      ], 64);
    };
  }
});
const PaymentReceiptSelection_vue_vue_type_style_index_0_scoped_7514d3ea_lang = "";
const PaymentReceiptSelection = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-7514d3ea"]]);
const _hoisted_1 = { class: "tw-flex payment-body" };
const _hoisted_2 = { class: "tw-w-[450px] payment-method max-sm:tw-hidden" };
const _hoisted_3 = { class: "tw-mb-4 tw-font-semibold" };
const _hoisted_4 = { class: "payment-method-detail" };
const _hoisted_5 = { class: "tw-hidden max-sm:tw-block" };
const _hoisted_6 = { class: "tw-mb-4 tw-font-semibold" };
const _hoisted_7 = { class: "tw-w-[450px] payment-totals max-sm:tw-hidden" };
const _hoisted_8 = { class: "tw-mb-4 tw-font-semibold" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CartPaymentModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const orderDetailModal = useOrderDetailModalStore();
    const commonModalsStore = useCommonModalsStore();
    const cartPaymentStore = useCartPaymentStore();
    const cartStore = useCartStore();
    const currentAmount = ref(0);
    const { totalBalance, singlePayment } = storeToRefs(cartPaymentStore);
    const disabledPayButton = computed(() => {
      return totalBalance.value > 0;
    });
    const clearState = () => {
      currentAmount.value = 0;
      cartPaymentStore.clear();
    };
    const handleCancelModel = () => {
      clearState();
      commonModalsStore.hideCartPaymentModal();
    };
    const appStore = useAppStore();
    const handlePressEnterOnKeyboard = async () => {
      appStore.setLoading(true);
      const {
        hasError,
        errorDetails,
        successData: orderData
      } = await cartStore.pay();
      appStore.setLoading(false);
      if (hasError) {
        Modal.error({
          title: __("Create product unsuccessfully"),
          content: JSON.stringify(errorDetails)
        });
        return;
      }
      message.success(__("Create order successfully"));
      clearState();
      commonModalsStore.hideCartPaymentModal();
      orderDetailModal.setOrder(orderData);
      orderDetailModal.show();
      setTimeout(() => orderCreated.emit(orderData), 200);
    };
    return (_ctx, _cache) => {
      const _component_a_divider = resolveComponent("a-divider");
      const _component_a_spin = resolveComponent("a-spin");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).cartPaymentModal.visible,
        title: unref(__)("Pay To This Cart"),
        centered: "",
        width: "1000px",
        class: "cart-payment-modal modal-no-footer",
        onCancel: handleCancelModel
      }, {
        default: withCtx(() => [
          createVNode(_component_a_spin, {
            spinning: unref(appStore).isLoading
          }, {
            footer: withCtx(() => []),
            default: withCtx(() => [
              createBaseVNode("div", _hoisted_1, [
                createBaseVNode("div", _hoisted_2, [
                  createBaseVNode("div", _hoisted_3, toDisplayString(unref(__)("Payment method")), 1),
                  createVNode(PaymentGatewaySelection)
                ]),
                createBaseVNode("div", _hoisted_4, [
                  createBaseVNode("div", null, [
                    createBaseVNode("div", _hoisted_5, [
                      createBaseVNode("div", _hoisted_6, toDisplayString(unref(__)("Payment method")), 1),
                      createVNode(PaymentGatewaySelection),
                      createVNode(_component_a_divider)
                    ]),
                    createVNode(_sfc_main$4, {
                      amount: currentAmount.value,
                      "onUpdate:amount": _cache[0] || (_cache[0] = ($event) => currentAmount.value = $event),
                      label: unref(singlePayment).gatewayTitle,
                      class: "tw-mb-8"
                    }, null, 8, ["amount", "label"])
                  ]),
                  createBaseVNode("div", null, [
                    createVNode(PaymentAmountPresets, {
                      amount: currentAmount.value,
                      "onUpdate:amount": _cache[1] || (_cache[1] = ($event) => currentAmount.value = $event),
                      class: "tw-mb-1"
                    }, null, 8, ["amount"]),
                    createVNode(TheKeyboard, {
                      value: currentAmount.value,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => currentAmount.value = $event),
                      "enter-text": "Pay",
                      "disabled-enter-button": disabledPayButton.value,
                      onPressEnter: handlePressEnterOnKeyboard,
                      onPressBack: handleCancelModel
                    }, null, 8, ["value", "disabled-enter-button"])
                  ])
                ]),
                createBaseVNode("div", _hoisted_7, [
                  createBaseVNode("div", _hoisted_8, toDisplayString(unref(__)("Receipt")), 1),
                  createVNode(PaymentReceiptSelection)
                ])
              ])
            ]),
            _: 1
          }, 8, ["spinning"])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const CartPaymentModal_vue_vue_type_style_index_0_lang = "";
const CartPaymentModal_vue_vue_type_style_index_1_scoped_23158564_lang = "";
const CartPaymentModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-23158564"]]);
export {
  CartPaymentModal as default
};
