import { d as defineComponent, f as useLanguageStore, K as ref, k as usePosStore, g as computed, L as onMounted, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, i as createBaseVNode, p as createVNode, c as createElementBlock, F as Fragment, C as renderList, b as createCommentVNode, J as createTextVNode, t as toDisplayString, j as unref } from "./index.uaDs3xEUfw.js";
import { u as useCategoryApi } from "./category.uaDs3xEUfw.js";
import { P as ProductBrowserItem, a as ProductBrowserItemLoading } from "./ProductBrowserItemLoading.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./product-placeholder.uaDs3xEUfw.js";
import "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-flex" };
const _hoisted_2 = { class: "tw-w-full" };
const _hoisted_3 = {
  key: 0,
  class: "tw-text-center tw-mt-5"
};
const _hoisted_4 = {
  key: 1,
  class: "tw-text-center tw-mt-5"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CategoryBrowser",
  props: {
    query: {
      type: Object,
      default() {
        return {};
      }
    }
  },
  emits: ["click-category"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const categoryItems = ref([]);
    const isFetching = ref(false);
    const fetchPage = ref(1);
    const isFetchedAll = ref(false);
    const posStore = usePosStore();
    const showEmpty = computed(() => isFetchedAll.value && !isFetching.value);
    const showLoadMoreButton = computed(() => !isFetchedAll.value);
    const fetchParams = computed(() => ({
      page: fetchPage.value,
      perPage: 12,
      storeId: posStore.store.id,
      ...props.query
    }));
    const fetch = async () => {
      const categoryApi = await useCategoryApi();
      isFetching.value = true;
      categoryApi.getList(fetchParams.value).then(({ data }) => {
        if (data.length == 0) {
          isFetchedAll.value = true;
        }
        for (const category of data) {
          categoryItems.value.push(category);
        }
      }).finally(() => isFetching.value = false);
    };
    onMounted(() => fetch());
    const handleClickToCategoryItem = (item) => {
      emit("click-category", item);
    };
    const handleScrollToEnd = () => {
      if (isFetching.value || isFetchedAll.value) {
        return;
      }
      fetchPage.value++;
      fetch();
    };
    const handleClickTryFetchAgainButton = () => {
      fetch();
    };
    return (_ctx, _cache) => {
      const _component_a_col = resolveComponent("a-col");
      const _component_a_row = resolveComponent("a-row");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_empty = resolveComponent("a-empty");
      return openBlock(), createBlock(_sfc_main$1, {
        class: "product-browser tw-p-3 tw-bg-contrast-lowest",
        onScrollEnd: handleScrollToEnd
      }, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createBaseVNode("div", _hoisted_2, [
              createVNode(_component_a_row, { gutter: [12, 12] }, {
                default: withCtx(() => [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(categoryItems.value, (item) => {
                    return openBlock(), createBlock(_component_a_col, {
                      xs: 12,
                      md: 12,
                      lg: 8,
                      xl: 8,
                      key: item.id
                    }, {
                      default: withCtx(() => [
                        createVNode(ProductBrowserItem, {
                          title: item.title,
                          thumbnail: item.thumbnail,
                          "is-loading": item.isLoading,
                          onClick: ($event) => handleClickToCategoryItem(item)
                        }, null, 8, ["title", "thumbnail", "is-loading", "onClick"])
                      ]),
                      _: 2
                    }, 1024);
                  }), 128)),
                  isFetching.value ? (openBlock(), createElementBlock(Fragment, { key: 0 }, renderList(12, (i) => {
                    return createVNode(_component_a_col, {
                      xs: 12,
                      md: 12,
                      lg: 8,
                      xl: 8,
                      key: i
                    }, {
                      default: withCtx(() => [
                        createVNode(ProductBrowserItemLoading)
                      ]),
                      _: 2
                    }, 1024);
                  }), 64)) : createCommentVNode("", true)
                ]),
                _: 1
              }),
              showLoadMoreButton.value ? (openBlock(), createElementBlock("div", _hoisted_3, [
                createVNode(_component_a_button, {
                  type: "default",
                  onClick: handleScrollToEnd
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(unref(__)("Load more")), 1)
                  ]),
                  _: 1
                })
              ])) : createCommentVNode("", true),
              showEmpty.value ? (openBlock(), createElementBlock("div", _hoisted_4, [
                createVNode(_component_a_empty, null, {
                  description: withCtx(() => [
                    createBaseVNode("div", null, toDisplayString(unref(__)("All categories have been loaded")), 1),
                    createVNode(_component_a_button, {
                      type: "link",
                      onClick: handleClickTryFetchAgainButton
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(__)("Try again")), 1)
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ])) : createCommentVNode("", true)
            ])
          ])
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
