import { d as defineComponent, f as useLanguageStore, m as useCommonModalsStore, a1 as useAuthStore, k as usePosStore, K as ref, L as onMounted, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, i as createBaseVNode, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref, b as createCommentVNode, aB as useCurrentSessionApi, T as Modal } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./TodayProfitReport.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./csv.uaDs3xEUfw.js";
import "./datetime.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-flex" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CloseRegisterModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const commonModalsStore = useCommonModalsStore();
    const authStore = useAuthStore();
    const posStore = usePosStore();
    const { __ } = languageStore;
    const closingRegister = ref(false);
    const note = ref("");
    const todayProfitReportRef = ref();
    const inputNoteRef = ref();
    onMounted(() => {
      setTimeout(() => inputNoteRef.value.focus(), 100);
    });
    const handleCancelModel = () => {
      commonModalsStore.hideCloseRegisterModal();
    };
    const handleClickDownloadReportButton = () => {
      if (todayProfitReportRef.value.isLoading) {
        return;
      }
      todayProfitReportRef.value.exportReportToCsv();
    };
    const handleClickCloseRegisterButton = async () => {
      var _a;
      const currentSessionApi = await useCurrentSessionApi();
      closingRegister.value = true;
      try {
        await currentSessionApi.close(posStore.register.id, {
          note: note.value
        });
      } catch (error) {
        console.error(error);
        closingRegister.value = false;
        Modal.error({
          title: __("Load report data unsuccessfully"),
          content: JSON.stringify((_a = error == null ? void 0 : error.posifyError) == null ? void 0 : _a.details)
        });
        return;
      }
      closingRegister.value = false;
      commonModalsStore.hideCloseRegisterModal();
      const { hasError: logoutError, errorDetails: logoutErrorDetails } = await authStore.logout();
      if (logoutError) {
        Modal.error({
          title: __("Logout unsuccessfully. Please reload page."),
          content: logoutErrorDetails
        });
      }
    };
    return (_ctx, _cache) => {
      const _component_a_textarea = resolveComponent("a-textarea");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_form = resolveComponent("a-form");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).closeRegisterModal.visible,
        title: unref(__)("Close register"),
        centered: "",
        class: "close-register-modal",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createVNode(_component_a_button, {
              key: "back",
              onClick: handleClickDownloadReportButton,
              class: "!tw-mr-auto"
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(unref(__)("Download report")), 1)
              ]),
              _: 1
            }),
            createVNode(_component_a_button, {
              key: "back",
              onClick: handleCancelModel
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(unref(__)("Cancel")), 1)
              ]),
              _: 1
            }),
            createVNode(_component_a_button, {
              key: "back",
              "html-type": "submit",
              onClick: handleClickCloseRegisterButton,
              type: "primary",
              loading: closingRegister.value
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(unref(__)("Close register")), 1)
              ]),
              _: 1
            }, 8, ["loading"])
          ])
        ]),
        default: withCtx(() => [
          createVNode(_component_a_form, { layout: "vertical" }, {
            default: withCtx(() => [
              createVNode(_sfc_main$1, {
                ref_key: "todayProfitReportRef",
                ref: todayProfitReportRef
              }, null, 512),
              unref(posStore).register.closingReportNoteEnabled ? (openBlock(), createBlock(_component_a_form_item, {
                key: 0,
                label: unref(__)("Add note"),
                class: "tw-mb-0 tw-mt-5"
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_textarea, {
                    value: note.value,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => note.value = $event),
                    ref_key: "inputNoteRef",
                    ref: inputNoteRef
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"])) : createCommentVNode("", true)
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
export {
  _sfc_main as default
};
