import { d as defineComponent, f as useLanguageStore, H as useCustomerModalStore, s as storeToRefs, K as ref, b2 as addressFactory, r as resolveComponent, o as openBlock, c as createElementBlock, p as createVNode, j as unref, i as createBaseVNode, O as withCtx, J as createTextVNode, t as toDisplayString, bm as useCustomerApi, V as message, T as Modal } from "./index.uaDs3xEUfw.js";
import { o as objectIsEqual, _ as _sfc_main$1 } from "./AddressForm.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js";
import { d as debounce } from "./index.uaDs3xEUfw4.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import "./_baseIsEqual.uaDs3xEUfw.js";
import "./address.uaDs3xEUfw.js";
import "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
const _hoisted_1 = { class: "footer" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CustomerAddressForm",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const customerModalStore = useCustomerModalStore();
    const { section, customer } = storeToRefs(customerModalStore);
    const addressFormValidate = ref(
      () => new Promise(() => {
      })
    );
    const isUpdatingCustomer = ref(false);
    const shippingAddress = ref(addressFactory(customer.value.shipping));
    const billingAddress = ref(addressFactory(customer.value.billing));
    const billingSameShipping = ref(
      objectIsEqual(shippingAddress.value, billingAddress.value)
    );
    const handleOnSetupAddressForm = ({ validate }) => {
      addressFormValidate.value = validate;
    };
    const checkEmailUniqueCallback = debounce(
      async (rule, email) => await customerModalStore.checkEmailIsExist(email, "update"),
      300
    );
    const syncCustomerToBackend = async () => {
      const customerApi = await useCustomerApi();
      isUpdatingCustomer.value = true;
      let hasError, errorDetails;
      try {
        if (customer.value.id) {
          await customerApi.update(customer.value.id, customer.value);
        } else {
          await customerApi.create(customer.value);
        }
        message.success(__("Update customer successfully"));
      } catch (error) {
        hasError = true;
        errorDetails = error.posifyError.details;
      }
      isUpdatingCustomer.value = false;
      if (hasError) {
        Modal.error({
          title: __("Update customer unsuccessfully"),
          content: JSON.stringify(errorDetails)
        });
      }
    };
    const handleSubmitForm = () => {
      addressFormValidate.value().then(async () => {
        if (billingSameShipping.value) {
          billingAddress.value = shippingAddress.value;
        }
        customerModalStore.updateCustomerBilling(billingAddress.value);
        customerModalStore.updateCustomerShipping(shippingAddress.value);
        customerModalStore.updateCustomerInfoFromShipping();
        section.value = "preview_customer_info";
        syncCustomerToBackend();
      });
    };
    const handleClickSaveCustomerButton = () => {
      handleSubmitForm();
    };
    const handleClickCancel = () => {
      section.value = "preview_customer_info";
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_space = resolveComponent("a-space");
      return openBlock(), createElementBlock("div", null, [
        createVNode(_sfc_main$1, {
          "shipping-address": shippingAddress.value,
          "onUpdate:shippingAddress": _cache[0] || (_cache[0] = ($event) => shippingAddress.value = $event),
          "billing-address": billingAddress.value,
          "onUpdate:billingAddress": _cache[1] || (_cache[1] = ($event) => billingAddress.value = $event),
          "billing-same-shipping": billingSameShipping.value,
          "onUpdate:billingSameShipping": _cache[2] || (_cache[2] = ($event) => billingSameShipping.value = $event),
          "required-shipping-address-email": "",
          "unique-shipping-address-email": "",
          "check-email-unique-callback": unref(checkEmailUniqueCallback),
          onSetup: handleOnSetupAddressForm,
          onSubmit: handleSubmitForm
        }, null, 8, ["shipping-address", "billing-address", "billing-same-shipping", "check-email-unique-callback"]),
        createBaseVNode("div", _hoisted_1, [
          createVNode(_component_a_space, null, {
            default: withCtx(() => [
              createVNode(_component_a_button, { onClick: handleClickCancel }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(__)("Cannel")), 1)
                ]),
                _: 1
              }),
              createVNode(_component_a_button, {
                type: "primary",
                loading: isUpdatingCustomer.value,
                onClick: handleClickSaveCustomerButton
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(__)("Save customer")), 1)
                ]),
                _: 1
              }, 8, ["loading"])
            ]),
            _: 1
          })
        ])
      ]);
    };
  }
});
const CustomerAddressForm_vue_vue_type_style_index_0_scoped_b3c1b752_lang = "";
const CustomerAddressForm = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-b3c1b752"]]);
export {
  CustomerAddressForm as default
};
