import { d as defineComponent, f as useLanguageStore, H as useCustomerModalStore, s as storeToRefs, k as usePosStore, K as ref, r as resolveComponent, o as openBlock, c as createElementBlock, p as createVNode, j as unref, i as createBaseVNode, O as withCtx, J as createTextVNode, t as toDisplayString, bm as useCustomerApi, V as message, T as Modal } from "./index.uaDs3xEUfw.js";
import { o as objectIsEqual, _ as _sfc_main$1 } from "./AddressForm.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js";
import { d as debounce } from "./index.uaDs3xEUfw4.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import "./_baseIsEqual.uaDs3xEUfw.js";
import "./address.uaDs3xEUfw.js";
import "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
const _hoisted_1 = { class: "footer" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CustomerCreationForm",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const customerModalStore = useCustomerModalStore();
    const { section, customer } = storeToRefs(customerModalStore);
    const posStore = usePosStore();
    const { store } = storeToRefs(posStore);
    let country, state;
    if (store.value.countryState) {
      [country, state] = store.value.countryState.split(":");
    }
    const defaultAddress = {
      country,
      state
    };
    const addressFormValidate = ref(
      () => new Promise(() => {
      })
    );
    const isCreatingCustomer = ref(false);
    const shippingAddress = ref({
      ...customer.value.shipping,
      ...defaultAddress
    });
    const billingAddress = ref({
      ...customer.value.billing,
      ...defaultAddress
    });
    const billingSameShipping = ref(
      objectIsEqual(shippingAddress.value, billingAddress.value)
    );
    const handleOnSetupAddressForm = ({ validate }) => {
      addressFormValidate.value = validate;
    };
    const checkEmailUniqueCallback = debounce(
      async (rule, email) => await customerModalStore.checkEmailIsExist(email),
      300
    );
    const syncCustomerToBackend = async () => {
      const customerApi = await useCustomerApi();
      isCreatingCustomer.value = true;
      let hasError, errorDetails;
      try {
        console.log(customerModalStore.customer);
        await customerApi.create(customerModalStore.customer);
        message.success(__("Create customer successfully"));
      } catch (error) {
        console.error(error);
        hasError = true;
        errorDetails = error.posifyError.details;
      }
      isCreatingCustomer.value = false;
      if (hasError) {
        Modal.error({
          title: __("Create customer unsuccessfully"),
          content: JSON.stringify(errorDetails)
        });
      }
    };
    const handleClickCreateCustomerButton = () => {
      addressFormValidate.value().then(async () => {
        if (billingSameShipping.value) {
          billingAddress.value = shippingAddress.value;
        }
        customerModalStore.updateCustomerBilling(billingAddress.value);
        customerModalStore.updateCustomerShipping(shippingAddress.value);
        customerModalStore.updateCustomerInfoFromShipping();
        section.value = "preview_customer_info";
        syncCustomerToBackend();
      });
    };
    const handleClickCancel = () => {
      section.value = "load_customer_profile";
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_space = resolveComponent("a-space");
      return openBlock(), createElementBlock("div", null, [
        createVNode(_sfc_main$1, {
          "shipping-address": shippingAddress.value,
          "onUpdate:shippingAddress": _cache[0] || (_cache[0] = ($event) => shippingAddress.value = $event),
          "billing-address": billingAddress.value,
          "onUpdate:billingAddress": _cache[1] || (_cache[1] = ($event) => billingAddress.value = $event),
          "billing-same-shipping": billingSameShipping.value,
          "onUpdate:billingSameShipping": _cache[2] || (_cache[2] = ($event) => billingSameShipping.value = $event),
          "unique-shipping-address-email": "",
          "check-email-unique-callback": unref(checkEmailUniqueCallback),
          onSetup: handleOnSetupAddressForm
        }, null, 8, ["shipping-address", "billing-address", "billing-same-shipping", "check-email-unique-callback"]),
        createBaseVNode("div", _hoisted_1, [
          createVNode(_component_a_space, null, {
            default: withCtx(() => [
              createVNode(_component_a_button, { onClick: handleClickCancel }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(__)("Cancel")), 1)
                ]),
                _: 1
              }),
              createVNode(_component_a_button, {
                type: "primary",
                loading: isCreatingCustomer.value,
                onClick: handleClickCreateCustomerButton
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(__)("Create customer")), 1)
                ]),
                _: 1
              }, 8, ["loading"])
            ]),
            _: 1
          })
        ])
      ]);
    };
  }
});
const CustomerCreationForm_vue_vue_type_style_index_0_scoped_49a1fa68_lang = "";
const CustomerCreationForm = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-49a1fa68"]]);
export {
  CustomerCreationForm as default
};
