import { d as defineComponent, f as useLanguageStore, K as ref, be as shortcut, m as useCommonModalsStore, k as usePosStore, a5 as useGeneralSettingStore, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref, c as createElementBlock, F as Fragment, C as renderList, b as createCommentVNode, i as createBaseVNode, bf as homeURL } from "./index.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-m-0 tw-p-0" };
const _hoisted_2 = { class: "tw-mb-2" };
const _hoisted_3 = { class: "tw-font-bold" };
const _hoisted_4 = { class: "tw-font-bold" };
const _hoisted_5 = { class: "tw-mb-2" };
const _hoisted_6 = /* @__PURE__ */ createBaseVNode("strong", null, "Version", -1);
const _hoisted_7 = /* @__PURE__ */ createBaseVNode("strong", null, "Posify WooCommerce", -1);
const _hoisted_8 = ["href"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "HelpModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const activeKey = ref("1");
    const guide = ref(shortcut.guide());
    const commonModalsStore = useCommonModalsStore();
    const posStore = usePosStore();
    const generalSettingStore = useGeneralSettingStore();
    const columns = ref([
      {
        title: __("Key"),
        dataIndex: "key",
        key: "key"
      },
      {
        title: __("Description"),
        dataIndex: "description",
        key: "description"
      }
    ]);
    const handleCancelModel = () => {
      commonModalsStore.hideHelpModal();
    };
    return (_ctx, _cache) => {
      const _component_a_tag = resolveComponent("a-tag");
      const _component_a_table = resolveComponent("a-table");
      const _component_a_tab_pane = resolveComponent("a-tab-pane");
      const _component_a_tabs = resolveComponent("a-tabs");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).helpModal.visible,
        title: unref(__)("Help"),
        centered: "",
        class: "help-modal",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_component_a_button, {
            type: "primary",
            onClick: handleCancelModel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Close")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode(_component_a_tabs, {
            activeKey: activeKey.value,
            "onUpdate:activeKey": _cache[0] || (_cache[0] = ($event) => activeKey.value = $event)
          }, {
            default: withCtx(() => [
              createVNode(_component_a_tab_pane, {
                key: "1",
                tab: unref(__)("Keyboard shortcut")
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_table, {
                    dataSource: guide.value,
                    columns: columns.value,
                    size: "small",
                    pagination: false,
                    bordered: ""
                  }, {
                    bodyCell: withCtx(({ column, record }) => [
                      column.key === "key" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
                        Array.isArray(record.key) ? (openBlock(true), createElementBlock(Fragment, { key: 0 }, renderList(record.key, (key) => {
                          return openBlock(), createElementBlock("div", { key }, [
                            createVNode(_component_a_tag, { class: "tw-uppercase tw-mb-2 tw-text-center" }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(key), 1)
                              ]),
                              _: 2
                            }, 1024)
                          ]);
                        }), 128)) : (openBlock(), createBlock(_component_a_tag, {
                          key: 1,
                          class: "tw-uppercase tw-mb-2 tw-text-center tw-mr-0"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(record.key), 1)
                          ]),
                          _: 2
                        }, 1024))
                      ], 64)) : createCommentVNode("", true)
                    ]),
                    _: 1
                  }, 8, ["dataSource", "columns"])
                ]),
                _: 1
              }, 8, ["tab"]),
              createVNode(_component_a_tab_pane, {
                key: "2",
                tab: unref(__)("Register information")
              }, {
                default: withCtx(() => [
                  createBaseVNode("ul", _hoisted_1, [
                    createBaseVNode("li", _hoisted_2, [
                      createBaseVNode("span", _hoisted_3, toDisplayString(unref(__)("Register")), 1),
                      createTextVNode(": " + toDisplayString(unref(posStore).register.name), 1)
                    ]),
                    createBaseVNode("li", null, [
                      createBaseVNode("span", _hoisted_4, toDisplayString(unref(__)("Store")), 1),
                      createTextVNode(": " + toDisplayString(unref(posStore).store.name), 1)
                    ])
                  ])
                ]),
                _: 1
              }, 8, ["tab"]),
              createVNode(_component_a_tab_pane, {
                key: "3",
                tab: unref(__)("About Posify")
              }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_5, [
                    _hoisted_6,
                    createTextVNode(": " + toDisplayString(unref(generalSettingStore).version), 1)
                  ]),
                  createBaseVNode("div", null, [
                    _hoisted_7,
                    createTextVNode(" allows you to transform your WooCommerce installation into an easy-to-use and powerful cash register for various types of stores and businesses. For more information, please visit our website at "),
                    createBaseVNode("a", {
                      href: unref(homeURL),
                      target: "_blank"
                    }, "Posify.net", 8, _hoisted_8)
                  ])
                ]),
                _: 1
              }, 8, ["tab"])
            ]),
            _: 1
          }, 8, ["activeKey"])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const HelpModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
