import { f as useLanguageStore, d as defineComponent, k as usePosStore, s as storeToRefs, b3 as toRefs, g as computed, aq as fullName, o as openBlock, c as createElementBlock, i as createBaseVNode, j as unref, b as createCommentVNode, t as toDisplayString, F as Fragment, C as renderList, p as createVNode, n as normalizeClass, aU as pushScopeId, aV as popScopeId, L as onMounted, b4 as onUnmounted, N as watch, a as createBlock, e as renderSlot, b5 as Teleport, K as ref, b6 as orderCreated, r as resolveComponent, O as withCtx, J as createTextVNode, aK as withModifiers } from "./index.uaDs3xEUfw.js";
import { a as humanFormat } from "./datetime.uaDs3xEUfw.js";
import { a as addressString } from "./address.uaDs3xEUfw.js";
import { _ as _sfc_main$4 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { _ as _sfc_main$5 } from "./TheImage.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { d as defaultImage } from "./product-placeholder.uaDs3xEUfw.js";
const orderStatusLabel = (status) => {
  const languageStore = useLanguageStore();
  const { __ } = languageStore;
  const statusLabels = {
    pending: __("Pending"),
    processing: __("Processing"),
    "on-hold": __("On-hold"),
    completed: __("Completed"),
    cancelled: __("Cancelled"),
    refunded: __("Refunded"),
    failed: __("Failed"),
    trash: __("Trash")
  };
  return statusLabels[status] || "";
};
const _withScopeId = (n) => (pushScopeId("data-v-105abd77"), n = n(), popScopeId(), n);
const _hoisted_1$2 = { class: "receipt" };
const _hoisted_2$2 = { class: "tw-text-center tw-mb-10" };
const _hoisted_3$2 = {
  key: 0,
  class: "tw-mb-5"
};
const _hoisted_4$2 = ["src"];
const _hoisted_5$2 = {
  key: 1,
  class: "tw-font-bold tw-text-2xl tw-mb-5"
};
const _hoisted_6$1 = {
  key: 0,
  class: "tw-mb-0"
};
const _hoisted_7$1 = { class: "tw-font-bold tw-mr-2" };
const _hoisted_8$1 = ["innerHTML"];
const _hoisted_9$1 = { class: "tw-font-semibold tw-text-base tw-mb-2" };
const _hoisted_10$1 = { class: "receipt-line-item-table tw-mb-5" };
const _hoisted_11$1 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("th", { class: "tw-text-left" }, "#", -1));
const _hoisted_12$1 = { class: "tw-text-left" };
const _hoisted_13$1 = {
  key: 0,
  class: "tw-text-left"
};
const _hoisted_14$1 = { class: "tw-text-right" };
const _hoisted_15$1 = {
  key: 1,
  class: "tw-text-right"
};
const _hoisted_16$1 = { key: 0 };
const _hoisted_17$1 = { class: "tw-text-right" };
const _hoisted_18$1 = { key: 1 };
const _hoisted_19$1 = { class: "receipt-total-lines tw-mb-5" };
const _hoisted_20$1 = { class: "tw-ml-auto" };
const _hoisted_21$1 = { class: "tw-flex tw-font-semibold tw-text-lg tw-mb-2" };
const _hoisted_22$1 = { class: "tw-uppercase" };
const _hoisted_23$1 = { class: "tw-ml-auto" };
const _hoisted_24$1 = { class: "tw-font-semibold tw-text-base tw-mb-2" };
const _hoisted_25$1 = { class: "receipt-payment-lines tw-mb-2" };
const _hoisted_26 = { class: "tw-ml-auto" };
const _hoisted_27 = { class: "receipt-paying tw-mb-5" };
const _hoisted_28 = { class: "tw-flex tw-mb-2" };
const _hoisted_29 = { class: "tw-ml-auto" };
const _hoisted_30 = { class: "tw-flex tw-mb-2" };
const _hoisted_31 = { class: "tw-ml-auto" };
const _hoisted_32 = { class: "tw-flex tw-mb-2" };
const _hoisted_33 = { class: "tw-ml-auto" };
const _hoisted_34 = { class: "tw-mb-5" };
const _hoisted_35 = {
  key: 0,
  class: "tw-mb-0"
};
const _hoisted_36 = { class: "tw-font-bold tw-mr-2" };
const _hoisted_37 = ["innerHTML"];
const _hoisted_38 = ["innerHTML"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "OrderReceipt",
  props: {
    order: {
      type: Object,
      required: true
    },
    mode: {
      type: String,
      default: "receipt"
    }
  },
  setup(__props) {
    const props = __props;
    const posStore = usePosStore();
    const languageStore = useLanguageStore();
    const { receipt } = storeToRefs(posStore);
    const { __ } = languageStore;
    const { order } = toRefs(props);
    const showMoneyInfo = computed(() => props.mode == "receipt");
    const headerInfo = computed(() => {
      const info = [
        {
          label: receipt.value.vatLabel,
          value: posStore.store.vatNumber,
          show: receipt.value.showVat
        },
        {
          label: __("Address"),
          value: posStore.store.formattedAddress,
          show: receipt.value.showAddress
        },
        {
          label: __("Phone"),
          value: posStore.store.phone,
          show: receipt.value.showPhone
        },
        {
          label: __("Email"),
          value: posStore.store.email,
          show: receipt.value.showEmail
        },
        {
          label: __("Fax"),
          value: posStore.store.fax,
          show: receipt.value.showFax
        },
        {
          label: __("Website"),
          value: posStore.store.website,
          show: receipt.value.showWebsite
        },
        {
          label: __("Facebook"),
          value: posStore.store.facebook,
          show: receipt.value.showFacebook
        },
        {
          label: __("Twitter"),
          value: posStore.store.twitter,
          show: receipt.value.showTwitter
        },
        {
          label: __("Instagram"),
          value: posStore.store.instagram,
          show: receipt.value.showInstagram
        },
        {
          label: __("Youtube"),
          value: posStore.store.youtube,
          show: receipt.value.showYoutube
        }
      ];
      return info.filter((info2) => info2.show);
    });
    const footerInfo = computed(() => {
      const info = [
        {
          label: receipt.value.customerNoteLabel,
          value: order.value.customerNote,
          show: receipt.value.showCustomerNote
        },
        {
          label: receipt.value.orderDateLabel,
          value: humanFormat(order.value.dateCreated),
          show: receipt.value.showOrderDate
        },
        {
          label: receipt.value.orderNumberLabel,
          value: order.value.id,
          show: receipt.value.showOrderNumber
        },
        {
          label: receipt.value.orderCustomerLabel,
          value: fullName(
            {
              firstName: order.value.billing.firstName,
              lastName: order.value.billing.lastName
            },
            __("Guest")
          ),
          show: receipt.value.showOrderCustomer
        },
        {
          label: receipt.value.shippingLabel,
          value: addressString(order.value.shipping),
          show: receipt.value.showShipping
        },
        {
          label: receipt.value.orderRegisterLabel,
          value: order.value.pos.register.name,
          show: receipt.value.showOrderRegister
        },
        {
          label: receipt.value.cashierLabel,
          value: order.value.pos.cashier.name,
          show: receipt.value.showCashier
        }
      ];
      return info.filter((info2) => info2.show);
    });
    const orderTotalLines = computed(() => {
      var _a;
      const lines = [];
      for (const item of props.order.discountLines) {
        const titleParts = [__("Discount")];
        if (item.reason) {
          titleParts.push(item.reason);
        }
        lines.push({
          id: __("Discount : %s", [item.id]),
          title: titleParts.join(" - "),
          amount: -item.total
        });
      }
      for (const item of props.order.shippingLines) {
        lines.push({
          id: __("Shipping : %s", [item.id]),
          title: __("Shipping - %s", [item.methodTitle]),
          amount: item.total
        });
      }
      for (const item of props.order.feeLines) {
        const titleParts = [__("Fee")];
        if (item.reason) {
          titleParts.push(item.reason);
        }
        lines.push({
          id: __("Fee : %s", [item.id]),
          title: titleParts.join(" - "),
          amount: item.total
        });
      }
      if ((_a = props.order) == null ? void 0 : _a.taxLines) {
        for (const taxLine of props.order.taxLines) {
          lines.push({
            id: __("Tax : %s", [taxLine.id]),
            title: taxLine.name,
            amount: taxLine.total
          });
        }
      }
      return lines;
    });
    const orderPaymentLines = computed(() => {
      const lines = [];
      for (const paymentLine of order.value.paymentLines) {
        lines.push({
          id: paymentLine.id,
          title: paymentLine.gatewayTitle,
          total: paymentLine.total
        });
      }
      return lines;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$2, [
        createBaseVNode("div", _hoisted_2$2, [
          unref(receipt).showLogo ? (openBlock(), createElementBlock("div", _hoisted_3$2, [
            createBaseVNode("img", {
              src: unref(receipt).logo,
              class: "receipt-logo"
            }, null, 8, _hoisted_4$2)
          ])) : createCommentVNode("", true),
          unref(receipt).showStoreName ? (openBlock(), createElementBlock("div", _hoisted_5$2, toDisplayString(unref(posStore).store.name), 1)) : createCommentVNode("", true),
          (openBlock(true), createElementBlock(Fragment, null, renderList(headerInfo.value, (info) => {
            return openBlock(), createElementBlock(Fragment, {
              key: info.label
            }, [
              info.value ? (openBlock(), createElementBlock("div", _hoisted_6$1, [
                createBaseVNode("span", _hoisted_7$1, toDisplayString(info.label) + ":", 1),
                createBaseVNode("span", {
                  innerHTML: info.value
                }, null, 8, _hoisted_8$1)
              ])) : createCommentVNode("", true)
            ], 64);
          }), 128))
        ]),
        createBaseVNode("div", _hoisted_9$1, toDisplayString(unref(__)("Items")), 1),
        createBaseVNode("table", _hoisted_10$1, [
          createBaseVNode("thead", null, [
            _hoisted_11$1,
            createBaseVNode("th", _hoisted_12$1, toDisplayString(unref(__)("Item")), 1),
            unref(receipt).showSku ? (openBlock(), createElementBlock("th", _hoisted_13$1, toDisplayString(unref(receipt).skuLabel), 1)) : createCommentVNode("", true),
            createBaseVNode("th", _hoisted_14$1, toDisplayString(unref(__)("Qty")), 1),
            showMoneyInfo.value ? (openBlock(), createElementBlock("th", _hoisted_15$1, toDisplayString(unref(__)("Subtotal")), 1)) : createCommentVNode("", true)
          ]),
          createBaseVNode("tbody", null, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(order).lineItems, (lineItem, index) => {
              return openBlock(), createElementBlock("tr", {
                key: lineItem.order
              }, [
                createBaseVNode("td", null, toDisplayString(index + 1), 1),
                createBaseVNode("td", null, toDisplayString(lineItem.name), 1),
                unref(receipt).showSku ? (openBlock(), createElementBlock("td", _hoisted_16$1, toDisplayString(lineItem.sku), 1)) : createCommentVNode("", true),
                createBaseVNode("td", _hoisted_17$1, toDisplayString(lineItem.quantity), 1),
                showMoneyInfo.value ? (openBlock(), createElementBlock("td", _hoisted_18$1, [
                  createVNode(_sfc_main$4, {
                    value: lineItem.subtotal,
                    class: "tw-justify-end"
                  }, null, 8, ["value"])
                ])) : createCommentVNode("", true)
              ]);
            }), 128))
          ])
        ]),
        showMoneyInfo.value ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
          createBaseVNode("div", _hoisted_19$1, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(orderTotalLines.value, (totalLine) => {
              return openBlock(), createElementBlock("div", {
                class: "tw-flex tw-mb-2",
                key: totalLine.id
              }, [
                createBaseVNode("div", null, toDisplayString(totalLine.title), 1),
                createBaseVNode("div", _hoisted_20$1, [
                  createVNode(_sfc_main$4, {
                    value: totalLine.amount,
                    class: normalizeClass(totalLine.class)
                  }, null, 8, ["value", "class"])
                ])
              ]);
            }), 128)),
            createBaseVNode("div", _hoisted_21$1, [
              createBaseVNode("div", _hoisted_22$1, toDisplayString(unref(__)("Total")), 1),
              createBaseVNode("div", _hoisted_23$1, [
                createVNode(_sfc_main$4, {
                  value: unref(order).total
                }, null, 8, ["value"])
              ])
            ])
          ]),
          createBaseVNode("div", _hoisted_24$1, toDisplayString(unref(__)("Payments")), 1),
          createBaseVNode("div", _hoisted_25$1, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(orderPaymentLines.value, (paymentLine) => {
              return openBlock(), createElementBlock("div", {
                class: "tw-flex tw-mb-2",
                key: paymentLine.id
              }, [
                createBaseVNode("div", null, toDisplayString(paymentLine.title), 1),
                createBaseVNode("div", _hoisted_26, [
                  createVNode(_sfc_main$4, {
                    value: paymentLine.total
                  }, null, 8, ["value"])
                ])
              ]);
            }), 128))
          ]),
          createBaseVNode("div", _hoisted_27, [
            createBaseVNode("div", _hoisted_28, [
              createBaseVNode("div", null, toDisplayString(unref(__)("Total paying")), 1),
              createBaseVNode("div", _hoisted_29, [
                createVNode(_sfc_main$4, {
                  value: unref(order).paying.totalPaying
                }, null, 8, ["value"])
              ])
            ]),
            createBaseVNode("div", _hoisted_30, [
              createBaseVNode("div", null, toDisplayString(unref(__)("Balance")), 1),
              createBaseVNode("div", _hoisted_31, [
                createVNode(_sfc_main$4, {
                  value: unref(order).paying.totalBalance
                }, null, 8, ["value"])
              ])
            ]),
            createBaseVNode("div", _hoisted_32, [
              createBaseVNode("div", null, toDisplayString(unref(__)("Change")), 1),
              createBaseVNode("div", _hoisted_33, [
                createVNode(_sfc_main$4, {
                  value: unref(order).paying.totalChange
                }, null, 8, ["value"])
              ])
            ])
          ])
        ], 64)) : createCommentVNode("", true),
        createBaseVNode("div", _hoisted_34, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(footerInfo.value, (info) => {
            return openBlock(), createElementBlock(Fragment, {
              key: info.label
            }, [
              info.value ? (openBlock(), createElementBlock("div", _hoisted_35, [
                createBaseVNode("span", _hoisted_36, toDisplayString(info.label) + ":", 1),
                createBaseVNode("span", {
                  innerHTML: info.value
                }, null, 8, _hoisted_37)
              ])) : createCommentVNode("", true)
            ], 64);
          }), 128))
        ]),
        createBaseVNode("div", {
          innerHTML: unref(receipt).receiptFooter
        }, null, 8, _hoisted_38)
      ]);
    };
  }
});
const OrderReceipt_vue_vue_type_style_index_0_scoped_105abd77_lang = "";
const OrderReceipt = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["__scopeId", "data-v-105abd77"]]);
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "ThePrintable",
  props: {
    print: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:print"],
  setup(__props, { emit }) {
    const props = __props;
    onMounted(
      () => window.onafterprint = () => {
        emit("update:print", false);
      }
    );
    onUnmounted(() => window.onafterprint = void 0);
    watch(
      () => props.print,
      () => {
        if (!props.print) {
          return;
        }
        setTimeout(() => window.print(), 300);
      }
    );
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Teleport, { to: "#printable" }, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
const _sfc_main$1 = {};
const _hoisted_1$1 = { class: "tw-flex tw-mb-5" };
const _hoisted_2$1 = { class: "tw-bg-primary tw-py-2 tw-px-3 tw-text-contrast-lowest tw-font-semibold tw-text-base tw-whitespace-nowrap tw-flex tw-items-center tw-rounded" };
const _hoisted_3$1 = { class: "tw-bg-contrast-lower tw-ml-3 tw-py-2 tw-px-3 tw-font-semibold tw-w-full tw-text-xs tw-rounded" };
const _hoisted_4$1 = { class: "tw-mb-5" };
const _hoisted_5$1 = { class: "order-total-lines tw-mb-3" };
function _sfc_render(_ctx, _cache) {
  return openBlock(), createElementBlock("div", null, [
    createBaseVNode("div", _hoisted_1$1, [
      createBaseVNode("div", _hoisted_2$1, [
        renderSlot(_ctx.$slots, "order-id")
      ]),
      createBaseVNode("div", _hoisted_3$1, [
        renderSlot(_ctx.$slots, "order-summary")
      ])
    ]),
    createBaseVNode("div", _hoisted_4$1, [
      renderSlot(_ctx.$slots, "default")
    ]),
    createBaseVNode("div", _hoisted_5$1, [
      renderSlot(_ctx.$slots, "total")
    ]),
    renderSlot(_ctx.$slots, "extra")
  ]);
}
const OrderDetailCardLayout = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render]]);
const _hoisted_1 = { class: "tw-mb-1" };
const _hoisted_2 = { class: "tw-pr-3" };
const _hoisted_3 = { class: "tw-font-semibold tw-pr-3" };
const _hoisted_4 = { class: "tw-flex tw-pr-3 tw-font-semibold tw-ml-auto" };
const _hoisted_5 = { class: "tw-mr-1" };
const _hoisted_6 = { class: "tw-pl-3 tw-text-base tw-font-semibold" };
const _hoisted_7 = { class: "tw-font-semibold tw-text-base" };
const _hoisted_8 = { class: "tw-ml-auto" };
const _hoisted_9 = { class: "tw-flex tw-text-primary tw-uppercase tw-text-xl tw-font-bold tw-mb-3" };
const _hoisted_10 = { class: "tw-ml-auto" };
const _hoisted_11 = { class: "order-payment-lines tw-mb-3" };
const _hoisted_12 = { class: "tw-font-semibold" };
const _hoisted_13 = { class: "tw-ml-auto" };
const _hoisted_14 = { class: "order-paying tw-mb-3" };
const _hoisted_15 = { class: "tw-flex tw-mb-2" };
const _hoisted_16 = { class: "tw-font-semibold" };
const _hoisted_17 = { class: "tw-ml-auto" };
const _hoisted_18 = { class: "tw-flex tw-mb-2" };
const _hoisted_19 = { class: "tw-font-semibold" };
const _hoisted_20 = { class: "tw-ml-auto" };
const _hoisted_21 = { class: "tw-flex tw-mb-2" };
const _hoisted_22 = { class: "tw-font-semibold" };
const _hoisted_23 = { class: "tw-ml-auto" };
const _hoisted_24 = { class: "tw-text-right" };
const _hoisted_25 = ["onClick"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "OrderDetailCard",
  props: {
    order: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const orderSummary = computed(() => {
      const date = humanFormat(props.order.dateCreated);
      return __("Paid on %s", [date]);
    });
    const orderCustomerName = computed(() => {
      const name = fullName({
        firstName: props.order.shipping.firstName,
        lastName: props.order.shipping.lastName
      });
      if (name) {
        return name;
      }
      return __("Guest");
    });
    const orderStatusLabel$1 = computed(() => {
      return orderStatusLabel(props.order.status);
    });
    const orderReceiptPrint = ref(false);
    const orderReceiptPrintMode = ref("receipt");
    const orderTotalLines = computed(() => {
      const lines = [];
      for (const item of props.order.discountLines) {
        const titleParts = [__("Discount")];
        if (item.reason) {
          titleParts.push(item.reason);
        }
        lines.push({
          id: `discount:${item.id}`,
          title: titleParts.join(" - "),
          amount: -item.total,
          class: "tw-text-positive"
        });
      }
      for (const item of props.order.shippingLines) {
        lines.push({
          id: `shipping:${item.id}`,
          title: __("Shipping - %s", [item.methodTitle]),
          amount: item.total,
          class: ""
        });
      }
      for (const item of props.order.feeLines) {
        const titleParts = [__("Fee")];
        if (item.reason) {
          titleParts.push(item.reason);
        }
        lines.push({
          id: `fee:${item.id}`,
          title: titleParts.join(" - "),
          amount: item.total,
          class: "tw-text-negative"
        });
      }
      for (const taxLine of props.order.taxLines) {
        lines.push({
          id: `tax:${taxLine.id}`,
          title: taxLine.name,
          amount: taxLine.total,
          class: "tw-text-negative"
        });
      }
      return lines;
    });
    const orderPaymentLines = computed(() => {
      const lines = [];
      for (const paymentLine of props.order.paymentLines) {
        lines.push({
          id: paymentLine.id,
          title: paymentLine.gatewayTitle,
          total: paymentLine.total
        });
      }
      return lines;
    });
    const handleClickPrintReceiptButton = () => {
      orderReceiptPrint.value = true;
      orderReceiptPrintMode.value = "receipt";
    };
    const handleClickPrintGiftReceiptButton = () => {
      orderReceiptPrint.value = true;
      orderReceiptPrintMode.value = "gift";
    };
    const posStore = usePosStore();
    orderCreated.on((orderData) => {
      if (orderData.id == props.order.id && posStore.register.autoPrintReceiptEnabled) {
        orderReceiptPrint.value = true;
      }
    });
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createBlock(OrderDetailCardLayout, null, {
        "order-id": withCtx(() => [
          createTextVNode(toDisplayString(unref(__)("Order #%d", [__props.order.id])), 1)
        ]),
        "order-summary": withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createBaseVNode("span", null, toDisplayString(orderSummary.value), 1),
            createTextVNode(" - "),
            createBaseVNode("span", null, toDisplayString(orderStatusLabel$1.value), 1)
          ]),
          createBaseVNode("div", null, toDisplayString(unref(__)("Customer: %s", [orderCustomerName.value])), 1)
        ]),
        total: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(orderTotalLines.value, (totalLine) => {
            return openBlock(), createElementBlock("div", {
              class: "order-total-line",
              key: totalLine.id
            }, [
              createBaseVNode("div", _hoisted_7, toDisplayString(totalLine.title), 1),
              createBaseVNode("div", _hoisted_8, [
                createVNode(_sfc_main$4, {
                  value: totalLine.amount,
                  class: normalizeClass(["tw-text-base tw-font-semibold", totalLine.class])
                }, null, 8, ["value", "class"])
              ])
            ]);
          }), 128)),
          createBaseVNode("div", _hoisted_9, [
            createBaseVNode("div", null, toDisplayString(unref(__)("Total")), 1),
            createBaseVNode("div", _hoisted_10, [
              createVNode(_sfc_main$4, {
                value: __props.order.total
              }, null, 8, ["value"])
            ])
          ])
        ]),
        extra: withCtx(() => [
          createBaseVNode("div", _hoisted_11, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(orderPaymentLines.value, (paymentLine) => {
              return openBlock(), createElementBlock("div", {
                class: "order-payment-line",
                key: paymentLine.id
              }, [
                createBaseVNode("div", _hoisted_12, toDisplayString(paymentLine.title), 1),
                createBaseVNode("div", _hoisted_13, [
                  createVNode(_sfc_main$4, {
                    value: paymentLine.total,
                    class: normalizeClass([paymentLine.class, "tw-text-base tw-font-semibold"])
                  }, null, 8, ["value", "class"])
                ])
              ]);
            }), 128))
          ]),
          createBaseVNode("div", _hoisted_14, [
            createBaseVNode("div", _hoisted_15, [
              createBaseVNode("div", _hoisted_16, toDisplayString(unref(__)("Total paying")), 1),
              createBaseVNode("div", _hoisted_17, [
                createVNode(_sfc_main$4, {
                  value: __props.order.paying.totalPaying,
                  class: "tw-text-base tw-font-semibold"
                }, null, 8, ["value"])
              ])
            ]),
            createBaseVNode("div", _hoisted_18, [
              createBaseVNode("div", _hoisted_19, toDisplayString(unref(__)("Balance")), 1),
              createBaseVNode("div", _hoisted_20, [
                createVNode(_sfc_main$4, {
                  value: __props.order.paying.totalBalance,
                  class: "tw-text-base tw-font-semibold"
                }, null, 8, ["value"])
              ])
            ]),
            createBaseVNode("div", _hoisted_21, [
              createBaseVNode("div", _hoisted_22, toDisplayString(unref(__)("Change")), 1),
              createBaseVNode("div", _hoisted_23, [
                createVNode(_sfc_main$4, {
                  value: __props.order.paying.totalChange,
                  class: "tw-text-base tw-font-semibold"
                }, null, 8, ["value"])
              ])
            ])
          ]),
          createBaseVNode("div", _hoisted_24, [
            createVNode(_component_a_button, {
              class: "print-receipt-button tw-mb-3",
              size: "large",
              onClick: handleClickPrintReceiptButton
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(unref(__)("Print receipt")), 1)
              ]),
              _: 1
            }),
            createBaseVNode("div", null, [
              createTextVNode(toDisplayString(unref(__)("OR")) + " ", 1),
              createBaseVNode("a", {
                href: "",
                onClick: withModifiers(handleClickPrintGiftReceiptButton, ["prevent"])
              }, toDisplayString(unref(__)("Print gift receipt")), 9, _hoisted_25)
            ])
          ]),
          createVNode(_sfc_main$2, {
            print: orderReceiptPrint.value,
            "onUpdate:print": _cache[0] || (_cache[0] = ($event) => orderReceiptPrint.value = $event)
          }, {
            default: withCtx(() => [
              createVNode(OrderReceipt, {
                order: __props.order,
                mode: orderReceiptPrintMode.value
              }, null, 8, ["order", "mode"])
            ]),
            _: 1
          }, 8, ["print"])
        ]),
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(__props.order.lineItems, (item) => {
            return openBlock(), createElementBlock("div", {
              class: "order-lineitem",
              key: item.id
            }, [
              createBaseVNode("div", _hoisted_2, [
                createVNode(_sfc_main$5, {
                  src: item.thumbnail ? item.thumbnail : unref(defaultImage),
                  preview: false,
                  width: "35px",
                  height: "35px"
                }, null, 8, ["src"])
              ]),
              createBaseVNode("div", _hoisted_3, toDisplayString(item.name), 1),
              createBaseVNode("div", _hoisted_4, [
                createBaseVNode("span", _hoisted_5, toDisplayString(item.quantity), 1),
                createTextVNode(" x "),
                createVNode(_sfc_main$4, {
                  value: item.priceBeforeDiscount,
                  class: "tw-ml-1"
                }, null, 8, ["value"])
              ]),
              createBaseVNode("div", _hoisted_6, [
                createVNode(_sfc_main$4, {
                  value: item.subtotal
                }, null, 8, ["value"])
              ])
            ]);
          }), 128))
        ]),
        _: 1
      });
    };
  }
});
const OrderDetailCard_vue_vue_type_style_index_0_scoped_a31e4d8e_lang = "";
const OrderDetailCard = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-a31e4d8e"]]);
export {
  OrderDetailCardLayout as O,
  OrderDetailCard as a,
  orderStatusLabel as o
};
