import { d as defineComponent, f as useLanguageStore, a5 as useGeneralSettingStore, k as usePosStore, s as storeToRefs, g as computed, L as onMounted, r as resolveComponent, o as openBlock, a as createBlock, j as unref } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "PaymentGatewaySelect",
  props: {
    value: {
      type: [Number, String, Array]
    },
    immediate: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:value", "change", "changeWithData", "focus"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const generalSettingStore = useGeneralSettingStore();
    const posStore = usePosStore();
    const { __ } = languageStore;
    const { register } = storeToRefs(posStore);
    const paymentGateways = computed(() => {
      return generalSettingStore.dataPaymentGateways.filter(
        (paymentGateway) => register.value.paymentGateways.includes(paymentGateway.id)
      ).map((paymentGateway) => ({
        value: paymentGateway.id,
        label: paymentGateway.title
      }));
    });
    onMounted(() => {
      if (props.immediate) {
        const paymentGateway = paymentGateways.value.find(
          (paymentGateway2) => paymentGateway2.value === props.value
        );
        paymentGateway && handleChange(paymentGateway.value);
      }
    });
    const filterPaymentGateways = (input, option) => {
      return option.label.toLowerCase().indexOf(input.toLowerCase()) >= 0;
    };
    const handleChange = (value) => {
      var _a;
      emit("update:value", value);
      emit("change", value);
      emit("changeWithData", {
        gatewayId: value,
        gatewayTitle: (_a = paymentGateways.value.find(
          (paymentGateway) => paymentGateway.value === value
        )) == null ? void 0 : _a.label
      });
    };
    const handleFocus = () => {
      emit("focus");
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select a payment gateway"),
        class: "tw-w-full",
        ref: "select",
        options: paymentGateways.value,
        "filter-option": filterPaymentGateways,
        onChange: handleChange,
        onFocus: handleFocus
      }, null, 8, ["value", "placeholder", "options"]);
    };
  }
});
export {
  _sfc_main as _
};
