import { d as defineComponent, f as useLanguageStore, H as useCustomerModalStore, G as useCartCustomerStore, s as storeToRefs, g as computed, aq as fullName, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, p as createVNode, O as withCtx, J as createTextVNode, t as toDisplayString, j as unref, F as Fragment, C as renderList, E as faPencil, aK as withModifiers } from "./index.uaDs3xEUfw.js";
import { a as addressString } from "./address.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./CustomerSummary.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-h-full tw-flex tw-flex-col tw-justify-between" };
const _hoisted_2 = { class: "tw-ml-auto" };
const _hoisted_3 = { class: "customer-address tw-mb-4" };
const _hoisted_4 = { class: "tw-font-bold" };
const _hoisted_5 = { class: "tw-ml-1" };
const _hoisted_6 = { class: "tw-text-center" };
const _hoisted_7 = { class: "tw-font-semibold" };
const _hoisted_8 = ["onClick"];
const _hoisted_9 = ["onClick"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "PreviewCustomerInfo",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const customerModalStore = useCustomerModalStore();
    const cartCustomerStore = useCartCustomerStore();
    const { section, customer } = storeToRefs(customerModalStore);
    const customerInfoLines = computed(() => {
      const lines = [];
      lines.push({
        label: "Name",
        value: fullName({
          firstName: customer.value.firstName,
          lastName: customer.value.lastName
        })
      });
      lines.push({
        label: "Phone",
        value: customer.value.phone
      });
      lines.push({
        label: "Email",
        value: customer.value.email
      });
      lines.push({
        label: "Billing address",
        value: addressString(customer.value.billing)
      });
      lines.push({
        label: "Shipping address",
        value: addressString(customer.value.shipping)
      });
      return lines;
    });
    const handleClickEditCustomerAddressButton = () => {
      section.value = "customer_address_form";
    };
    const handleClickRemoveCustomerButton = () => {
      cartCustomerStore.proceedAsGuest();
      customerModalStore.clearCustomer();
      section.value = "select_customer_type";
    };
    const handleClickCreateCustomerButton = () => {
      section.value = "customer_creation_form";
    };
    const handleClickProceedCustomerAsGuest = () => {
      cartCustomerStore.proceedAsGuest();
      customerModalStore.clearCustomer();
      section.value = "select_customer_type";
      customerModalStore.hide();
    };
    const handleClickUseThisCustomerProfileButton = () => {
      cartCustomerStore.proceedAsCustomer(customer.value);
      customerModalStore.clear();
      customerModalStore.hide();
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createBaseVNode("div", null, [
          createVNode(_sfc_main$1, {
            customer: unref(customer),
            class: "customer-summary tw-mb-4"
          }, {
            rightExtra: withCtx(() => [
              createBaseVNode("div", _hoisted_2, [
                createVNode(_component_a_button, {
                  type: "danger",
                  ghost: "",
                  class: "tw-font-semibold",
                  size: "small",
                  onClick: handleClickRemoveCustomerButton
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(unref(__)("Remove")), 1)
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["customer"]),
          createBaseVNode("div", _hoisted_3, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(customerInfoLines.value, (infoLine, index) => {
              return openBlock(), createElementBlock("div", {
                class: "tw-mb-2",
                key: index
              }, [
                createBaseVNode("span", _hoisted_4, toDisplayString(unref(__)(infoLine.label)) + ":", 1),
                createBaseVNode("span", _hoisted_5, toDisplayString(infoLine.value), 1)
              ]);
            }), 128)),
            createVNode(_component_a_button, {
              type: "text",
              class: "edit-button",
              onClick: handleClickEditCustomerAddressButton
            }, {
              icon: withCtx(() => [
                createVNode(_component_font_awesome_icon, { icon: unref(faPencil) }, null, 8, ["icon"])
              ]),
              _: 1
            })
          ])
        ]),
        createBaseVNode("div", null, [
          createVNode(_component_a_button, {
            type: "primary",
            block: "",
            class: "tw-uppercase tw-font-semibold tw-mb-4",
            onClick: handleClickUseThisCustomerProfileButton
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Use this customer profile")), 1)
            ]),
            _: 1
          }),
          createBaseVNode("div", _hoisted_6, [
            createBaseVNode("div", _hoisted_7, [
              createTextVNode(toDisplayString(unref(__)("You can also")) + " ", 1),
              createBaseVNode("a", {
                href: "",
                onClick: withModifiers(handleClickCreateCustomerButton, ["prevent"])
              }, toDisplayString(unref(__)("Create new customer")), 9, _hoisted_8),
              createTextVNode(" " + toDisplayString(unref(__)("OR")) + " ", 1),
              createBaseVNode("a", {
                href: "",
                onClick: withModifiers(handleClickProceedCustomerAsGuest, ["prevent"])
              }, toDisplayString(unref(__)("Proceed as guest")), 9, _hoisted_9)
            ])
          ])
        ])
      ]);
    };
  }
});
const PreviewCustomerInfo_vue_vue_type_style_index_0_scoped_b0401cd2_lang = "";
const PreviewCustomerInfo = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-b0401cd2"]]);
export {
  PreviewCustomerInfo as default
};
