import { d as defineComponent, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, p as createVNode, j as unref, am as faAngleLeft, f as useLanguageStore, k as usePosStore, aW as useProductStore, s as storeToRefs, K as ref, g as computed, aL as priceBeforeTax, L as onMounted, N as watch, m as useCommonModalsStore, l as useCartItemStore, b6 as orderCreated, a as createBlock, O as withCtx, b as createCommentVNode, n as normalizeClass, F as Fragment, C as renderList, t as toDisplayString, J as createTextVNode, V as message } from "./index.uaDs3xEUfw.js";
import { s as stockStatusLabel } from "./product.uaDs3xEUfw.js";
import { P as ProductBrowserItem, a as ProductBrowserItemLoading } from "./ProductBrowserItemLoading.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { _ as _sfc_main$2 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$3 } from "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./product-placeholder.uaDs3xEUfw.js";
const _hoisted_1$1 = { class: "tw-width-[43px] tw-mr-5 tw-cursor-pointer" };
const _hoisted_2$1 = { class: "tw-bg-contrast-low tw-px-2 back-button tw-flex tw-items-center tw-text-contrast-lowest tw-min-w-[43px] tw-justify-center" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "BackButton",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1$1, [
        createBaseVNode("div", _hoisted_2$1, [
          createVNode(_component_font_awesome_icon, {
            icon: unref(faAngleLeft),
            class: "tw-text-xl"
          }, null, 8, ["icon"])
        ])
      ]);
    };
  }
});
const BackButton_vue_vue_type_style_index_0_scoped_1dda9df8_lang = "";
const BackButton = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-1dda9df8"]]);
const _hoisted_1 = { class: "tw-flex" };
const _hoisted_2 = { class: "tw-text-left tw-font-normal tw-mb-1 tw-line-clamp-2" };
const _hoisted_3 = {
  key: 0,
  class: "tw-text-center tw-mt-5"
};
const _hoisted_4 = {
  key: 1,
  class: "tw-text-center tw-mt-5"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ProductItemBrowser",
  props: {
    query: {
      type: Object,
      default() {
        return {};
      }
    },
    showBackButton: {
      type: Boolean,
      default: false
    }
  },
  emits: ["select-product", "back"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const posStore = usePosStore();
    const productStore = useProductStore();
    const { persistenceDataFetching, persistenceDataVersion } = storeToRefs(productStore);
    const productRawItems = ref([]);
    const productItems = computed(() => {
      return productRawItems.value.map((product) => ({
        id: product.id,
        title: product.title,
        thumbnail: product.thumbnail,
        isLoading: product.isLoading,
        variations: product.variations,
        price: priceBeforeTax(product, "price"),
        regularPrice: priceBeforeTax(product, "regularPrice"),
        manageStock: product.manageStock,
        stockQuantity: product.stockQuantity,
        stockStatus: product.stockStatus,
        purchasable: product.purchasable,
        taxClass: product.taxClass,
        taxStatus: product.taxStatus,
        /**
         * Show stock status if:
         * - Show stock on POS is enabled and Product manage stock
         * - OR Product is out of stock
         */
        showStockStatus: posStore.register.showStockQuantity && product.manageStock || product.stockStatus == "outofstock"
      }));
    });
    const isFetching = ref(true);
    const fetchPage = ref(1);
    const isFetchedAll = ref(false);
    const showLoading = computed(
      () => isFetching.value || persistenceDataFetching.value
    );
    const showEmpty = computed(() => isFetchedAll.value && !showLoading.value);
    const showLoadMoreButton = computed(() => !isFetchedAll.value);
    const fetchParams = computed(() => ({
      page: fetchPage.value,
      storeId: posStore.store.id,
      perPage: 12,
      ...props.query
    }));
    const fetch = async () => {
      const productRepository = productStore.repository;
      isFetching.value = true;
      isFetchedAll.value = false;
      productRepository.getList(fetchParams.value).then(({ data }) => {
        if (data.length == 0) {
          isFetchedAll.value = true;
        }
        for (const product of data) {
          productRawItems.value.push(product);
        }
      }).finally(() => isFetching.value = false);
    };
    onMounted(() => fetch());
    watch(persistenceDataVersion, () => fetch());
    const commonModalsStore = useCommonModalsStore();
    const cartItemStore = useCartItemStore();
    const handleClickToProductItem = ({
      id,
      title,
      price,
      regularPrice,
      thumbnail,
      variations,
      purchasable,
      manageStock,
      stockQuantity,
      taxClass,
      taxStatus
    }) => {
      if (!purchasable) {
        return;
      }
      if (variations.length > 0) {
        commonModalsStore.showVariationModal({
          productId: id,
          productTitle: title
        });
        return;
      }
      const cartItem = cartItemStore.findByProductVariant(id, void 0);
      if (cartItem && cartItem.manageStock && cartItem.quantity >= stockQuantity) {
        message.error("Out of stock");
        return;
      }
      cartItemStore.add({
        productId: id,
        productTitle: title,
        variationId: void 0,
        price,
        regularPrice,
        thumbnail,
        options: void 0,
        manageStock,
        stockQuantity,
        taxClass,
        taxStatus
      });
    };
    const handleClickBackButton = () => {
      emit("back");
    };
    const handleScrollToEnd = () => {
      if (isFetching.value || isFetchedAll.value) {
        return;
      }
      fetchPage.value++;
      fetch();
    };
    const handleClickTryFetchAgainButton = () => {
      fetch();
    };
    const updateStockAfterCreateOrder = (orderInfo) => {
      const lineItems = orderInfo.lineItems || [];
      lineItems.forEach((lineItem) => {
        const productInfo = productItems.value.find(
          (product) => product.id == lineItem.productId
        );
        if (!productInfo || !productInfo.manageStock) {
          return;
        }
        productInfo.stockQuantity = productInfo.stockQuantity - lineItem.quantity;
        if (productInfo.stockStatus == "instock" && productInfo.stockQuantity <= 0) {
          productInfo.stockStatus = "outofstock";
          productInfo.purchasable = false;
        }
      });
    };
    orderCreated.on(updateStockAfterCreateOrder);
    return (_ctx, _cache) => {
      const _component_a_tag = resolveComponent("a-tag");
      const _component_a_col = resolveComponent("a-col");
      const _component_a_row = resolveComponent("a-row");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_empty = resolveComponent("a-empty");
      return openBlock(), createBlock(_sfc_main$3, {
        class: "product-browser tw-p-3 tw-bg-contrast-lowest",
        onScrollEnd: handleScrollToEnd
      }, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            __props.showBackButton ? (openBlock(), createBlock(BackButton, {
              key: 0,
              class: "tw-fixed",
              onClick: handleClickBackButton
            })) : createCommentVNode("", true),
            createBaseVNode("div", {
              class: normalizeClass(["tw-w-full", { "tw-ml-[55px]": __props.showBackButton }])
            }, [
              createVNode(_component_a_row, { gutter: [12, 12] }, {
                default: withCtx(() => [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(productItems.value, (item) => {
                    return openBlock(), createBlock(_component_a_col, {
                      xs: 12,
                      md: 12,
                      lg: 8,
                      xl: 8,
                      key: item.id
                    }, {
                      default: withCtx(() => [
                        createVNode(ProductBrowserItem, {
                          thumbnail: item.thumbnail,
                          "is-loading": item.isLoading,
                          disabled: !item.purchasable,
                          onClick: ($event) => handleClickToProductItem(item)
                        }, {
                          title: withCtx(() => [
                            createBaseVNode("div", _hoisted_2, toDisplayString(item.title), 1),
                            createBaseVNode("div", null, [
                              createVNode(_sfc_main$2, {
                                value: item.price,
                                "origin-cost": item.regularPrice,
                                class: "tw-font-normal tw-justify-end"
                              }, null, 8, ["value", "origin-cost"])
                            ])
                          ]),
                          flag: withCtx(() => [
                            item.showStockStatus ? (openBlock(), createBlock(_component_a_tag, {
                              key: 0,
                              class: normalizeClass(["product-tag", `product-tag--${item.stockStatus}`])
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(unref(stockStatusLabel)(item.stockStatus, item.stockQuantity)), 1)
                              ]),
                              _: 2
                            }, 1032, ["class"])) : createCommentVNode("", true)
                          ]),
                          _: 2
                        }, 1032, ["thumbnail", "is-loading", "disabled", "onClick"])
                      ]),
                      _: 2
                    }, 1024);
                  }), 128)),
                  showLoading.value ? (openBlock(), createElementBlock(Fragment, { key: 0 }, renderList(12, (i) => {
                    return createVNode(_component_a_col, {
                      xs: 12,
                      md: 12,
                      lg: 8,
                      xl: 8,
                      key: i
                    }, {
                      default: withCtx(() => [
                        createVNode(ProductBrowserItemLoading)
                      ]),
                      _: 2
                    }, 1024);
                  }), 64)) : createCommentVNode("", true)
                ]),
                _: 1
              }),
              showLoadMoreButton.value ? (openBlock(), createElementBlock("div", _hoisted_3, [
                createVNode(_component_a_button, {
                  type: "default",
                  onClick: handleScrollToEnd
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(unref(__)("Load more")), 1)
                  ]),
                  _: 1
                })
              ])) : createCommentVNode("", true),
              showEmpty.value ? (openBlock(), createElementBlock("div", _hoisted_4, [
                createVNode(_component_a_empty, null, {
                  description: withCtx(() => [
                    createBaseVNode("div", null, toDisplayString(unref(__)("All products have been loaded")), 1),
                    createVNode(_component_a_button, {
                      type: "link",
                      onClick: handleClickTryFetchAgainButton
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(__)("Try again")), 1)
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ])) : createCommentVNode("", true)
            ], 2)
          ])
        ]),
        _: 1
      });
    };
  }
});
const ProductItemBrowser_vue_vue_type_style_index_0_scoped_fe0dcc0e_lang = "";
const ProductItemBrowser = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-fe0dcc0e"]]);
export {
  ProductItemBrowser as default
};
