import { d as defineComponent, r as resolveComponent, o as openBlock, c as createElementBlock, a as createBlock, b as createCommentVNode, t as toDisplayString, e as renderSlot, n as normalizeClass, u as useCartStore, s as storeToRefs, f as useLanguageStore, g as computed, h as currencyFormat, i as createBaseVNode, j as unref, k as usePosStore, l as useCartItemStore, m as useCommonModalsStore, p as createVNode, q as faPlus, v as faTicket, w as faTruck, x as useCartShippingStore, y as useCartFeeStore, z as useCartDiscountStore, A as useCartTaxStore, B as percentOrFixedCost, F as Fragment, C as renderList, D as faXmark, E as faPencil, G as useCartCustomerStore, H as useCustomerModalStore, I as faLocationDot, J as createTextVNode, K as ref, L as onMounted, M as useAppStore, N as watch, O as withCtx, P as defineAsyncComponent, Q as scanProductButtonClicked, _ as __vitePreload, R as faMinus, S as faMessage, T as Modal, U as ExclamationCircleOutlined, V as message, W as cartItemQuantityChanged, X as useCartNoteStore, Y as zeroFill, Z as faAngleRight } from "./index.uaDs3xEUfw.js";
import { u as useMenuStore, _ as _sfc_main$p } from "./DefaultLayout.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { _ as _sfc_main$m } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { f as faUser, a as faMessage$1 } from "./index.uaDs3xEUfw3.js";
import { a as addressString } from "./address.uaDs3xEUfw.js";
import { _ as _sfc_main$n } from "./TheImage.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$o } from "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./csv.uaDs3xEUfw.js";
import "./datetime.uaDs3xEUfw.js";
import "./productSearch.uaDs3xEUfw.js";
import "./debounce.uaDs3xEUfw.js";
const _hoisted_1$d = {
  key: 1,
  class: "text"
};
const _sfc_main$l = /* @__PURE__ */ defineComponent({
  __name: "SquareButton",
  props: {
    icon: {},
    text: {
      type: String
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["button", { "button--disabled": __props.disabled }])
      }, [
        __props.icon ? (openBlock(), createBlock(_component_font_awesome_icon, {
          key: 0,
          icon: __props.icon,
          class: "tw-hidden xl:tw-block icon"
        }, null, 8, ["icon"])) : createCommentVNode("", true),
        __props.text ? (openBlock(), createElementBlock("span", _hoisted_1$d, toDisplayString(__props.text), 1)) : createCommentVNode("", true),
        renderSlot(_ctx.$slots, "default", {}, void 0, true)
      ], 2);
    };
  }
});
const SquareButton_vue_vue_type_style_index_0_scoped_fe02173c_lang = "";
const SquareButton = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["__scopeId", "data-v-fe02173c"]]);
const _hoisted_1$c = { class: "tw-bg-primary tw-text-cpn tw-px-4 tw-py-3 tw-rounded tw-cursor-pointer" };
const _hoisted_2$b = {
  key: 0,
  class: "tw-mb-2"
};
const _hoisted_3$6 = { class: "tw-flex" };
const _hoisted_4$5 = { class: "tw-text-2xl tw-font-bold" };
const _hoisted_5$3 = { class: "tw-ml-auto tw-text-2xl tw-font-bold" };
const _sfc_main$k = /* @__PURE__ */ defineComponent({
  __name: "PayButton",
  props: {
    showQuantity: {
      type: Boolean,
      default: true
    }
  },
  setup(__props) {
    const cartStore = useCartStore();
    const { total, totalQuantity } = storeToRefs(cartStore);
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const formattedTotal = computed(() => {
      return currencyFormat(total.value);
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$c, [
        createBaseVNode("div", null, [
          __props.showQuantity ? (openBlock(), createElementBlock("div", _hoisted_2$b, toDisplayString(unref(__)("%d items", [unref(totalQuantity)])), 1)) : createCommentVNode("", true),
          createBaseVNode("div", _hoisted_3$6, [
            createBaseVNode("div", null, [
              createBaseVNode("span", _hoisted_4$5, toDisplayString(unref(__)("Total %d", [formattedTotal.value])), 1)
            ]),
            createBaseVNode("div", _hoisted_5$3, toDisplayString(unref(__)("Pay now")), 1)
          ])
        ])
      ]);
    };
  }
});
const _hoisted_1$b = { class: "cart-actions" };
const _hoisted_2$a = { class: "tw-grid tw-grid-cols-3 tw-gap-2" };
const _sfc_main$j = /* @__PURE__ */ defineComponent({
  __name: "CartActions",
  props: {
    showQuantityOnPayButton: {
      type: Boolean,
      default: true
    }
  },
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const posStore = usePosStore();
    const cartItemStore = useCartItemStore();
    const { items: cartItems } = storeToRefs(cartItemStore);
    const commonModalsStore = useCommonModalsStore();
    const disabledPayButton = computed(() => !cartItems.value.length);
    const handleClickApplyCouponButton = () => {
      commonModalsStore.showCartApplyCouponModal();
    };
    const handleClickAddFeeOrDiscountButton = () => {
      commonModalsStore.showCartAddFeeOrDiscountModal();
    };
    const handleClickShippingButton = () => {
      commonModalsStore.showCartAddShippingModal();
    };
    const handleClickPayButton = () => {
      !disabledPayButton.value && commonModalsStore.showCartPaymentModal();
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$b, [
        createBaseVNode("div", _hoisted_2$a, [
          createVNode(SquareButton, {
            id: "fee-discount-handler",
            icon: unref(faPlus),
            text: unref(__)("Fee or discount"),
            class: "tw-bg-secondary tw-text-white",
            onClick: handleClickAddFeeOrDiscountButton
          }, null, 8, ["icon", "text"]),
          createVNode(SquareButton, {
            id: "coupon-handler",
            icon: unref(faTicket),
            text: unref(__)("Coupon"),
            class: "tw-bg-secondary tw-text-white",
            onClick: handleClickApplyCouponButton
          }, null, 8, ["icon", "text"]),
          unref(posStore).register.shippingEnabled ? (openBlock(), createBlock(SquareButton, {
            key: 0,
            id: "shipping-handler",
            icon: unref(faTruck),
            text: unref(__)("Shipping method"),
            class: "tw-bg-secondary tw-text-white",
            onClick: handleClickShippingButton
          }, null, 8, ["icon", "text"])) : createCommentVNode("", true),
          createVNode(_sfc_main$k, {
            id: "pay-handler",
            class: "tw-col-span-3",
            "show-quantity": __props.showQuantityOnPayButton,
            onClick: handleClickPayButton
          }, null, 8, ["show-quantity"])
        ])
      ]);
    };
  }
});
const _hoisted_1$a = {
  key: 0,
  class: "cart-total-lines"
};
const _hoisted_2$9 = ["onClick"];
const _hoisted_3$5 = ["onClick"];
const _hoisted_4$4 = ["onClick"];
const _hoisted_5$2 = { class: "cart-total__item-amount" };
const _sfc_main$i = /* @__PURE__ */ defineComponent({
  __name: "CartTotalLines",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartStore = useCartStore();
    const cartShippingStore = useCartShippingStore();
    const cartFeeStore = useCartFeeStore();
    const cartDiscountStore = useCartDiscountStore();
    const cartTaxStore = useCartTaxStore();
    const commonModalsStore = useCommonModalsStore();
    const { subtotal } = storeToRefs(cartStore);
    const { items: shippings } = storeToRefs(cartShippingStore);
    const { items: fees } = storeToRefs(cartFeeStore);
    const { items: discounts } = storeToRefs(cartDiscountStore);
    const { items: taxes } = storeToRefs(cartTaxStore);
    const cartTotalLines = computed(() => {
      const baseLineItems = [
        ...fees.value.map((fee) => {
          return {
            ...fee,
            type: "fee",
            class: "tw-text-negative",
            editable: true,
            amountTransform: (amount) => amount,
            getDescription: () => {
              if (fee.amountType == "percentage") {
                return `${fee.reason} ${fee.amount}%`;
              }
              return fee.reason;
            },
            getTitle: () => {
              return __("Fee");
            }
          };
        }),
        ...discounts.value.map((discount) => {
          return {
            ...discount,
            type: "discount",
            class: "tw-text-positive",
            editable: true,
            amountTransform: (amount) => -amount,
            getDescription: () => {
              if (discount.amountType == "percentage") {
                return `${discount.reason} ${discount.amount}%`;
              }
              return discount.reason;
            },
            getTitle: () => {
              return __("Discount");
            }
          };
        }),
        ...shippings.value.map((shippingLine) => {
          return {
            ...shippingLine,
            amountType: "fixed_cart",
            type: "shipping",
            class: "",
            editable: true,
            amountTransform: (amount) => amount,
            getDescription: () => {
              return shippingLine.methodTitle;
            },
            getTitle: () => {
              return __("Shipping");
            }
          };
        }),
        ...taxes.value.map((tax) => {
          return {
            ...tax,
            type: "tax",
            class: "tw-text-negative",
            amountType: "fixed_cart",
            amount: tax.total,
            editable: false,
            amountTransform: (amount) => amount,
            getDescription: () => {
              return tax.name;
            },
            getTitle: () => {
              return __("Tax");
            }
          };
        })
      ];
      return baseLineItems.map((lineItem) => {
        const amount = percentOrFixedCost({
          amountType: lineItem.amountType,
          amount: lineItem.amount,
          subtotal: subtotal.value
        });
        return {
          id: lineItem.id,
          title: lineItem.getTitle(),
          description: lineItem.getDescription(),
          amount: lineItem.amountTransform(amount),
          type: lineItem.type,
          class: lineItem.class,
          editable: lineItem.editable
        };
      });
    });
    const hasAnyLines = computed(() => cartTotalLines.value.length > 0);
    const editLineItem = (type, id) => {
      const action = {
        fee: commonModalsStore.showCartAddFeeOrDiscountModal,
        discount: commonModalsStore.showCartAddFeeOrDiscountModal,
        shipping: commonModalsStore.showCartAddShippingModal
      }[type];
      action(id);
      if (type == "shipping") {
        action(id);
      } else {
        action(type, id);
      }
    };
    const removeTotalLineItem = (type, id) => {
      const action = {
        fee: cartFeeStore.remove,
        discount: cartDiscountStore.remove,
        shipping: cartShippingStore.remove
      }[type];
      action(id);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return hasAnyLines.value ? (openBlock(), createElementBlock("div", _hoisted_1$a, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(cartTotalLines.value, (item) => {
          return openBlock(), createElementBlock("div", {
            key: item.id,
            class: "cart-total__item"
          }, [
            item.editable ? (openBlock(), createElementBlock("div", {
              key: 0,
              class: "close-icon",
              role: "button",
              onClick: ($event) => removeTotalLineItem(item.type, item.id)
            }, [
              createVNode(_component_font_awesome_icon, { icon: unref(faXmark) }, null, 8, ["icon"])
            ], 8, _hoisted_2$9)) : createCommentVNode("", true),
            createBaseVNode("div", {
              class: normalizeClass(["cart-total__item-name", { editable: item.editable }]),
              onClick: ($event) => item.editable && editLineItem(item.type, item.id)
            }, toDisplayString(unref(__)(item.title)) + " " + toDisplayString(item.description != "" ? ": " + item.description : ""), 11, _hoisted_3$5),
            item.editable ? (openBlock(), createElementBlock("div", {
              key: 1,
              class: "edit-icon",
              onClick: ($event) => editLineItem(item.type, item.id)
            }, [
              createVNode(_component_font_awesome_icon, { icon: unref(faPencil) }, null, 8, ["icon"])
            ], 8, _hoisted_4$4)) : createCommentVNode("", true),
            createBaseVNode("div", _hoisted_5$2, [
              createVNode(_sfc_main$m, {
                value: item.amount,
                class: normalizeClass(item.class)
              }, null, 8, ["value", "class"])
            ])
          ]);
        }), 128))
      ])) : createCommentVNode("", true);
    };
  }
});
const CartTotalLines_vue_vue_type_style_index_0_scoped_d70d680c_lang = "";
const CartTotalLines = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["__scopeId", "data-v-d70d680c"]]);
const _hoisted_1$9 = { class: "cart-total-container" };
const _hoisted_2$8 = { class: "cart-subtotal" };
const _hoisted_3$4 = { class: "tw-text-base tw-font-semibold" };
const _hoisted_4$3 = { class: "tw-uppercase" };
const _hoisted_5$1 = { class: "tw-ml-auto" };
const _sfc_main$h = /* @__PURE__ */ defineComponent({
  __name: "CartTotal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartStore = useCartStore();
    const { subtotal } = storeToRefs(cartStore);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$9, [
        createBaseVNode("div", _hoisted_2$8, [
          createBaseVNode("div", _hoisted_3$4, [
            createBaseVNode("span", _hoisted_4$3, toDisplayString(unref(__)("Subtotal")), 1)
          ]),
          createBaseVNode("div", _hoisted_5$1, [
            createVNode(_sfc_main$m, {
              value: unref(subtotal),
              class: "tw-font-semibold tw-text-lg"
            }, null, 8, ["value"])
          ])
        ]),
        createVNode(CartTotalLines)
      ]);
    };
  }
});
const CartTotal_vue_vue_type_style_index_0_scoped_8030aefc_lang = "";
const CartTotal = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["__scopeId", "data-v-8030aefc"]]);
const _hoisted_1$8 = { class: "customer-container tw-bg-cpn tw-gap-3" };
const _hoisted_2$7 = { class: "tw-w-ful" };
const _sfc_main$g = /* @__PURE__ */ defineComponent({
  __name: "CartCustomer",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const customerCartStore = useCartCustomerStore();
    const customerModalStore = useCustomerModalStore();
    const customerName = computed(() => customerCartStore.fullName);
    const isGuest = computed(() => customerCartStore.isGuest);
    const addCustomerCTA = computed(() => {
      if (isGuest.value) {
        return "Add customer";
      }
      return "Change customer";
    });
    const handleClickAddCustomerButton = () => {
      if (!customerCartStore.isGuest) {
        const customer = customerCartStore.customer;
        customerModalStore.updateCustomer(customer);
        customerModalStore.updateCustomerBilling(customer.billing);
        customerModalStore.updateCustomerShipping(customer.shipping);
        customerModalStore.section = "preview_customer_info";
      } else {
        customerModalStore.section = "load_customer_profile";
      }
      customerModalStore.show();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1$8, [
        createBaseVNode("div", null, [
          createVNode(_component_font_awesome_icon, { icon: unref(faUser) }, null, 8, ["icon"])
        ]),
        createBaseVNode("div", _hoisted_2$7, [
          createBaseVNode("span", {
            class: normalizeClass({
              "tw-italic": isGuest.value
            })
          }, toDisplayString(unref(__)(customerName.value)), 3)
        ]),
        createBaseVNode("div", {
          id: "add-customer-handler",
          class: "tw-ml-auto tw-italic tw-nowrap tw-whitespace-nowrap tw-cursor-pointer",
          role: "button",
          onClick: handleClickAddCustomerButton
        }, toDisplayString(unref(__)(addCustomerCTA.value)), 1)
      ]);
    };
  }
});
const CartCustomer_vue_vue_type_style_index_0_scoped_a40c9e05_lang = "";
const CartCustomer = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["__scopeId", "data-v-a40c9e05"]]);
const _hoisted_1$7 = { class: "cart-address-container tw-bg-cpn" };
const _hoisted_2$6 = { class: "tw-w-ful" };
const _hoisted_3$3 = { class: "tw-font-medium" };
const _hoisted_4$2 = { class: "tw-font-medium" };
const _sfc_main$f = /* @__PURE__ */ defineComponent({
  __name: "CartAddress",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const cartStore = useCartStore();
    const billingAddress = computed(() => addressString(cartStore.billing));
    const shippingAddress = computed(() => addressString(cartStore.shipping));
    const handleClickAddEditAddressButton = () => {
      commonModalsStore.showCartAddressModal();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1$7, [
        createBaseVNode("div", null, [
          createVNode(_component_font_awesome_icon, { icon: unref(faLocationDot) }, null, 8, ["icon"])
        ]),
        createBaseVNode("div", _hoisted_2$6, [
          createBaseVNode("div", null, [
            createBaseVNode("span", _hoisted_3$3, toDisplayString(unref(__)("Billing")), 1),
            createTextVNode(" : " + toDisplayString(billingAddress.value), 1)
          ]),
          createBaseVNode("div", null, [
            createBaseVNode("span", _hoisted_4$2, toDisplayString(unref(__)("Shipping")), 1),
            createTextVNode(" : " + toDisplayString(shippingAddress.value), 1)
          ])
        ]),
        createBaseVNode("div", {
          id: "add-address-handler",
          class: "tw-ml-auto tw-italic tw-nowrap tw-whitespace-nowrap",
          role: "button",
          onClick: handleClickAddEditAddressButton
        }, toDisplayString(unref(__)("Edit address")), 1)
      ]);
    };
  }
});
const CartAddress_vue_vue_type_style_index_0_scoped_259bc701_lang = "";
const CartAddress = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["__scopeId", "data-v-259bc701"]]);
const _hoisted_1$6 = { class: "product-browser-area" };
const _hoisted_2$5 = { class: "cart-customer max-sm:tw-hidden" };
const _hoisted_3$2 = { class: "cart-sub max-sm:tw-hidden" };
const _sfc_main$e = /* @__PURE__ */ defineComponent({
  __name: "ProductBrowserArea",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const CategoryBrowser = defineAsyncComponent(
      () => __vitePreload(() => import("./CategoryBrowser.uaDs3xEUfw.js"), true ? ["./CategoryBrowser.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./category.uaDs3xEUfw.js","./ProductBrowserItemLoading.uaDs3xEUfw.js","./product-placeholder.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js","./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const ProductItemBrowser = defineAsyncComponent(
      () => __vitePreload(() => import("./ProductItemBrowser.uaDs3xEUfw.js"), true ? ["./ProductItemBrowser.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./product.uaDs3xEUfw.js","./ProductBrowserItemLoading.uaDs3xEUfw.js","./product-placeholder.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js","./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js","./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const posStore = usePosStore();
    const browser = ref("");
    const initBrowser = computed(() => posStore.register.catalogShowInPosType);
    onMounted(() => browser.value = initBrowser.value);
    const productQuery = ref({});
    const initProductQuery = computed(() => {
      var _a;
      if (posStore.register.catalogIncludeType == "all") {
        return {};
      }
      return {
        include: (_a = posStore.register.catalogIncludeProducts) == null ? void 0 : _a.join(",")
      };
    });
    onMounted(() => productQuery.value = initProductQuery.value);
    const categoryQuery = ref({});
    const initCategoryQuery = computed(() => {
      var _a;
      if (posStore.register.catalogIncludeType == "all") {
        return {};
      }
      return {
        include: (_a = posStore.register.catalogIncludeCategories) == null ? void 0 : _a.join(",")
      };
    });
    onMounted(() => categoryQuery.value = initCategoryQuery.value);
    const productOnSaleQuery = ref({ onSale: true });
    const productFeaturedQuery = ref({ featured: true });
    const activeKeyTabIndex = ref("all-product");
    const showBackButton = computed(
      () => posStore.register.catalogShowInPosType == "categories"
    );
    const handleClickToCategory = ({ id }) => {
      browser.value = "products";
      productQuery.value["category"] = id;
    };
    const handleBackFromProductItemBrowser = () => {
      browser.value = initBrowser.value;
      categoryQuery.value = initCategoryQuery.value;
      productQuery.value = initProductQuery.value;
    };
    const appStore = useAppStore();
    const { productSearchMode } = storeToRefs(appStore);
    watch(activeKeyTabIndex, () => {
      if (activeKeyTabIndex.value == "scan-product") {
        productSearchMode.value = "scan";
        scanProductButtonClicked.emit();
      } else {
        productSearchMode.value = "normal";
      }
    });
    return (_ctx, _cache) => {
      const _component_a_tab_pane = resolveComponent("a-tab-pane");
      const _component_a_tabs = resolveComponent("a-tabs");
      return openBlock(), createElementBlock("div", _hoisted_1$6, [
        createVNode(_component_a_tabs, {
          activeKey: activeKeyTabIndex.value,
          "onUpdate:activeKey": _cache[0] || (_cache[0] = ($event) => activeKeyTabIndex.value = $event),
          type: "card",
          class: "product-browser-area__tabs tw-mb-3",
          size: "small"
        }, {
          rightExtra: withCtx(() => [
            renderSlot(_ctx.$slots, "rightExtra")
          ]),
          default: withCtx(() => [
            createVNode(_component_a_tab_pane, {
              key: "all-product",
              tab: unref(__)("All"),
              class: "all-product"
            }, {
              default: withCtx(() => [
                browser.value == "categories" ? (openBlock(), createBlock(unref(CategoryBrowser), {
                  key: 0,
                  query: categoryQuery.value,
                  class: "product-item-browser",
                  onClickCategory: handleClickToCategory
                }, null, 8, ["query"])) : createCommentVNode("", true),
                browser.value == "products" ? (openBlock(), createBlock(unref(ProductItemBrowser), {
                  key: 1,
                  "show-back-button": showBackButton.value,
                  query: productQuery.value,
                  class: "product-item-browser",
                  onBack: handleBackFromProductItemBrowser
                }, null, 8, ["show-back-button", "query"])) : createCommentVNode("", true)
              ]),
              _: 1
            }, 8, ["tab"]),
            createVNode(_component_a_tab_pane, {
              key: "on-sale-product",
              tab: unref(__)("On sale")
            }, {
              default: withCtx(() => [
                createVNode(unref(ProductItemBrowser), {
                  query: productOnSaleQuery.value,
                  class: "product-item-browser"
                }, null, 8, ["query"])
              ]),
              _: 1
            }, 8, ["tab"]),
            createVNode(_component_a_tab_pane, {
              key: "featured-product",
              tab: unref(__)("Featured")
            }, {
              default: withCtx(() => [
                createVNode(unref(ProductItemBrowser), {
                  query: productFeaturedQuery.value,
                  class: "product-item-browser"
                }, null, 8, ["query"])
              ]),
              _: 1
            }, 8, ["tab"])
          ]),
          _: 3
        }, 8, ["activeKey"]),
        createBaseVNode("div", _hoisted_2$5, [
          createVNode(CartCustomer, { class: "tw-mb-2" }),
          unref(posStore).register.shippingEnabled ? (openBlock(), createBlock(CartAddress, {
            key: 0,
            class: "tw-mb-2"
          })) : createCommentVNode("", true)
        ]),
        createBaseVNode("div", _hoisted_3$2, [
          createVNode(CartTotal, { class: "tw-mb-3" }),
          createVNode(_sfc_main$j)
        ])
      ]);
    };
  }
});
const ProductBrowserArea_vue_vue_type_style_index_0_lang = "";
const _sfc_main$d = /* @__PURE__ */ defineComponent({
  __name: "QuantityInput",
  props: {
    value: {
      default: 0
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const props = __props;
    const handleChange = (value) => {
      emit("update:value", value);
      emit("change", value);
    };
    const handleClickMinusButton = () => {
      handleChange(props.value - 1);
    };
    const handleClickPlusButton = () => {
      handleChange(props.value + 1);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_input_number = resolveComponent("a-input-number");
      const _component_a_input_group = resolveComponent("a-input-group");
      return openBlock(), createBlock(_component_a_input_group, {
        compact: "",
        class: "quantity-input tw-whitespace-nowrap"
      }, {
        default: withCtx(() => [
          createVNode(_component_a_button, {
            size: "small",
            type: "default",
            gost: "",
            onClick: handleClickMinusButton
          }, {
            icon: withCtx(() => [
              createVNode(_component_font_awesome_icon, { icon: unref(faMinus) }, null, 8, ["icon"])
            ]),
            _: 1
          }),
          createVNode(_component_a_input_number, {
            value: __props.value,
            size: "small",
            class: "tw-text-center",
            style: { "width": "50px" },
            onChange: handleChange
          }, null, 8, ["value"]),
          createVNode(_component_a_button, {
            size: "small",
            type: "default",
            onClick: handleClickPlusButton
          }, {
            icon: withCtx(() => [
              createVNode(_component_font_awesome_icon, { icon: unref(faPlus) }, null, 8, ["icon"])
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
const QuantityInput_vue_vue_type_style_index_0_lang = "";
const _hoisted_1$5 = { class: "cart-item__row flex-row" };
const _hoisted_2$4 = { class: "cart-item__row-1 tw-gap-3" };
const _hoisted_3$1 = { class: "tw-text-sm max-sm:tw-hidden" };
const _hoisted_4$1 = { style: { "height": "35px", "width": "35px" } };
const _hoisted_5 = { class: "cart-item__product-title" };
const _hoisted_6 = {
  key: 0,
  class: "tw-text-sm"
};
const _hoisted_7 = { class: "md:tw-hidden tw-ml-auto" };
const _hoisted_8 = { class: "cart-item__row-2" };
const _hoisted_9 = { class: "tw-mr-3" };
const _sfc_main$c = /* @__PURE__ */ defineComponent({
  __name: "CartItem",
  props: {
    index: {
      type: [String, Number]
    },
    itemId: {
      type: [String, Number],
      required: true
    },
    removeWhenQuantityIsZero: {
      type: Boolean,
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const CartItemForm = defineAsyncComponent(() => __vitePreload(() => import("./CartItemForm.uaDs3xEUfw.js"), true ? ["./CartItemForm.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url));
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartItemStore = useCartItemStore();
    const cartItem = computed(() => cartItemStore.find(props.itemId));
    const open = ref(false);
    const subTotal = computed(
      () => Number(cartItem.value.price) * cartItem.value.quantity
    );
    const variationTitle = computed(() => {
      if (!cartItem.value.options) {
        return;
      }
      return cartItem.value.options.map((option) => {
        const name = option.name;
        const value = option.option;
        return `${name}: ${value}`;
      }).join(", ");
    });
    const showEditForm = () => {
      open.value = !open.value;
    };
    const handleClickRemoveButton = (options) => {
      const confirmBeforeRemove = options.confirm || false;
      if (!confirmBeforeRemove) {
        cartItemStore.remove(props.itemId);
        return;
      }
      Modal.confirm({
        title: __("Are you sure you want to remove this item?"),
        content: cartItem.value.productTitle,
        icon: createVNode(ExclamationCircleOutlined),
        okText: __("Yes"),
        okType: "primary",
        cancelText: __("Cancel"),
        onOk: () => {
          cartItemStore.remove(props.itemId);
        }
      });
    };
    const handleChangeQuantity = (quantity) => {
      const changeType = cartItem.value.quantity > quantity ? "decrement" : "increment";
      const inStock = !cartItem.value.manageStock || cartItem.value.stockQuantity >= quantity;
      if (!inStock && changeType == "increment") {
        message.error("Out of stock");
        return;
      }
      if (quantity > 0) {
        cartItemStore.updateQuantity(props.itemId, quantity);
        cartItemQuantityChanged.emit();
        return;
      }
      if (quantity <= 0 && props.removeWhenQuantityIsZero) {
        handleClickRemoveButton({ confirm: true });
      }
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["cart-item", { open: open.value }])
      }, [
        createBaseVNode("div", _hoisted_1$5, [
          createBaseVNode("div", _hoisted_2$4, [
            createBaseVNode("div", _hoisted_3$1, "#" + toDisplayString(__props.index), 1),
            createBaseVNode("div", _hoisted_4$1, [
              createVNode(_sfc_main$n, {
                src: cartItem.value.thumbnail,
                preview: false,
                width: "35px",
                height: "35px",
                class: "tw-rounded"
              }, null, 8, ["src"])
            ]),
            createBaseVNode("div", { onClick: showEditForm }, [
              createBaseVNode("div", _hoisted_5, [
                createTextVNode(toDisplayString(cartItem.value.productTitle) + " ", 1),
                createVNode(_component_font_awesome_icon, {
                  icon: unref(faMessage),
                  class: normalizeClass(["tw-text-contrast-normal tw-ml-1", { "tw-hidden": !cartItem.value.note }])
                }, null, 8, ["icon", "class"])
              ]),
              variationTitle.value ? (openBlock(), createElementBlock("div", _hoisted_6, toDisplayString(variationTitle.value), 1)) : createCommentVNode("", true)
            ]),
            createBaseVNode("div", _hoisted_7, [
              createVNode(_sfc_main$m, {
                value: subTotal.value,
                class: "tw-font-semibold tw-justify-end tw-mb-3"
              }, null, 8, ["value"]),
              createVNode(_sfc_main$d, {
                value: cartItem.value.quantity,
                onChange: handleChangeQuantity
              }, null, 8, ["value"])
            ])
          ]),
          createBaseVNode("div", _hoisted_8, [
            createBaseVNode("div", {
              class: "tw-ml-auto tw-mr-3",
              onClick: showEditForm
            }, [
              createVNode(_sfc_main$m, {
                value: cartItem.value.price,
                class: "tw-justify-end"
              }, null, 8, ["value"])
            ]),
            createBaseVNode("div", _hoisted_9, [
              createVNode(_sfc_main$d, {
                value: cartItem.value.quantity,
                onChange: handleChangeQuantity
              }, null, 8, ["value"])
            ]),
            createBaseVNode("div", {
              class: "tw-mx-3",
              onClick: showEditForm
            }, [
              createVNode(_sfc_main$m, {
                value: subTotal.value,
                class: "tw-font-semibold tw-justify-end"
              }, null, 8, ["value"])
            ]),
            createBaseVNode("div", null, [
              createVNode(_component_a_button, {
                type: "text",
                size: "small",
                onClick: showEditForm
              }, {
                icon: withCtx(() => [
                  createVNode(_component_font_awesome_icon, { icon: unref(faPencil) }, null, 8, ["icon"])
                ]),
                _: 1
              })
            ]),
            createBaseVNode("div", null, [
              createVNode(_component_a_button, {
                type: "text",
                size: "small",
                onClick: handleClickRemoveButton
              }, {
                icon: withCtx(() => [
                  createVNode(_component_font_awesome_icon, { icon: unref(faXmark) }, null, 8, ["icon"])
                ]),
                _: 1
              })
            ])
          ])
        ]),
        open.value ? (openBlock(), createBlock(unref(CartItemForm), {
          key: 0,
          "item-id": __props.itemId,
          class: "cart-item__edit tw-pt-3",
          onUpdated: _cache[0] || (_cache[0] = () => open.value = false),
          onClose: _cache[1] || (_cache[1] = () => open.value = false)
        }, null, 8, ["item-id"])) : createCommentVNode("", true)
      ], 2);
    };
  }
});
const CartItem_vue_vue_type_style_index_0_scoped_5a58a352_lang = "";
const CartItem_vue_vue_type_style_index_1_lang = "";
const CartItem = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["__scopeId", "data-v-5a58a352"]]);
const _hoisted_1$4 = { class: "note-container tw-gap-3" };
const _hoisted_2$3 = { class: "tw-w-ful" };
const _hoisted_3 = { key: 0 };
const _hoisted_4 = {
  key: 1,
  class: "tw-italic"
};
const _sfc_main$b = /* @__PURE__ */ defineComponent({
  __name: "CartNote",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartNoteStore = useCartNoteStore();
    const commonModalsStore = useCommonModalsStore();
    const { note } = storeToRefs(cartNoteStore);
    const handleClickEditNoteButton = () => {
      commonModalsStore.showCartNoteModal();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1$4, [
        createBaseVNode("div", null, [
          createVNode(_component_font_awesome_icon, { icon: unref(faMessage$1) }, null, 8, ["icon"])
        ]),
        createBaseVNode("div", _hoisted_2$3, [
          unref(note) ? (openBlock(), createElementBlock("span", _hoisted_3, toDisplayString(unref(note)), 1)) : (openBlock(), createElementBlock("span", _hoisted_4, toDisplayString(unref(__)("Empty note")), 1))
        ]),
        createBaseVNode("div", {
          id: "add-note-handler",
          class: "tw-ml-auto tw-italic tw-nowrap tw-whitespace-nowrap",
          role: "button",
          onClick: handleClickEditNoteButton
        }, toDisplayString(unref(__)("Edit note")), 1)
      ]);
    };
  }
});
const CartNote_vue_vue_type_style_index_0_scoped_d567e6b5_lang = "";
const CartNote = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["__scopeId", "data-v-d567e6b5"]]);
const _hoisted_1$3 = { class: "cart-content" };
const _hoisted_2$2 = { class: "tw-p-3" };
const _sfc_main$a = /* @__PURE__ */ defineComponent({
  __name: "CartContent",
  setup(__props) {
    const CartEmpty = defineAsyncComponent(() => __vitePreload(() => import("./CartEmpty.uaDs3xEUfw.js"), true ? ["./CartEmpty.uaDs3xEUfw.js","./index.uaDs3xEUfw.js"] : void 0, import.meta.url));
    const cartItemStore = useCartItemStore();
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$3, [
        createVNode(_sfc_main$o, { class: "cart-items" }, {
          default: withCtx(() => [
            unref(cartItemStore).items.length ? (openBlock(true), createElementBlock(Fragment, { key: 0 }, renderList(unref(cartItemStore).items, (item, index) => {
              return openBlock(), createBlock(CartItem, {
                index: unref(zeroFill)(index + 1),
                "item-id": item.id,
                key: item.id
              }, null, 8, ["index", "item-id"]);
            }), 128)) : (openBlock(), createBlock(unref(CartEmpty), { key: 1 }))
          ]),
          _: 1
        }),
        createBaseVNode("div", _hoisted_2$2, [
          createVNode(CartNote)
        ])
      ]);
    };
  }
});
const CartContent_vue_vue_type_style_index_0_scoped_dfd2bf8e_lang = "";
const CartContent = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["__scopeId", "data-v-dfd2bf8e"]]);
const _hoisted_1$2 = { class: "tw-bg-cpn" };
const _sfc_main$9 = /* @__PURE__ */ defineComponent({
  __name: "CartArea",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$2, [
        createVNode(CartContent)
      ]);
    };
  }
});
const _sfc_main$8 = /* @__PURE__ */ defineComponent({
  __name: "AddProductButton",
  props: {
    size: {
      type: String,
      default: "default"
    }
  },
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const handleClickAddProductButton = () => {
      commonModalsStore.showProductCreationModal();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createBlock(_component_a_button, {
        type: "link",
        size: __props.size,
        class: "add-product-button",
        onClick: handleClickAddProductButton
      }, {
        icon: withCtx(() => [
          createVNode(_component_font_awesome_icon, {
            icon: unref(faPlus),
            class: "tw-mr-2 tw-text-lg"
          }, null, 8, ["icon"])
        ]),
        default: withCtx(() => [
          createTextVNode(" " + toDisplayString(unref(__)("Add product")), 1)
        ]),
        _: 1
      }, 8, ["size"]);
    };
  }
});
const AddProductButton_vue_vue_type_style_index_0_scoped_e3975d64_lang = "";
const AddProductButton = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["__scopeId", "data-v-e3975d64"]]);
const _sfc_main$7 = /* @__PURE__ */ defineComponent({
  __name: "CartItemSection",
  setup(__props) {
    const commonModalsStore = useCommonModalsStore();
    const cartItemStore = useCartItemStore();
    const { items: cartItems, totalQuantity } = storeToRefs(cartItemStore);
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartItemTitle = computed(() => {
      return __("Cart items (%d items)", [totalQuantity.value]);
    });
    const handleClickAddButton = () => {
      commonModalsStore.hideCartFloatModal();
    };
    const handleClickScanButton = () => {
      commonModalsStore.showScanProductModal();
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_empty = resolveComponent("a-empty");
      const _component_a_card = resolveComponent("a-card");
      return openBlock(), createBlock(_component_a_card, {
        size: "small",
        title: cartItemTitle.value,
        bordered: false,
        class: "card--rounded-none"
      }, {
        extra: withCtx(() => [
          createVNode(_component_a_button, {
            type: "link",
            size: "small",
            class: "tw-py-0 tw-h-auto",
            onClick: handleClickAddButton
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Add")), 1)
            ]),
            _: 1
          }),
          createVNode(_component_a_button, {
            type: "link",
            size: "small",
            class: "tw-py-0 tw-h-auto",
            onClick: handleClickScanButton
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Scan")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          unref(totalQuantity) > 0 ? (openBlock(true), createElementBlock(Fragment, { key: 0 }, renderList(unref(cartItems), (item, index) => {
            return openBlock(), createBlock(CartItem, {
              index: unref(zeroFill)(index + 1),
              "item-id": item.id,
              key: item.id,
              "remove-when-quantity-is-zero": true
            }, null, 8, ["index", "item-id"]);
          }), 128)) : (openBlock(), createBlock(_component_a_empty, { key: 1 }, {
            description: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Add the first product to the cart")), 1)
            ]),
            _: 1
          }))
        ]),
        _: 1
      }, 8, ["title"]);
    };
  }
});
const _sfc_main$6 = /* @__PURE__ */ defineComponent({
  __name: "CartCustomerSection",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(CartCustomer, { class: "tw-rounded-none tw-border-l-0" });
    };
  }
});
const _sfc_main$5 = /* @__PURE__ */ defineComponent({
  __name: "CartNoteSection",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(CartNote, { class: "tw-bg-cpn tw-rounded-none" });
    };
  }
});
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "CartAddressSection",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(CartAddress, { class: "tw-rounded-none tw-border-l-0" });
    };
  }
});
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "CartTotalSection",
  setup(__props) {
    useCommonModalsStore();
    useLanguageStore();
    return (_ctx, _cache) => {
      const _component_a_card = resolveComponent("a-card");
      return openBlock(), createBlock(_component_a_card, {
        size: "small",
        bordered: false,
        class: "card--rounded-none"
      }, {
        default: withCtx(() => [
          createVNode(CartTotal)
        ]),
        _: 1
      });
    };
  }
});
const _hoisted_1$1 = { class: "tw-flex tw-gap-2 tw-flex-col tw-justify-between tw-h-full" };
const _hoisted_2$1 = { class: "tw-flex tw-gap-2 tw-flex-col" };
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "CartFloatModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const handleCancelModel = () => {
      commonModalsStore.hideCartFloatModal();
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        title: unref(__)("Order confirmation"),
        visible: unref(commonModalsStore).cartFloatModal.visible,
        class: "cart-float-modal",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_sfc_main$j, { "show-quantity-on-pay-button": false })
        ]),
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1$1, [
            createBaseVNode("div", _hoisted_2$1, [
              createVNode(_sfc_main$7),
              createVNode(_sfc_main$5),
              createVNode(_sfc_main$6),
              createVNode(_sfc_main$4)
            ]),
            createVNode(_sfc_main$3)
          ])
        ]),
        _: 1
      }, 8, ["title", "visible"]);
    };
  }
});
const CartFloatModal_vue_vue_type_style_index_0_lang = "";
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "CartFloatButton",
  setup(__props) {
    const cartStore = useCartStore();
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const { subtotal, totalQuantity } = storeToRefs(cartStore);
    const commonModalsStore = useCommonModalsStore();
    const handleClick = () => {
      commonModalsStore.showCartFloatModal();
    };
    return (_ctx, _cache) => {
      const _component_a_badge = resolveComponent("a-badge");
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createElementBlock(Fragment, null, [
        unref(totalQuantity) > 0 ? (openBlock(), createElementBlock("div", {
          key: 0,
          class: "cart-float-button__container",
          onClick: handleClick
        }, [
          createVNode(_component_a_button, { type: "primary" }, {
            default: withCtx(() => [
              createVNode(_component_a_badge, { count: unref(totalQuantity) }, null, 8, ["count"]),
              createVNode(_sfc_main$m, {
                value: unref(subtotal),
                class: "tw-px-3"
              }, null, 8, ["value"]),
              createBaseVNode("span", null, toDisplayString(unref(__)("View cart")), 1),
              createVNode(_component_font_awesome_icon, {
                icon: unref(faAngleRight),
                class: "tw-ml-3"
              }, null, 8, ["icon"])
            ]),
            _: 1
          })
        ])) : createCommentVNode("", true),
        createVNode(_sfc_main$2)
      ], 64);
    };
  }
});
const CartFloatButton_vue_vue_type_style_index_0_lang = "";
const _hoisted_1 = { class: "tw-p-3 max-sm:tw-p-0" };
const _hoisted_2 = { class: "col-left-inner" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "RegisterView",
  setup(__props) {
    const posStore = usePosStore();
    const { register } = storeToRefs(posStore);
    const menuStore = useMenuStore();
    menuStore.setActiveMenu("register");
    return (_ctx, _cache) => {
      const _component_a_col = resolveComponent("a-col");
      const _component_a_row = resolveComponent("a-row");
      return openBlock(), createBlock(_sfc_main$p, null, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createVNode(_component_a_row, { gutter: 10 }, {
              default: withCtx(() => [
                createVNode(_component_a_col, {
                  class: "tw-h-full",
                  xs: 0,
                  md: 12,
                  lg: 14,
                  xl: 17
                }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_2, [
                      createVNode(_sfc_main$9)
                    ])
                  ]),
                  _: 1
                }),
                createVNode(_component_a_col, {
                  class: "tw-overflow-hidden",
                  xs: 24,
                  md: 12,
                  lg: 10,
                  xl: 7
                }, {
                  default: withCtx(() => [
                    createVNode(_sfc_main$e, null, {
                      rightExtra: withCtx(() => [
                        unref(register).createProductEnabled ? (openBlock(), createBlock(AddProductButton, {
                          key: 0,
                          size: "small"
                        })) : createCommentVNode("", true)
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          createVNode(_sfc_main$1)
        ]),
        _: 1
      });
    };
  }
});
const RegisterView_vue_vue_type_style_index_0_scoped_8b39ab39_lang = "";
const RegisterView = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-8b39ab39"]]);
export {
  RegisterView as default
};
