import { d as defineComponent, f as useLanguageStore, m as useCommonModalsStore, k as usePosStore, s as storeToRefs, K as ref, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref, a3 as isRef, T as Modal, V as message } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./PaymentGatewaySelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$2 } from "./ShippingMethodSelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$3, a as _sfc_main$4 } from "./TaxStatusSelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$5 } from "./LanguageSelect.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { u as useCategoryApi } from "./register.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "SettingModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const commonModalsStore = useCommonModalsStore();
    const posStore = usePosStore();
    const { __ } = languageStore;
    const { language } = storeToRefs(languageStore);
    const { register } = storeToRefs(posStore);
    const updating = ref(false);
    const handleCancelModel = () => {
      commonModalsStore.hideSettingModal();
    };
    const handleOkModal = async () => {
      var _a;
      updating.value = true;
      const registerApi = await useCategoryApi();
      try {
        await registerApi.update(posStore.register.id, {
          defaultPaymentGateway: register.value.defaultPaymentGateway,
          defaultShippingMethod: register.value.defaultShippingMethod,
          defaultTaxStatus: register.value.defaultTaxStatus,
          defaultTaxClass: register.value.defaultTaxClass,
          autoPrintReceiptEnabled: register.value.autoPrintReceiptEnabled,
          shippingEnabled: register.value.shippingEnabled,
          audioEnabled: register.value.audioEnabled
        });
      } catch (error) {
        console.log(error);
        updating.value = false;
        Modal.error({
          title: __("Update setting unsuccessfully"),
          content: JSON.stringify((_a = error == null ? void 0 : error.posifyError) == null ? void 0 : _a.details)
        });
        return;
      }
      updating.value = false;
      message.success(__("Update setting successfully"));
      commonModalsStore.hideSettingModal();
    };
    const handleChangeLanguage = () => {
      languageStore.refresh();
    };
    return (_ctx, _cache) => {
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_switch = resolveComponent("a-switch");
      const _component_a_form = resolveComponent("a-form");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).settingModal.visible,
        "confirm-loading": updating.value,
        title: unref(__)("Update setting"),
        "ok-text": unref(__)("Confirm"),
        cancelText: unref(__)("Cancel"),
        width: "700px",
        centered: "",
        onCancel: handleCancelModel,
        onOk: handleOkModal
      }, {
        default: withCtx(() => [
          createVNode(_component_a_form, {
            "label-col": { span: 8 },
            "wrapper-col": { span: 16 },
            colon: false,
            layout: "horizontal",
            model: unref(register)
          }, {
            default: withCtx(() => [
              createVNode(_component_a_form_item, {
                label: unref(__)("Payment gateway default")
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$1, {
                    value: unref(register).defaultPaymentGateway,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => unref(register).defaultPaymentGateway = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Shipping method default")
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$2, {
                    value: unref(register).defaultShippingMethod,
                    "onUpdate:value": _cache[1] || (_cache[1] = ($event) => unref(register).defaultShippingMethod = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Tax status default")
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$3, {
                    value: unref(register).defaultTaxStatus,
                    "onUpdate:value": _cache[2] || (_cache[2] = ($event) => unref(register).defaultTaxStatus = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Tax class default")
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$4, {
                    value: unref(register).defaultTaxClass,
                    "onUpdate:value": _cache[3] || (_cache[3] = ($event) => unref(register).defaultTaxClass = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Language")
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$5, {
                    value: unref(language),
                    "onUpdate:value": _cache[4] || (_cache[4] = ($event) => isRef(language) ? language.value = $event : null),
                    onChange: handleChangeLanguage
                  }, null, 8, ["value"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Auto print receipt")
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_switch, {
                    checked: unref(register).autoPrintReceiptEnabled,
                    "onUpdate:checked": _cache[5] || (_cache[5] = ($event) => unref(register).autoPrintReceiptEnabled = $event)
                  }, null, 8, ["checked"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Enable shipping")
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_switch, {
                    checked: unref(register).shippingEnabled,
                    "onUpdate:checked": _cache[6] || (_cache[6] = ($event) => unref(register).shippingEnabled = $event)
                  }, null, 8, ["checked"])
                ]),
                _: 1
              }, 8, ["label"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Enable sound")
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_switch, {
                    checked: unref(register).audioEnabled,
                    "onUpdate:checked": _cache[7] || (_cache[7] = ($event) => unref(register).audioEnabled = $event)
                  }, null, 8, ["checked"])
                ]),
                _: 1
              }, 8, ["label"])
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        _: 1
      }, 8, ["visible", "confirm-loading", "title", "ok-text", "cancelText"]);
    };
  }
});
export {
  _sfc_main as default
};
