import { d as defineComponent, a5 as useGeneralSettingStore, f as useLanguageStore, k as usePosStore, s as storeToRefs, g as computed, L as onMounted, r as resolveComponent, o as openBlock, a as createBlock, j as unref } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ShippingMethodSelect",
  props: {
    value: {
      type: [Number, String, Array]
    },
    immediate: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:value", "change", "changeWithData"],
  setup(__props, { emit }) {
    const props = __props;
    const generalSettingStore = useGeneralSettingStore();
    const languageStore = useLanguageStore();
    const posStore = usePosStore();
    const { __ } = languageStore;
    const { register } = storeToRefs(posStore);
    const shippingMethods = computed(() => {
      return generalSettingStore.dataShippingMethods.filter(
        (shippingMethod) => register.value.shippingMethods.includes(shippingMethod.id)
      ).map((shippingMethod) => ({
        value: shippingMethod.id,
        label: shippingMethod.title
      }));
    });
    onMounted(() => {
      if (props.immediate) {
        const shippingMethod = shippingMethods.value.find(
          (shippingMethod2) => shippingMethod2.value === props.value
        );
        shippingMethod && handleChange(shippingMethod.value);
      }
    });
    const filterShippingMethods = (input, option) => {
      return option.label.toLowerCase().indexOf(input.toLowerCase()) >= 0;
    };
    const handleChange = (value) => {
      var _a;
      emit("update:value", value);
      emit("change", value);
      emit("changeWithData", {
        methodId: value,
        methodTitle: (_a = shippingMethods.value.find(
          (shippingMethod) => shippingMethod.value === value
        )) == null ? void 0 : _a.label
      });
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select a shipping method"),
        class: "tw-w-full",
        ref: "select",
        options: shippingMethods.value,
        "filter-option": filterShippingMethods,
        onChange: handleChange
      }, null, 8, ["value", "placeholder", "options"]);
    };
  }
});
export {
  _sfc_main as _
};
