import { A as AuthLayout } from "./AuthLayout.uaDs3xEUfw.js";
import { a4 as requestFactory, d as defineComponent, K as ref, f as useLanguageStore, k as usePosStore, a1 as useAuthStore, s as storeToRefs, L as onMounted, g as computed, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, t as toDisplayString, j as unref, p as createVNode, O as withCtx, J as createTextVNode, F as Fragment, T as Modal, V as message, a as createBlock } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const useStoreApi = async () => requestFactory("store");
const _hoisted_1 = { class: "login-form tw-mb-5" };
const _hoisted_2 = { class: "login-form__title" };
const _hoisted_3 = { class: "tw-text-center" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "SelectStoreAndRegisterForm",
  setup(__props) {
    const formState = ref({
      storeId: "",
      registerId: ""
    });
    const languageStore = useLanguageStore();
    const posStore = usePosStore();
    const authStore = useAuthStore();
    const rawResponseStore = ref([]);
    const fetchingStore = ref(true);
    const { __ } = languageStore;
    const { openingRegister } = storeToRefs(posStore);
    const fetchStores = async () => {
      const storeApi = await useStoreApi();
      fetchingStore.value = true;
      try {
        const { data } = await storeApi.getList({
          context: "dropdown_with_registers",
          enabled: 1
        });
        rawResponseStore.value = data;
      } catch (error) {
        console.log(error);
        const { errorDetails } = error;
        Modal.error({
          title: __("Load store and register unsuccessfully"),
          content: JSON.stringify(errorDetails)
        });
      }
      fetchingStore.value = false;
    };
    onMounted(() => fetchStores());
    const stores = computed(() => {
      return rawResponseStore.value.filter((store) => store.enabled).map((store) => ({
        value: store.id,
        label: store.name
      }));
    });
    const disabledOpeningRegisterButton = computed(() => {
      return fetchingStore.value;
    });
    const registers = computed(() => {
      const activeStore = rawResponseStore.value.find(
        (store) => store.id == formState.value.storeId
      );
      if (!activeStore) {
        return [];
      }
      return activeStore.registers.filter((register) => register.enabled).map((register) => ({
        value: register.id,
        label: register.name
      }));
    });
    const openRegister = posStore.openRegister;
    const handleFinishForm = async ({ registerId }) => {
      openRegister(registerId, false);
    };
    const handleClickLogoutButton = async () => {
      const hide = message.loading(__("Logging out..."));
      const { hasError, errorDetails } = await authStore.logout();
      hide();
      if (hasError) {
        Modal.error({
          title: __("Logout unsuccessfully. Please reload page."),
          content: errorDetails
        });
      }
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      const _component_a_form_item = resolveComponent("a-form-item");
      const _component_a_button = resolveComponent("a-button");
      const _component_a_form = resolveComponent("a-form");
      return openBlock(), createElementBlock(Fragment, null, [
        createBaseVNode("div", _hoisted_1, [
          createBaseVNode("div", _hoisted_2, toDisplayString(unref(__)("Choose Store and Register")), 1),
          createVNode(_component_a_form, {
            model: formState.value,
            layout: "vertical",
            onFinish: handleFinishForm
          }, {
            default: withCtx(() => [
              createVNode(_component_a_form_item, {
                label: unref(__)("Store"),
                name: "storeId",
                rules: [{ required: true, message: unref(__)("Please select your store!") }]
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_select, {
                    ref: "select",
                    value: formState.value.storeId,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => formState.value.storeId = $event),
                    options: stores.value,
                    loading: fetchingStore.value
                  }, null, 8, ["value", "options", "loading"])
                ]),
                _: 1
              }, 8, ["label", "rules"]),
              createVNode(_component_a_form_item, {
                label: unref(__)("Register"),
                name: "registerId",
                rules: [
                  { required: true, message: unref(__)("Please select your register!") }
                ]
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_select, {
                    ref: "select",
                    value: formState.value.registerId,
                    "onUpdate:value": _cache[1] || (_cache[1] = ($event) => formState.value.registerId = $event),
                    options: registers.value,
                    loading: fetchingStore.value
                  }, null, 8, ["value", "options", "loading"])
                ]),
                _: 1
              }, 8, ["label", "rules"]),
              createVNode(_component_a_form_item, { class: "tw-mb-0" }, {
                default: withCtx(() => [
                  createVNode(_component_a_button, {
                    type: "primary",
                    block: "",
                    "html-type": "submit",
                    class: "tw-font-semibold tw-uppercase",
                    disabled: disabledOpeningRegisterButton.value,
                    loading: unref(openingRegister)
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(unref(__)("Open register")), 1)
                    ]),
                    _: 1
                  }, 8, ["disabled", "loading"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        createBaseVNode("div", _hoisted_3, [
          createVNode(_component_a_button, {
            type: "link",
            danger: "",
            size: "small",
            onClick: handleClickLogoutButton
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Logout")), 1)
            ]),
            _: 1
          })
        ])
      ], 64);
    };
  }
});
const SelectStoreAndRegisterForm_vue_vue_type_style_index_0_scoped_ac3e1c23_lang = "";
const SelectStoreAndRegisterForm_vue_vue_type_style_index_1_lang = "";
const SelectStoreAndRegisterForm = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-ac3e1c23"]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "StoreRegisterView",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(AuthLayout, null, {
        default: withCtx(() => [
          createVNode(SelectStoreAndRegisterForm)
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
