import { d as defineComponent, f as useLanguageStore, a5 as useGeneralSettingStore, g as computed, L as onMounted, r as resolveComponent, o as openBlock, a as createBlock, j as unref } from "./index.uaDs3xEUfw.js";
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "TaxClassSelect",
  props: {
    value: {
      type: [Number, String, Array]
    },
    immediate: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:value", "change", "changeWithData"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const generalSettingStore = useGeneralSettingStore();
    const { __ } = languageStore;
    const taxClasses = computed(() => {
      return generalSettingStore.dataTaxClasses.map((taxClass) => ({
        value: taxClass.id,
        label: taxClass.title
      }));
    });
    onMounted(() => {
      if (props.immediate) {
        const taxClass = taxClasses.value.find(
          (taxClass2) => taxClass2.value === props.value
        );
        taxClass && handleChange(taxClass.value);
      }
    });
    const filterTaxClasses = (input, option) => {
      return option.label.toLowerCase().indexOf(input.toLowerCase()) >= 0;
    };
    const handleChange = (value) => {
      var _a;
      emit("update:value", value);
      emit("change", value);
      emit("changeWithData", {
        methodId: value,
        methodTitle: (_a = taxClasses.value.find((taxClass) => taxClass.value === value)) == null ? void 0 : _a.label
      });
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select tax class"),
        class: "tw-w-full",
        ref: "select",
        options: taxClasses.value,
        "filter-option": filterTaxClasses,
        onChange: handleChange
      }, null, 8, ["value", "placeholder", "options"]);
    };
  }
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "TaxStatusSelect",
  props: {
    value: {
      type: [Number, String]
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const generalSettingStore = useGeneralSettingStore();
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const taxStatus = computed(
      () => generalSettingStore.dataTaxStatus.map((taxStatusItem) => ({
        value: taxStatusItem.id,
        label: taxStatusItem.name
      }))
    );
    const handleChange = (taxId) => {
      emit("update:value", taxId);
      emit("change", taxId);
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select tax status"),
        class: "tw-w-full",
        ref: "select",
        options: taxStatus.value,
        onChange: handleChange
      }, null, 8, ["value", "placeholder", "options"]);
    };
  }
});
export {
  _sfc_main as _,
  _sfc_main$1 as a
};
