import { d as defineComponent, f as useLanguageStore, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, t as toDisplayString, j as unref, p as createVNode, bd as faArrowLeft, n as normalizeClass } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-grid tw-grid-cols-5 keyboard" };
const _hoisted_2 = ["disabled"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "TheKeyboard",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    enterText: {
      type: String,
      default: "Enter"
    },
    disabledEnterButton: {
      type: Boolean,
      default: false
    }
  },
  emits: [
    "key-press",
    "update:value",
    "press-back",
    "press-enter",
    "press-clear"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const handlePressKey = (keyValue) => {
      emit("key-press", keyValue);
      let value = props.value;
      switch (keyValue) {
        case "clear":
          value = 0;
          emit("update:value", value);
          emit("press-clear");
          break;
        case "enter":
          emit("press-enter");
          break;
        case "back":
          emit("press-back");
          break;
        case "backspace":
          value = String(value).slice(0, -1);
          emit("update:value", value);
          break;
        case ".":
          if (String(value).includes(".")) {
            return;
          }
          if (value === "") {
            value = "0.";
          } else {
            value = String(value) + ".";
          }
          emit("update:value", value);
          break;
        case "00":
          if (value == 0) {
            value = "0";
          } else {
            value = String(value) + "00";
          }
          emit("update:value", value);
          break;
        default:
          if (value === 0) {
            value = keyValue;
          } else {
            value = String(value) + keyValue;
          }
          emit("update:value", value);
          break;
      }
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[0] || (_cache[0] = ($event) => handlePressKey(1))
        }, "1"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[1] || (_cache[1] = ($event) => handlePressKey(2))
        }, "2"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[2] || (_cache[2] = ($event) => handlePressKey(3))
        }, "3"),
        createBaseVNode("div", {
          role: "button",
          class: "key tw-col-span-2",
          onClick: _cache[3] || (_cache[3] = ($event) => handlePressKey("clear"))
        }, toDisplayString(unref(__)("Clear")), 1),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[4] || (_cache[4] = ($event) => handlePressKey(4))
        }, "4"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[5] || (_cache[5] = ($event) => handlePressKey(5))
        }, "5"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[6] || (_cache[6] = ($event) => handlePressKey(6))
        }, "6"),
        createBaseVNode("div", {
          role: "button",
          class: "key tw-col-span-2",
          onClick: _cache[7] || (_cache[7] = ($event) => handlePressKey("backspace"))
        }, [
          createVNode(_component_font_awesome_icon, { icon: unref(faArrowLeft) }, null, 8, ["icon"])
        ]),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[8] || (_cache[8] = ($event) => handlePressKey(7))
        }, "7"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[9] || (_cache[9] = ($event) => handlePressKey(8))
        }, "8"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[10] || (_cache[10] = ($event) => handlePressKey(9))
        }, "9"),
        createBaseVNode("div", {
          role: "button",
          class: normalizeClass(["key tw-col-span-2 primary-button", { disabled: __props.disabledEnterButton }]),
          onClick: _cache[11] || (_cache[11] = ($event) => handlePressKey("enter")),
          disabled: __props.disabledEnterButton
        }, toDisplayString(unref(__)(__props.enterText)), 11, _hoisted_2),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[12] || (_cache[12] = ($event) => handlePressKey(0))
        }, "0"),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[13] || (_cache[13] = ($event) => handlePressKey("."))
        }, "."),
        createBaseVNode("div", {
          role: "button",
          class: "key",
          onClick: _cache[14] || (_cache[14] = ($event) => handlePressKey("00"))
        }, "00"),
        createBaseVNode("div", {
          role: "button",
          class: "key tw-col-span-2 back-key",
          onClick: _cache[15] || (_cache[15] = ($event) => handlePressKey("back"))
        }, toDisplayString(unref(__)("Back")), 1)
      ]);
    };
  }
});
const TheKeyboard_vue_vue_type_style_index_0_scoped_0b694654_lang = "";
const TheKeyboard = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0b694654"]]);
export {
  TheKeyboard as T
};
