import { d as defineComponent, k as usePosStore, aW as useProductStore, b3 as toRefs, K as ref, g as computed, aL as priceBeforeTax, N as watch, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, n as normalizeClass, i as createBaseVNode, J as createTextVNode, t as toDisplayString, j as unref, b as createCommentVNode, f as useLanguageStore, m as useCommonModalsStore, s as storeToRefs, l as useCartItemStore } from "./index.uaDs3xEUfw.js";
import { s as stockStatusLabel } from "./product.uaDs3xEUfw.js";
import { _ as _sfc_main$2 } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-font-bold" };
const _hoisted_2 = { class: "tw-absolute tw-top-0 tw-right-0" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "VariationList",
  props: {
    productId: {
      type: [String, Number]
    }
  },
  emits: ["click-to-item"],
  setup(__props, { emit }) {
    const props = __props;
    const posStore = usePosStore();
    const productStore = useProductStore();
    const { productId } = toRefs(props);
    const initLoading = ref(false);
    const rawVariations = ref([
      //
    ]);
    const variations = computed(() => {
      return rawVariations.value.map((variation) => ({
        id: variation.id,
        title: variation.title,
        thumbnail: variation.thumbnail,
        price: priceBeforeTax(variation, "price"),
        regularPrice: priceBeforeTax(variation, "regularPrice"),
        salePrice: priceBeforeTax(variation, "salePrice"),
        options: variation.options,
        manageStock: variation.manageStock,
        stockQuantity: variation.stockQuantity,
        stockStatus: variation.stockStatus,
        purchasable: variation.purchasable,
        taxClass: variation.taxClass,
        taxStatus: variation.taxStatus,
        showStockStatus: posStore.register.showStockQuantity && variation.manageStock
      }));
    });
    const fetchListVariations = async () => {
      initLoading.value = true;
      rawVariations.value = [];
      const productRepository = productStore.repository;
      productRepository.getDetail(props.productId).then((product) => {
        for (const variation of product.variations) {
          rawVariations.value.push(variation);
        }
      }).finally(() => initLoading.value = false);
    };
    const resetVariationList = () => rawVariations.value = [];
    watch(
      productId,
      (productId2) => {
        if (productId2) {
          fetchListVariations();
        } else {
          resetVariationList();
        }
      },
      { immediate: true }
    );
    const handleClickToItem = ({
      id,
      options,
      thumbnail,
      price,
      regularPrice,
      purchasable,
      manageStock,
      stockQuantity,
      taxStatus,
      taxClass
    }) => {
      emit("click-to-item", {
        id,
        thumbnail,
        options,
        price,
        regularPrice,
        purchasable,
        manageStock,
        stockQuantity,
        taxStatus,
        taxClass
      });
    };
    return (_ctx, _cache) => {
      const _component_a_avatar = resolveComponent("a-avatar");
      const _component_a_list_item_meta = resolveComponent("a-list-item-meta");
      const _component_a_skeleton = resolveComponent("a-skeleton");
      const _component_a_tag = resolveComponent("a-tag");
      const _component_a_list_item = resolveComponent("a-list-item");
      const _component_a_list = resolveComponent("a-list");
      return openBlock(), createBlock(_component_a_list, {
        loading: initLoading.value,
        "item-layout": "horizontal",
        "data-source": variations.value,
        size: "large",
        bordered: "",
        class: "variation-list"
      }, {
        renderItem: withCtx(({ item }) => [
          createVNode(_component_a_list_item, {
            onClick: ($event) => handleClickToItem(item),
            class: normalizeClass(["variation-list-item", {
              "variation-list-item--disabled": item.purchasable == false
            }])
          }, {
            actions: withCtx(() => [
              createVNode(_sfc_main$2, {
                value: item.price,
                "origin-cost": item.regularPrice,
                class: "tw-font-semibold"
              }, null, 8, ["value", "origin-cost"])
            ]),
            extra: withCtx(() => [
              createBaseVNode("div", _hoisted_2, [
                item.showStockStatus ? (openBlock(), createBlock(_component_a_tag, {
                  key: 0,
                  class: normalizeClass(["product-tag", `product-tag--${item.stockStatus}`])
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(unref(stockStatusLabel)(item.stockStatus, item.stockQuantity)), 1)
                  ]),
                  _: 2
                }, 1032, ["class"])) : createCommentVNode("", true)
              ])
            ]),
            default: withCtx(() => [
              createVNode(_component_a_skeleton, {
                avatar: "",
                title: false,
                loading: !!item.loading,
                active: ""
              }, {
                default: withCtx(() => [
                  createVNode(_component_a_list_item_meta, null, {
                    title: withCtx(() => [
                      createBaseVNode("span", _hoisted_1, toDisplayString(item.title), 1)
                    ]),
                    avatar: withCtx(() => [
                      createVNode(_component_a_avatar, {
                        src: item.thumbnail,
                        shape: "square",
                        size: 35
                      }, null, 8, ["src"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1032, ["loading"])
            ]),
            _: 2
          }, 1032, ["onClick", "class"])
        ]),
        _: 1
      }, 8, ["loading", "data-source"]);
    };
  }
});
const VariationList_vue_vue_type_style_index_0_lang = "";
const VariationList_vue_vue_type_style_index_1_scoped_e986793c_lang = "";
const VariationList = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-e986793c"]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "VariationModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const { variationModal } = storeToRefs(commonModalsStore);
    const cartItemStore = useCartItemStore();
    const handleClickToVariationItem = (variationInfo) => {
      if (!variationInfo.purchasable) {
        return;
      }
      cartItemStore.add({
        productId: variationModal.value.productId,
        productTitle: variationModal.value.productTitle,
        variationId: variationInfo.id,
        price: variationInfo.price,
        regularPrice: variationInfo.regularPrice,
        thumbnail: variationInfo.thumbnail,
        options: variationInfo.options,
        manageStock: variationInfo.manageStock,
        stockQuantity: variationInfo.stockQuantity,
        taxClass: variationInfo.taxClass,
        taxStatus: variationInfo.taxStatus
      });
      variationModal.value.afterSelect();
      commonModalsStore.hideVariationModal();
    };
    const handleCancelModel = () => {
      commonModalsStore.hideVariationModal();
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(variationModal).visible,
        centered: "",
        title: unref(__)("Choose variation"),
        class: "choose-variation-modal modal-no-footer",
        width: "460px",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => []),
        default: withCtx(() => [
          createVNode(VariationList, {
            "product-id": unref(variationModal).productId,
            onClickToItem: handleClickToVariationItem
          }, null, 8, ["product-id"])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const VariationModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
