import { a5 as useGeneralSettingStore, aq as fullName } from "./index.uaDs3xEUfw.js";
const addressValidationRules = {
  firstName: [
    {
      required: true,
      message: "Please input first name"
    }
  ],
  lastName: [
    {
      required: false,
      message: "Please input last name"
    }
  ],
  phone: [
    {
      required: false,
      message: "Please input phone"
    }
  ],
  address1: [
    {
      required: false,
      message: "Please input address 1"
    }
  ],
  address2: [],
  city: [
    {
      required: false,
      message: "Please input a city"
    }
  ],
  postcode: [],
  company: [],
  email: [
    {
      type: "email",
      message: "Please input a valid email"
    }
  ],
  country: [
    {
      required: false,
      message: "Please select a country"
    }
  ],
  state: [
    {
      required: false,
      message: "Please select a state"
    }
  ]
};
const addressRulesFactory = (prefix) => {
  const rules = {};
  prefix = prefix ? `${prefix}.` : "";
  for (const key in addressValidationRules) {
    rules[`${prefix}${key}`] = addressValidationRules[key];
  }
  return rules;
};
const addressString = (address) => {
  const generalSettingStore = useGeneralSettingStore();
  const name = fullName({
    firstName: address.firstName,
    lastName: address.lastName
  });
  const variablesToValues = {
    "{name}": name ? name : "",
    "{phone}": address.phone ? address.phone : "",
    "{email}": address.email ? address.email : "",
    "{company}": address.company ? address.company : "",
    "{address_1}": address.address1 ? address.address1 : "",
    "{address_2}": address.address2 ? address.address2 : "",
    "{city}": address.city ? address.city : "",
    "{state}": address.state ? address.state : "",
    "{postcode}": address.postcode ? address.postcode : "",
    "{country}": address.country ? address.country : ""
  };
  let addressFormat = generalSettingStore.addressFormat;
  for (const variable in variablesToValues) {
    const value = variablesToValues[variable];
    const regex = new RegExp(variable, "g");
    addressFormat = addressFormat.replace(regex, value).trim();
  }
  return addressFormat;
};
export {
  addressString as a,
  addressRulesFactory as b
};
