import { t as toUser } from "./auth.uaDs3xEUfw2.js";
const login = (httpClient, { username, password }) => {
  return httpClient.post("posify/v1/auth/login", { username, password }).then((response) => {
    const originalData = response.data;
    response.data = {
      token: originalData.token,
      user: toUser(originalData.user)
    };
    return response;
  });
};
const getDetail = (httpClient) => {
  return httpClient.get("posify/v1/auth/me").then((response) => {
    response.data = toUser(response.data);
    return response;
  });
};
const logout = (httpClient) => {
  return httpClient.delete("posify/v1/auth/logout").then((response) => {
    return response;
  });
};
const auth = (httpClient) => ({
  login: ({ username, password }) => login(httpClient, { username, password }),
  logout: () => logout(httpClient),
  getDetail: () => getDetail(httpClient)
});
export {
  auth as default
};
