import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import { t as toUser } from "./auth.uaDs3xEUfw2.js";
const toCash = (cash2) => {
  return {
    id: cash2.id,
    employeeId: cash2.employee_id,
    amount: cash2.amount,
    description: cash2.description,
    createdAt: cash2.created_at,
    employee: toUser(cash2.employee)
  };
};
const getList = (httpClient, registerId, params) => {
  return httpClient.get(`posify/v1/registers/${registerId}/sessions/current/cashes`, {
    params: toWooParams(params)
  }).then((response) => {
    response.data = response.data.map(toCash);
    return response;
  });
};
const create = (httpClient, registerId, data) => {
  return httpClient.post(`posify/v1/registers/${registerId}/sessions/current/cashes`, data).then((response) => {
    response.data = [];
    return response;
  });
};
const cash = (httpClient) => ({
  create: (registerId, data) => create(httpClient, registerId, data),
  getList: (registerId, params) => getList(httpClient, registerId, params)
});
export {
  cash as default
};
