import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const toCountry = (country2) => {
  return {
    code: country2.code,
    name: country2.name,
    states: country2.states
  };
};
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/data/countries", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map(toCountry);
    return response;
  });
};
const getDetail = (httpClient, countryCode) => {
  return httpClient.get(`wc/v3/data/countries/${countryCode}`).then((response) => {
    response.data = toCountry(response.data);
    return response;
  });
};
const country = (httpClient) => ({
  getList: (params) => getList(httpClient, params),
  getDetail: (countryCode) => getDetail(httpClient, countryCode)
});
export {
  country as default
};
