const create = (httpClient, registerId, data) => {
  return httpClient.post(`posify/v1/registers/${registerId}/sessions/current`, data).then((response) => {
    return response;
  });
};
const close = (httpClient, registerId, data) => {
  return httpClient.delete(`posify/v1/registers/${registerId}/sessions/current`, data).then((response) => {
    return response;
  });
};
const takeOver = (httpClient, registerId, data) => {
  return httpClient.put(`posify/v1/registers/${registerId}/sessions/current/take-over`, data).then((response) => {
    return response;
  });
};
const update = (httpClient, registerId, data) => {
  return httpClient.put(
    `posify/v1/registers/${registerId}/sessions/current`,
    data
  );
};
const currentSession = (httpClient) => ({
  create: (registerId, data) => create(httpClient, registerId, data),
  close: (registerId, data) => close(httpClient, registerId, data),
  takeOver: (registerId, data) => takeOver(httpClient, registerId, data),
  update: (registerId, data) => update(httpClient, registerId, data)
});
export {
  currentSession as default
};
