import { t as toShipping, a as toBilling, b as toWooBilling, c as toWooShipping } from "./address.uaDs3xEUfw2.js";
import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import { bE as strRandom } from "./index.uaDs3xEUfw.js";
const toCustomer = (customer2) => {
  var _a;
  return {
    id: customer2.id,
    email: customer2.email,
    phone: (_a = customer2 == null ? void 0 : customer2.shipping) == null ? void 0 : _a.phone,
    firstName: customer2.first_name,
    lastName: customer2.last_name,
    shipping: toShipping(customer2.shipping, {
      email: customer2.email
    }),
    billing: toBilling(customer2.billing),
    createdAt: customer2.date_created,
    updatedAt: customer2.date_modified,
    avatarUrl: customer2.avatar_url
  };
};
const toWooCustomer = (customer2) => {
  return {
    id: customer2.id,
    email: customer2.email,
    first_name: customer2.firstName,
    last_name: customer2.lastName,
    billing: toWooBilling(customer2.billing),
    shipping: toWooShipping(customer2.shipping),
    avatar_url: customer2.avatarUrl
  };
};
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/customers", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map(toCustomer);
    return response;
  });
};
const create = (httpClient, customerData) => {
  var _a, _b;
  const randomEmail = strRandom(10) + "@email.temp";
  if (!(customerData == null ? void 0 : customerData.email)) {
    customerData.email = randomEmail;
  }
  if (!((_a = customerData == null ? void 0 : customerData.billing) == null ? void 0 : _a.email)) {
    customerData.billing.email = randomEmail;
  }
  if (!((_b = customerData == null ? void 0 : customerData.shipping) == null ? void 0 : _b.email)) {
    customerData.shipping.email = randomEmail;
  }
  const wooCustomerData = toWooCustomer(customerData);
  if (!(wooCustomerData == null ? void 0 : wooCustomerData.password)) {
    wooCustomerData.password = strRandom(10);
  }
  return httpClient.post("wc/v3/customers", wooCustomerData).then((response) => {
    response.data = toCustomer(response.data);
    return response;
  });
};
const update = (httpClient, customerId, customerData) => {
  const wooCustomerData = toWooCustomer(customerData);
  return httpClient.post(`wc/v3/customers/${customerId}`, wooCustomerData).then((response) => {
    response.data = toCustomer(response.data);
    return response;
  });
};
const customer = (httpClient) => ({
  getList: (params) => getList(httpClient, params),
  create: (customerData) => create(httpClient, customerData),
  update: (customerId, customerData) => update(httpClient, customerId, customerData)
});
export {
  customer as default
};
