import { a as toBilling, t as toShipping, b as toWooBilling, c as toWooShipping } from "./address.uaDs3xEUfw2.js";
import { u as useCartStore, B as percentOrFixedCost, b7 as commonjsGlobal, ai as getDefaultExportFromCjs } from "./index.uaDs3xEUfw.js";
import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import couponApiFactory from "./coupon.uaDs3xEUfw.js";
const toOrder = (order2) => {
  var _a;
  const paymentLineMetas = order2.meta_data.filter((meta) => {
    return meta.key.startsWith("_posify_gateway_title_");
  });
  const paymentLines = [];
  for (const paymentLineMeta of paymentLineMetas) {
    const gatewayId = paymentLineMeta.key.replace("_posify_gateway_title_", "");
    const gatewayTitle = paymentLineMeta.value;
    const total = (_a = order2.meta_data.find(
      (meta) => meta.key == `_posify_gateway_total_${gatewayId}`
    )) == null ? void 0 : _a.value;
    paymentLines.push({
      id: paymentLineMeta.id,
      gatewayId,
      gatewayTitle,
      total
    });
  }
  const source = order2.meta_data.find((meta) => meta.key == "_source");
  const posStoreId = order2.meta_data.find(
    (meta) => meta.key == "_posify_store_id"
  );
  const posStoreName = order2.meta_data.find(
    (meta) => meta.key == "_posify_store_name"
  );
  const posRegisterId = order2.meta_data.find(
    (meta) => meta.key == "_posify_register_id"
  );
  const posRegisterName = order2.meta_data.find(
    (meta) => meta.key == "_posify_register_name"
  );
  const posCashierId = order2.meta_data.find(
    (meta) => meta.key == "_posify_cashier_id"
  );
  const posCashierName = order2.meta_data.find(
    (meta) => meta.key == "_posify_cashier_name"
  );
  const posRegisterSessionId = order2.meta_data.find(
    (meta) => meta.key == "_posify_register_session_id"
  );
  const totalPaying = order2.meta_data.find(
    (meta) => meta.key == "_posify_total_paying"
  );
  const totalBalance = order2.meta_data.find(
    (meta) => meta.key == "_posify_total_balance"
  );
  const totalChange = order2.meta_data.find(
    (meta) => meta.key == "_posify_total_change"
  );
  const shippingEmail = order2.meta_data.find(
    (meta) => meta.key == "_posify_shipping_email"
  );
  return {
    id: order2.id,
    // parentId: order.parent_id,
    status: order2.status,
    // currency: order.currency,
    // version: order.version,
    // pricesIncludeTax: order.prices_include_tax,
    dateCreated: order2.date_created,
    dateModified: order2.date_modified,
    discountTotal: order2.discount_total,
    // discountTax: order.discount_tax,
    shippingTotal: order2.shipping_total,
    // shippingTax: order.shipping_tax,
    // cartTax: order.cart_tax,
    total: order2.total,
    // totalTax: order.total_tax,
    customerId: order2.customer_id,
    orderKey: order2.order_key,
    // paymentMethod: order.payment_method,
    // paymentMethodTitle: order.payment_method_title,
    // transactionId: order.transaction_id,
    customerIpAddress: order2.customer_ip_address,
    customerUserAgent: order2.customer_user_agent,
    // createdVia: order.created_via,
    customerNote: order2.customer_note,
    dateCompleted: order2.date_completed,
    datePaid: order2.date_paid,
    cartHash: order2.cart_hash,
    number: order2.number,
    // refunds: order.refunds,
    // paymentUrl: order.payment_url,
    // dateCreatedGmt: order.date_created_gmt,
    // dateModifiedGmt: order.date_modified_gmt,
    // dateCompletedGmt: order.date_completed_gmt,
    // datePaidGmt: order.date_paid_gmt,
    // currencySymbol: order.currency_symbol,
    billing: toBilling(order2.billing),
    shipping: toShipping(order2.shipping, {
      email: shippingEmail == null ? void 0 : shippingEmail.value
    }),
    lineItems: order2.line_items.map((lineItem) => {
      var _a2;
      const metaThumbnail = lineItem.meta_data.find(
        (meta) => meta.key == "_thumbnail"
      );
      const metaOptions = lineItem.meta_data.find(
        (meta) => meta.key == "_options"
      );
      return {
        id: lineItem.id,
        name: lineItem.name,
        productId: lineItem.product_id,
        variationId: lineItem.variation_id,
        quantity: lineItem.quantity,
        subtotal: lineItem.subtotal,
        total: lineItem.total,
        sku: lineItem.sku,
        /**
         * Price after discount
         */
        price: lineItem.price,
        priceBeforeDiscount: Number(lineItem.subtotal / lineItem.quantity),
        thumbnail: (metaThumbnail == null ? void 0 : metaThumbnail.value) || ((_a2 = lineItem == null ? void 0 : lineItem.image) == null ? void 0 : _a2.src),
        options: metaOptions == null ? void 0 : metaOptions.value
        // taxClass: lineItem.tax_class,
        // subtotalTax: lineItem.subtotal_tax,
        // totalTax: lineItem.total_tax,
        // taxes: lineItem.taxes,
      };
    }),
    taxLines: order2.tax_lines.map((line) => ({
      id: line.id,
      rateCode: line.rate_code,
      rateId: line.rate_id,
      name: line.label,
      compound: line.compound,
      total: line.tax_total,
      shippingTaxTotal: line.shipping_tax_total
    })),
    shippingLines: order2.shipping_lines.map((line) => ({
      id: line.id,
      methodId: line.method_id,
      methodTitle: line.method_title,
      total: line.total
      // totalTax: line.total_tax,
      // taxes: toTax(line.taxes),
      // metaData: line.meta_data,
    })),
    feeLines: order2.fee_lines.map((line) => ({
      id: line.id,
      reason: line.name,
      total: line.total
      // taxClass: line.tax_class,
      // taxStatus: line.tax_status,
      // totalTax: line.total_tax,
      // taxes: toTax(line.taxes),
      // metaData: line.meta_data,
    })),
    discountLines: order2.coupon_lines.map((line) => {
      var _a2;
      const couponData = line.meta_data.find(
        (metadata) => metadata.key == "coupon_data"
      );
      const discountReason = (_a2 = couponData == null ? void 0 : couponData.value) == null ? void 0 : _a2.description;
      return {
        id: line.id,
        couponCode: line.code,
        reason: discountReason,
        total: line.discount,
        amount: line.discount
        // discountTax: line.discount_tax,
        // metaData: line.meta_data,
      };
    }),
    paymentLines,
    pos: {
      store: {
        id: posStoreId == null ? void 0 : posStoreId.value,
        name: posStoreName == null ? void 0 : posStoreName.value
      },
      register: {
        id: posRegisterId == null ? void 0 : posRegisterId.value,
        name: posRegisterName == null ? void 0 : posRegisterName.value
      },
      cashier: {
        id: posCashierId == null ? void 0 : posCashierId.value,
        name: posCashierName == null ? void 0 : posCashierName.value
      },
      registerSession: {
        id: posRegisterSessionId == null ? void 0 : posRegisterSessionId.value
      }
    },
    paying: {
      totalPaying: totalPaying == null ? void 0 : totalPaying.value,
      totalBalance: totalBalance == null ? void 0 : totalBalance.value,
      totalChange: totalChange == null ? void 0 : totalChange.value
    },
    source: source == null ? void 0 : source.value
  };
};
const toWooOrder = (order2) => {
  var _a, _b, _c, _d;
  const cartStore = useCartStore();
  const paymentGatewayIdToTotal = {};
  const paymentGatewayIdToTitle = {};
  const paymentLines = [];
  let paymentMethodId;
  let paymentMethodTitle;
  if (order2.paymentLines) {
    for (const paymentGateway of order2.paymentLines) {
      const gatewayId = paymentGateway.gatewayId;
      if (!paymentGatewayIdToTotal[gatewayId]) {
        paymentGatewayIdToTotal[gatewayId] = 0;
      } else {
        paymentGatewayIdToTotal[gatewayId] = Number(
          paymentGatewayIdToTotal[gatewayId]
        );
      }
      paymentGatewayIdToTotal[gatewayId] += paymentGateway.total;
      paymentGatewayIdToTitle[gatewayId] = paymentGateway.gatewayTitle;
    }
    for (const paymentGatewayId in paymentGatewayIdToTotal) {
      if (!paymentMethodId) {
        paymentMethodId = paymentGatewayId;
        paymentMethodTitle = paymentGatewayIdToTitle[paymentGatewayId];
      }
      paymentLines.push({
        key: `_posify_gateway_total_${paymentGatewayId}`,
        value: paymentGatewayIdToTotal[paymentGatewayId]
      });
      paymentLines.push({
        key: `_posify_gateway_title_${paymentGatewayId}`,
        value: paymentGatewayIdToTitle[paymentGatewayId]
      });
    }
  }
  return {
    set_paid: order2.setPaid,
    status: order2.status,
    customer_note: order2.customerNote,
    transaction_id: order2.transactionId,
    payment_method: paymentMethodId,
    payment_method_title: paymentMethodTitle,
    billing: toWooBilling(order2.billing),
    shipping: toWooShipping(order2.shipping),
    line_items: (_a = order2 == null ? void 0 : order2.lineItems) == null ? void 0 : _a.map((lineItem) => {
      const isCustomProduct = String(lineItem.productId).startsWith("product:");
      return {
        product_id: lineItem.productId,
        variation_id: lineItem.variationId,
        /**
         * We just need to set name for custom product
         */
        name: isCustomProduct ? lineItem.productTitle : void 0,
        quantity: lineItem.quantity,
        subtotal: String(lineItem.quantity * lineItem.price),
        /**
         * We don't need to send total
         * Because WooCommerce will calculate it automatically in the backend
         */
        // total: String(lineItem.quantity * lineItem.price),
        meta_data: [
          { key: "_posify_thumbnail", value: lineItem.thumbnail },
          { key: "_posify_note", value: lineItem.note },
          { key: "_posify_options", value: lineItem.options }
        ]
      };
    }),
    shipping_lines: (_b = order2 == null ? void 0 : order2.shippingLines) == null ? void 0 : _b.map((lineItem) => ({
      method_title: lineItem.methodTitle,
      method_id: lineItem.methodId,
      total: String(lineItem.total)
    })),
    fee_lines: (_c = order2 == null ? void 0 : order2.feeLines) == null ? void 0 : _c.map((lineItem) => ({
      name: lineItem.reason,
      total: String(
        percentOrFixedCost({
          amountType: lineItem.amountType,
          amount: lineItem.amount,
          subtotal: cartStore.subtotal
        })
      ),
      meta_data: [
        { key: "_posify_amount_type", value: lineItem.amountType },
        { key: "_posify_amount", value: lineItem.amount }
      ]
    })),
    coupon_lines: (_d = order2 == null ? void 0 : order2.couponLines) == null ? void 0 : _d.map((lineItem) => ({
      code: lineItem.code
    })),
    meta_data: [
      { key: "_posify_source", value: "posify" },
      {
        key: "_posify_register_session_id",
        value: order2.pos.registerSession.id
      },
      { key: "_posify_register_id", value: order2.pos.register.id },
      { key: "_posify_shipping_email", value: order2.shipping.email },
      { key: "_posify_total_paying", value: order2.paying.totalPaying },
      { key: "_posify_total_balance", value: order2.paying.totalBalance },
      { key: "_posify_total_change", value: order2.paying.totalChange },
      ...paymentLines
    ]
  };
};
var voucher_codes = { exports: {} };
(function(module, exports) {
  (function() {
    function randomInt(min, max) {
      return Math.floor(Math.random() * (max - min + 1)) + min;
    }
    function randomElem(arr) {
      return arr[randomInt(0, arr.length - 1)];
    }
    function sequenceElem(config, sequenceOffset, charIndex) {
      return config.unique_charset[Math.floor(sequenceOffset / Math.pow(config.unique_charset.length, config.length - charIndex - 1)) % config.unique_charset.length];
    }
    function charset(name) {
      var charsets = {
        numbers: "0123456789",
        alphabetic: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ",
        alphanumeric: "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
      };
      return charsets[name];
    }
    function repeat(str, count) {
      var res = "";
      for (var i = 0; i < count; i++) {
        res += str;
      }
      return res;
    }
    function Config(config) {
      config = config || {};
      this.count = config.count || 1;
      this.length = config.length || 8;
      this.charset = config.charset || charset("alphanumeric");
      this.unique_charset = uniqueCharset(this.charset);
      this.prefix = config.prefix || "";
      this.postfix = config.postfix || "";
      this.pattern = config.pattern || repeat("#", this.length);
      if (config.pattern) {
        this.length = (config.pattern.match(/#/g) || []).length;
      }
    }
    function uniqueCharset(charset2) {
      var map = {};
      var result = [];
      for (var i = 0; i < charset2.length; i++) {
        const sign = charset2[i];
        if (!map[sign]) {
          result.push(sign);
          map[sign] = true;
        }
      }
      return result.join("");
    }
    function generateOne(config, sequenceOffset) {
      var generateIndex = 0;
      var code = config.pattern.split("").map(function(char) {
        if (char === "#") {
          if (isNaN(sequenceOffset)) {
            return randomElem(config.charset);
          }
          return sequenceElem(config, sequenceOffset, generateIndex++);
        } else {
          return char;
        }
      }).join("");
      return config.prefix + code + config.postfix;
    }
    function maxCombinationsCount(config) {
      return Math.pow(config.unique_charset.length, config.length);
    }
    function isFeasible(config) {
      return maxCombinationsCount(config) >= config.count;
    }
    function generate(config, sequenceOffset) {
      config = new Config(config);
      var count = config.count;
      if (!isFeasible(config)) {
        throw new Error("Not possible to generate requested number of codes.");
      }
      sequenceOffset = +sequenceOffset;
      if (!isNaN(sequenceOffset)) {
        if (sequenceOffset < 0) {
          sequenceOffset = 0;
        } else if (sequenceOffset >= maxCombinationsCount(config)) {
          sequenceOffset = maxCombinationsCount(config) - 1;
        }
      }
      var map = {};
      var codes = [];
      while (count > 0) {
        var code = generateOne(config, sequenceOffset);
        if (!map[code]) {
          codes.push(code);
          map[code] = true;
          count--;
        }
        sequenceOffset++;
      }
      return codes;
    }
    var voucher_codes2 = {
      generate,
      charset
    };
    {
      if (module.exports) {
        module.exports = voucher_codes2;
      }
    }
  }).call(commonjsGlobal);
})(voucher_codes);
var voucher_codesExports = voucher_codes.exports;
const voucherCodes = /* @__PURE__ */ getDefaultExportFromCjs(voucher_codesExports);
const getDetail = (httpClient, orderId) => {
  return httpClient.get(`wc/v3/orders/${orderId}`).then((response) => {
    response.data = toOrder(response.data);
    return response;
  });
};
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/orders", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map(toOrder);
    return response;
  });
};
const create = async (httpClient, data) => {
  const discountLines = data.discountLines.filter(
    (discountLine) => !discountLine.couponId
  );
  let couponCreateFromDiscountLines = [];
  if (discountLines.length) {
    const codes = voucherCodes.generate({
      length: 10,
      count: discountLines.length
    });
    const couponData = [];
    for (let i = 0; i < discountLines.length; i++) {
      const code = codes[i];
      const discountLine = discountLines[i];
      couponData.push({
        code,
        amountType: discountLine.amountType,
        amount: discountLine.amount
      });
    }
    const couponApi = couponApiFactory(httpClient);
    try {
      await couponApi.batchUpdate({
        create: couponData
      });
      couponCreateFromDiscountLines = codes.map((code) => ({ code }));
    } catch (error) {
      console.error(error);
    }
  }
  const existedCouponLines = data.discountLines.filter(
    (discountLine) => discountLine.couponId
  );
  data.couponLines = couponCreateFromDiscountLines.concat(existedCouponLines);
  const wooOrderData = toWooOrder(data);
  return httpClient.post("wc/v3/orders", wooOrderData).then((response) => {
    response.data = toOrder(response.data);
    return response;
  });
};
const order = (httpClient) => ({
  create: (data) => create(httpClient, data),
  getDetail: (orderId) => getDetail(httpClient, orderId),
  getList: (params) => getList(httpClient, params)
});
export {
  order as default
};
