const toWooFieldsParam = (fields) => {
  const wooParamsMapping = {
    thumbnail: "posify_thumbnail",
    variations: "posify_variations",
    purchasable: "posify_purchasable"
  };
  const wooFields = [];
  for (const field of fields) {
    const wooFieldName = wooParamsMapping[field] || field;
    wooFields.push(wooFieldName);
  }
  return wooFields;
};
const toWooParams = (params) => {
  const wooParamsMapping = {
    perPage: "per_page",
    modifiedAfter: "modified_after",
    modifiedBefore: "modified_before",
    datesAreGmt: "dates_are_gmt",
    parentExclude: "parent_exclude",
    shippingClass: "shipping_class",
    attributeTerm: "attribute_term",
    taxClass: "tax_class",
    onSale: "on_sale",
    minPrice: "min_price",
    maxPrice: "max_price",
    stockStatus: "stock_status",
    hideEmpty: "hide_empty",
    reviewerExclude: "reviewer_exclude",
    reviewerEmail: "reviewer_email",
    employeeId: "employee_id",
    storeId: "posify_store",
    fromPosifyChannel: "from_posify_channel",
    context: "context"
  };
  const wooParams = {};
  for (const paramName in params) {
    const wooParamName = wooParamsMapping[paramName] || paramName;
    wooParams[wooParamName] = params[paramName];
  }
  if (params && "_fields" in params) {
    wooParams._fields = toWooFieldsParam(params._fields);
  }
  return wooParams;
};
export {
  toWooParams as t
};
