import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import { t as toVariation } from "./variation.uaDs3xEUfw2.js";
const toProduct = (product2) => {
  var _a;
  return {
    id: product2.id,
    title: product2.name,
    thumbnail: product2.posify_thumbnail,
    variations: (_a = product2.posify_variations) == null ? void 0 : _a.map(toVariation),
    price: product2.price,
    regularPrice: Number(product2.regular_price),
    salePrice: Number(product2.sale_price),
    taxClass: product2.tax_class ? product2.tax_class : "standard",
    taxStatus: product2.tax_status,
    onSale: product2.on_sale,
    featured: product2.featured,
    sku: product2.sku,
    type: product2.type,
    manageStock: product2.posify_manage_stock !== void 0 ? product2.posify_manage_stock : product2.manage_stock,
    stockQuantity: product2.posify_stock_quantity !== void 0 ? product2.posify_stock_quantity : product2.stock_quantity,
    stockStatus: product2.posify_stock_status !== void 0 ? product2.posify_stock_status : product2.stock_status,
    purchasable: product2.posify_purchasable
  };
};
const toWooProduct = (product2) => {
  return {
    id: product2.id,
    name: product2.title,
    sku: product2.sku,
    regular_price: product2.regularPrice ? String(product2.regularPrice) : void 0,
    manage_stock: product2.manageStock,
    stock_quantity: product2.manageStock ? product2.stockQuantity : void 0,
    stock_status: product2.stockStatus,
    categories: product2.categoryId ? [{ id: product2.categoryId }] : void 0,
    tax_class: product2.taxClass,
    tax_status: product2.taxStatus
  };
};
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/products", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map(toProduct);
    return response;
  });
};
const getDetail = (httpClient, productId) => {
  return httpClient.get(`wc/v3/products/${productId}`).then((response) => {
    response.data = toProduct(response.data);
    return response;
  });
};
const create = (httpClient, data) => {
  return httpClient.post("wc/v3/products", toWooProduct(data)).then((response) => {
    response.data = toProduct(response.data);
    return response;
  });
};
const product = (httpClient) => ({
  getList: (params) => getList(httpClient, params),
  getDetail: (productId) => getDetail(httpClient, productId),
  create: (data) => create(httpClient, data)
});
export {
  product as default
};
