import { bH as toNumberIfNotUndefined } from "./index.uaDs3xEUfw.js";
const toRegister = (wooRegister) => {
  return {
    id: wooRegister.id,
    name: wooRegister.name,
    status: wooRegister.status,
    enabled: Boolean(wooRegister.enabled),
    scanEnabled: Boolean(wooRegister.scan_enabled),
    guestCheckoutEnabled: Boolean(wooRegister.guest_checkout_enabled),
    paymentGateways: wooRegister.payment_gateways,
    taxClasses: wooRegister.tax_classes,
    taxStatus: wooRegister.tax_status,
    shippingMethods: wooRegister.shipping_methods,
    audioEnabled: Boolean(wooRegister.audio_enabled),
    showStockQuantity: Boolean(wooRegister.show_stock_quantity),
    createProductEnabled: Boolean(wooRegister.create_product_enabled),
    numericControllerDiscountPresets: wooRegister.numeric_controller_discount_presets,
    feeAndDiscountPresets: wooRegister.fee_and_discount_presets,
    catalogIncludeType: wooRegister.catalog_include_type,
    catalogIncludeCategories: wooRegister.catalog_include_categories,
    catalogIncludeProducts: wooRegister.catalog_include_products,
    catalogShowInPosType: wooRegister.catalog_show_in_pos_type,
    receiptId: wooRegister.receipt_id,
    storeId: wooRegister.store_id,
    cashHand: wooRegister.cash_hand,
    closingReportEnabled: Boolean(wooRegister.closing_report_enabled),
    closingReportNoteEnabled: Boolean(wooRegister.closing_report_note_enabled),
    defaultPaymentGateway: wooRegister.default_payment_gateway,
    defaultShippingMethod: wooRegister.default_shipping_method,
    defaultTaxClass: wooRegister.default_tax_class,
    defaultTaxStatus: wooRegister.default_tax_status,
    autoPrintReceiptEnabled: Boolean(wooRegister.auto_print_receipt_enabled),
    shippingEnabled: Boolean(wooRegister.shipping_enabled)
  };
};
const toWooRegister = (register) => {
  return {
    id: register.id,
    name: register.name,
    status: register.status,
    enabled: toNumberIfNotUndefined(register.enabled),
    scan_enabled: toNumberIfNotUndefined(register.scanEnabled),
    guest_checkout_enabled: toNumberIfNotUndefined(
      register.guestCheckoutEnabled
    ),
    payment_gateways: register.paymentGateways,
    tax_classes: register.taxClasses,
    tax_status: register.taxStatus,
    shipping_methods: register.shippingMethods,
    audio_enabled: toNumberIfNotUndefined(register.audioEnabled),
    create_product_enabled: toNumberIfNotUndefined(
      register.createProductEnabled
    ),
    shipping_enabled: toNumberIfNotUndefined(register.shippingEnabled),
    show_stock_quantity: toNumberIfNotUndefined(register.showStockQuantity),
    numeric_controller_discount_presets: register.numericControllerDiscountPresets,
    fee_and_discount_presets: register.feeAndDiscountPresets,
    catalog_include_type: register.catalogIncludeType,
    catalog_include_categories: register.catalogIncludeCategories,
    catalog_include_products: register.catalogIncludeProducts,
    catalog_show_in_pos_type: register.catalogShowInPosType,
    receipt_id: register.receiptId,
    store_id: register.storeId,
    cash_hand: register.cashHand,
    closing_report_enabled: toNumberIfNotUndefined(
      register.closingReportEnabled
    ),
    closing_report_note_enabled: toNumberIfNotUndefined(
      register.closingReportNoteEnabled
    ),
    default_payment_gateway: register.defaultPaymentGateway,
    default_shipping_method: register.defaultShippingMethod,
    default_tax_class: register.defaultTaxClass,
    default_tax_status: register.defaultTaxStatus,
    auto_print_receipt_enabled: toNumberIfNotUndefined(
      register.autoPrintReceiptEnabled
    )
  };
};
export {
  toWooRegister as a,
  toRegister as t
};
