const getGeneralSetting = (httpClient) => {
  return httpClient.get("posify/v1/settings").then((response) => {
    var _a, _b, _c;
    const originalData = response.data;
    response.data = {
      // eslint-disable-next-line prettier/prettier
      version: originalData.version,
      closeModalsWhenClickingOnBackGround: originalData.close_modals_when_clicking_on_back_ground,
      loginBackgroundUrl: originalData.login_background_url,
      loginBackgroundColor: originalData.login_background_color,
      colorScheme: {
        primary: originalData.primary_color,
        secondary: originalData.secondary_color,
        info: originalData.info_color,
        positive: originalData.positive_color,
        negative: originalData.negative_color
      },
      audioEnabled: originalData.audio_enabled,
      notifyNoStockAmount: Boolean(originalData.notify_no_stock_amount),
      multistockEnabled: Boolean(originalData.multistock_enabled),
      taxEnabled: Boolean(originalData.tax_enabled),
      pricesIncludeTax: Boolean(originalData.prices_include_tax),
      taxBasedOn: originalData.tax_based_on,
      shopAddress: {
        countryState: (_a = originalData == null ? void 0 : originalData.shop_address) == null ? void 0 : _a.country_state,
        postcode: (_b = originalData == null ? void 0 : originalData.shop_address) == null ? void 0 : _b.postcode,
        city: (_c = originalData == null ? void 0 : originalData.shop_address) == null ? void 0 : _c.city
      },
      multistockCondition: originalData.multistock_condition,
      vatFieldLabel: originalData.vat_field_label,
      productScanField: originalData.product_scan_field,
      logoUrl: originalData.logo_url,
      addressFormat: originalData.address_format,
      paymentGateways: originalData.payment_gateways,
      shippingMethods: originalData.shipping_methods,
      taxStatus: originalData.tax_status,
      taxClasses: originalData.tax_classes,
      currency: {
        code: originalData.currency.code,
        currencyPos: originalData.currency.currency_pos,
        thousandSep: originalData.currency.thousand_sep,
        decimalSep: originalData.currency.decimal_sep,
        numDecimals: originalData.currency.num_decimals,
        symbol: originalData.currency.symbol,
        symbolPos: originalData.currency.symbol_pos
      },
      data: {
        shippingMethods: originalData.data.shipping_methods,
        paymentGateways: originalData.data.payment_gateways,
        taxClasses: originalData.data.tax_classes.map((taxClass) => {
          var _a2;
          return {
            id: taxClass.id,
            title: taxClass.title,
            rates: (_a2 = taxClass == null ? void 0 : taxClass.rates) == null ? void 0 : _a2.map((rate) => ({
              id: rate.id,
              country: rate.country,
              state: rate.state,
              postcode: rate.postcode,
              city: rate.city,
              rate: Number(rate.rate),
              name: rate.name,
              priority: rate.priority,
              compound: rate.compound == 1,
              shipping: Boolean(rate.shipping),
              order: rate.order
            }))
          };
        }),
        taxStatus: originalData.data.tax_status,
        languages: originalData.data.languages
        // countries: originalData.data.countries,
      }
    };
    return response;
  });
};
const setting = (httpClient) => ({
  getGeneralSetting: () => getGeneralSetting(httpClient)
});
export {
  setting as default
};
