<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\DataTransferObjects\Factories\CreateEmployeeDataFactory;
use Posify\Core\Exceptions\DataInvalidException;
use Posify\Core\Utilities\HasFactory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;
use Posify\Core\Validation\Validator;

class CreateEmployeeData
{
    use HasMakeFactory;
    use HasTransformObject;
    use HasFactory;

    public $username = null;
    public $email = null;
    public $password = null;
    public $full_name = null;
    public $role = null;

    public function __construct(
        $username = null,
        $email = null,
        $password = null,
        $full_name = null,
        $role = null
    ) {
        $this->username = $username;
        $this->email = $email;
        $this->password = $password;
        $this->full_name = $full_name;
        $this->role = $role;
    }

    public static function factoryClass()
    {
        return CreateEmployeeDataFactory::class;
    }

    public function validate()
    {
        $validator = Validator::make($this->toArray(), [
            'username' => 'required|string',
        ]);

        if ($validator->fails()) {
            throw DataInvalidException::fromValidator($validator);
        }
    }
}
