<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\DataTransferObjects\Factories\CreateReceiptDataFactory;
use Posify\Core\Utilities\HasFactory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class CreateReceiptData
{
    use HasMakeFactory;
    use HasFactory;
    use HasTransformObject;

    public $name = null;
    public $show_logo = true;
    public $logo_url = null;
    public $show_sku = true;
    public $sku_label = null;
    public $show_store_name = true;
    public $receipt_footer = null;
    public $show_vat = true;
    public $vat_label = null;
    public $show_address = true;
    public $show_phone = true;
    public $show_email = true;
    public $show_fax = true;
    public $show_website = true;
    public $show_facebook = true;
    public $show_twitter = true;
    public $show_instagram = true;
    public $show_youtube = true;
    public $show_order_date = true;
    public $order_date_label = null;
    public $show_order_number = true;
    public $order_number_label = null;
    public $show_order_customer = true;
    public $order_customer_label = null;
    public $show_shipping = true;
    public $shipping_label = null;
    public $show_order_register = true;
    public $order_register_label = null;
    public $show_cashier = true;
    public $cashier_label = null;
    public $show_customer_note = true;
    public $customer_note_label = null;

    public function __construct(
        $name = null,
        $show_logo = true,
        $logo_url = null,
        $show_sku = true,
        $sku_label = null,
        $show_store_name = true,
        $receipt_footer = null,
        $show_vat = true,
        $vat_label = null,
        $show_address = true,
        $show_phone = true,
        $show_email = true,
        $show_fax = true,
        $show_website = true,
        $show_facebook = true,
        $show_twitter = true,
        $show_instagram = true,
        $show_youtube = true,
        $show_order_date = true,
        $order_date_label = null,
        $show_order_number = true,
        $order_number_label = null,
        $show_order_customer = true,
        $order_customer_label = null,
        $show_shipping = true,
        $shipping_label = null,
        $show_order_register = true,
        $order_register_label = null,
        $show_cashier = true,
        $cashier_label = null,
        $show_customer_note = true,
        $customer_note_label = null
    ) {
        $this->name = $name;
        $this->show_logo = $show_logo;
        $this->logo_url = $logo_url;
        $this->show_sku = $show_sku;
        $this->sku_label = $sku_label;
        $this->show_store_name = $show_store_name;
        $this->receipt_footer = $receipt_footer;
        $this->show_vat = $show_vat;
        $this->vat_label = $vat_label;
        $this->show_address = $show_address;
        $this->show_phone = $show_phone;
        $this->show_email = $show_email;
        $this->show_fax = $show_fax;
        $this->show_website = $show_website;
        $this->show_facebook = $show_facebook;
        $this->show_twitter = $show_twitter;
        $this->show_instagram = $show_instagram;
        $this->show_youtube = $show_youtube;
        $this->show_order_date = $show_order_date;
        $this->order_date_label = $order_date_label;
        $this->show_order_number = $show_order_number;
        $this->order_number_label = $order_number_label;
        $this->show_order_customer = $show_order_customer;
        $this->order_customer_label = $order_customer_label;
        $this->show_shipping = $show_shipping;
        $this->shipping_label = $shipping_label;
        $this->show_order_register = $show_order_register;
        $this->order_register_label = $order_register_label;
        $this->show_cashier = $show_cashier;
        $this->cashier_label = $cashier_label;
        $this->show_customer_note = $show_customer_note;
        $this->customer_note_label = $customer_note_label;
    }

    public static function factoryClass()
    {
        return CreateReceiptDataFactory::class;
    }

    public function validate()
    {
        //
    }
}
