<?php

namespace Posify\Core\DataTransferObjects;

use Faker\Factory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class CreateRegisterCashData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $store_id = null;
    public $register_id = null;
    public $session_id = null;
    public $employee_id = null;
    public $amount = null;
    public $description = null;

    public function __construct(
        $store_id = null,
        $register_id = null,
        $session_id = null,
        $employee_id = null,
        $amount = null,
        $description = null
    ) {
        $this->store_id = $store_id;
        $this->register_id = $register_id;
        $this->session_id = $session_id;
        $this->employee_id = $employee_id;
        $this->amount = $amount;
        $this->description = $description;
    }

    public static function factory(array $data = []): self
    {
        $faker = Factory::create();

        $data = array_merge([
            'amount' => $faker->randomFloat(2, 1, 100),
            'description' => $faker->sentence,
        ], $data);

        return static::make($data);
    }

    public function validate()
    {
        //
    }
}
