<?php

namespace Posify\Core\DataTransferObjects;

use DateTime;
use Faker\Factory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class CreateRegisterSessionData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $store_id;
    public $register_id;
    public $employee_id;
    public ?DateTime $open_time = null;
    public ?DateTime $close_time = null;

    public function __construct(
        $store_id,
        $register_id,
        $employee_id,
        ?DateTime $open_time = null,
        ?DateTime $close_time = null
    ) {
        $this->store_id = $store_id;
        $this->register_id = $register_id;
        $this->employee_id = $employee_id;
        $this->open_time = $open_time;
        $this->close_time = $close_time;
    }

    public static function factory(array $data = []): self
    {
        $faker = Factory::create();

        $data = array_merge([
            'open_time' => $faker->dateTime(),
            'close_time' => $faker->dateTime(),
        ], $data);

        return static::make($data);
    }
}
