<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\DataTransferObjects\Factories\CreateStockDataFactory;
use Posify\Core\Utilities\HasFactory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class CreateStockData
{
    use HasMakeFactory;
    use HasFactory;
    use HasTransformObject;

    public $store_id = null;
    public $product_id = null;
    public $variant_id = null;
    public $stock_quantity = 1;

    public function __construct(
        $store_id = null,
        $product_id = null,
        $variant_id = null,
        $stock_quantity = 1
    ) {
        $this->store_id = $store_id;
        $this->product_id = $product_id;
        $this->variant_id = $variant_id;
        $this->stock_quantity = $stock_quantity;
    }

    public static function factoryClass()
    {
        return CreateStockDataFactory::class;
    }

    public function validate()
    {
        //
    }
}
