<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\DataTransferObjects\Factories\CreateStoreDataFactory;
use Posify\Core\Utilities\HasFactory;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class CreateStoreData
{
    use HasMakeFactory;
    use HasTransformObject;
    use HasFactory;

    public $name = null;
    public $address = null;
    public $city = null;
    public $country_state = null;
    public $postcode = null;
    public $phone = null;
    public $fax = null;
    public $email = null;
    public $website = null;
    public $facebook = null;
    public $twitter = null;
    public $instagram = null;
    public $youtube = null;
    public $enabled = false;
    public $vat_number = null;

    public function __construct(
        $name = null,
        $address = null,
        $city = null,
        $country_state = null,
        $postcode = null,
        $phone = null,
        $fax = null,
        $email = null,
        $website = null,
        $facebook = null,
        $twitter = null,
        $instagram = null,
        $youtube = null,
        $enabled = false,
        $vat_number = null
    ) {
        $this->name = $name;
        $this->address = $address;
        $this->city = $city;
        $this->country_state = $country_state;
        $this->postcode = $postcode;
        $this->phone = $phone;
        $this->fax = $fax;
        $this->email = $email;
        $this->website = $website;
        $this->facebook = $facebook;
        $this->twitter = $twitter;
        $this->instagram = $instagram;
        $this->youtube = $youtube;
        $this->enabled = $enabled;
        $this->vat_number = $vat_number;
    }

    public static function factoryClass()
    {
        return CreateStoreDataFactory::class;
    }

    public function validate()
    {
        //
    }
}
