<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class EmployeeQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $enabled;
    public $enabled_in_store;
    public $id = null;
    public $store_id = null;
    public $full_name = null;
    public $search = null;

    public function __construct(
        $enabled,
        $enabled_in_store,
        $id = null,
        $store_id = null,
        $full_name = null,
        $search = null
    ) {
        $this->enabled = $enabled;
        $this->enabled_in_store = $enabled_in_store;
        $this->id = $id;
        $this->store_id = $store_id;
        $this->full_name = $full_name;
        $this->search = $search;
    }

    public function allowedSort()
    {
        return [
            'id',
            'name',
            'enabled',
            'created_at',
            'updated_at',
        ];
    }
}
