<?php

namespace Posify\Core\DataTransferObjects\Factories;

use Faker\Factory;
use Posify\Core\DataTransferObjects\CreateEmployeeData;
use Posify\Woocommerce\Enums\EmployeeRoles;

class CreateEmployeeDataFactory
{
    public static function factory(array $data = []): CreateEmployeeData
    {
        $faker = Factory::create();

        $data = array_merge([
            'username' => $faker->userName,
            'email' => $faker->email,
            'password' => '123',
            'full_name' => $faker->name,
            'role' => EmployeeRoles::CASHIER,
        ], $data);

        return CreateEmployeeData::make($data);
    }
}
