<?php

namespace Posify\Core\DataTransferObjects\Factories;

use Faker\Factory;
use Posify\Core\DataTransferObjects\CreateReceiptData;

class CreateReceiptDataFactory
{
    public static function factory(array $data = []): CreateReceiptData
    {
        $faker = Factory::create();

        $data = array_merge([
            'name' => $faker->name,
            'show_logo' => $faker->boolean,
            'logo_url' => $faker->imageUrl(),
            'show_sku' => $faker->boolean,
            'sku_label' => $faker->word,
            'show_store_name' => $faker->boolean,
            'receipt_footer' => $faker->sentence,
            'show_vat' => $faker->boolean,
            'vat_label' => $faker->word,
            'show_address' => $faker->boolean,
            'show_phone' => $faker->boolean,
            'show_email' => $faker->boolean,
            'show_fax' => $faker->boolean,
            'show_website' => $faker->boolean,
            'show_facebook' => $faker->boolean,
            'show_twitter' => $faker->boolean,
            'show_instagram' => $faker->boolean,
            'show_youtube' => $faker->boolean,
            'show_order_date' => $faker->boolean,
            'order_date_label' => $faker->word,
            'show_order_number' => $faker->boolean,
            'order_number_label' => $faker->word,
            'show_order_customer' => $faker->boolean,
            'order_customer_label' => $faker->word,
            'show_shipping' => $faker->boolean,
            'shipping_label' => $faker->word,
            'show_order_register' => $faker->boolean,
            'order_register_label' => $faker->word,
            'show_cashier' => $faker->boolean,
            'cashier_label' => $faker->word,
            'show_customer_note' => $faker->boolean,
            'customer_note_label' => $faker->word,
        ], $data);

        return CreateReceiptData::make($data);
    }
}
