<?php

namespace Posify\Core\DataTransferObjects\Factories;

use Faker\Factory;
use Posify\Core\DataTransferObjects\CreateRegisterData;

class CreateRegisterDataFactory
{
    public static function factory(array $data = []): CreateRegisterData
    {
        $faker = Factory::create();

        $data = array_merge([
            'name' => $faker->title(),
            'payment_gateways' => [],
            'closing_report_enabled' => true,
            'closing_report_note_enabled' => false,
            'catalog_include_type' => 'all',
            'catalog_include_products' => [1, 2, 3],
            'catalog_include_categories' => [1, 2, 3],
            'catalog_show_in_pos_type' => 'categories',
            'enabled' => true,
            'audio_enabled' => true,
            'numeric_controller_discount_presets' => [5, 10, 15, 20, 25],
            'fee_and_discount_presets' => [5, 10, 15, 20, 25],
            'shipping_methods' => [],
            'tax_classes' => [],
            'tax_status' => [],
            'scan_enabled' => true,
            'guest_checkout_enabled' => true,
            'shipping_enabled' => true,
            'create_product_enabled' => true,
            'default_payment_gateway' => null,
            'default_shipping_method' => null,
            'default_tax_class' => null,
            'default_tax_status' => null,
            'auto_print_receipt_enabled' => true,
        ], $data);

        return CreateRegisterData::make($data);
    }
}
