<?php

namespace Posify\Core\DataTransferObjects\Factories;

use Faker\Factory;
use Posify\Core\DataTransferObjects\CreateStoreData;

class CreateStoreDataFactory
{
    public static function factory(array $data = []): CreateStoreData
    {
        $faker = Factory::create();

        $data = array_merge([
            'name' => $faker->sentence(),
            'address' => $faker->address(),
            'city' => $faker->city(),
            'country_state' => $faker->country(),
            'postcode' => $faker->postcode(),
            'phone' => $faker->phoneNumber(),
            'fax' => $faker->phoneNumber(),
            'email' => $faker->email(),
            'website' => $faker->domainName(),
            'facebook' => $faker->domainName(),
            'twitter' => $faker->domainName(),
            'instagram' => $faker->domainName(),
            'youtube' => $faker->domainName(),
            'enabled' => true,
            'vat_number' => $faker->randomNumber(9),
        ], $data);

        return CreateStoreData::make($data);
    }
}
