<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class RegisterSessionQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $id = null;
    public $store_id = null;
    public $register_id = null;
    public $employee_id = null;
    public $open_date = null;
    public $open_date_format = null;
    public $close_date = null;
    public $close_date_format = null;
    public $time_status = null;
    public $store_has_employee_id = null;

    public function __construct(
        $id = null,
        $store_id = null,
        $register_id = null,
        $employee_id = null,
        $open_date = null,
        $open_date_format = null,
        $close_date = null,
        $close_date_format = null,
        $time_status = null,
        $store_has_employee_id = null
    ) {
        $this->id = $id;
        $this->store_id = $store_id;
        $this->register_id = $register_id;
        $this->employee_id = $employee_id;
        $this->open_date = $open_date;
        $this->open_date_format = $open_date_format;
        $this->close_date = $close_date;
        $this->close_date_format = $close_date_format;
        $this->time_status = $time_status;
        $this->store_has_employee_id = $store_has_employee_id;
    }
}
