<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class StockQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $id = null;
    public $store_id = null;
    public $store_ids = null;
    public $variant_id = null;
    public $product_id = null;
    public $store_id_not_in = null;

    public function __construct(
        $id = null,
        $store_id = null,
        $store_ids = null,
        $variant_id = null,
        $product_id = null,
        $store_id_not_in = null
    ) {
        $this->id = $id;
        $this->store_id = $store_id;
        $this->store_ids = $store_ids;
        $this->variant_id = $variant_id;
        $this->product_id = $product_id;
        $this->store_id_not_in = $store_id_not_in;
    }
}
