<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class StoreQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $enabled;
    public $id = null;
    public $name = null;
    public $employee_id = null;
    public $keyword = null;

    public function __construct(
        $enabled,
        $id = null,
        $name = null,
        $employee_id = null,
        $keyword = null
    ) {
        $this->enabled = $enabled;
        $this->id = $id;
        $this->name = $name;
        $this->employee_id = $employee_id;
        $this->keyword = $keyword;
    }

    public function allowedSort()
    {
        return [
            'id',
            'name',
            'employee_id',
            'enabled',
            'created_at',
            'updated_at',
        ];
    }
}
