<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;


class UpdateRegisterData
{
    use HasTransformObject;
    use HasMakeFactory;

    public $name;
    public $receipt_id;
    public $payment_gateways;
    public $closing_report_enabled;
    public $closing_report_note_enabled;
    public $enabled;
    public $catalog_include_type;
    public $catalog_include_categories;
    public $catalog_include_products;
    public $catalog_show_in_pos_type;
    public $shipping_methods;
    public $tax_classes;
    public $tax_status;
    public $numeric_controller_discount_presets;
    public $fee_and_discount_presets;
    public $audio_enabled;
    public $scan_enabled;
    public $auto_print_receipt_enabled;
    public $guest_checkout_enabled;
    public $create_product_enabled;
    public $shipping_enabled;
    public $default_payment_gateway;
    public $default_shipping_method;
    public $default_tax_class;
    public $default_tax_status;
    public $show_stock_quantity;

    public function __construct(
        $name,
        $receipt_id,
        $payment_gateways,
        $closing_report_enabled,
        $closing_report_note_enabled,
        $enabled,
        $catalog_include_type,
        $catalog_include_categories,
        $catalog_include_products,
        $catalog_show_in_pos_type,
        $shipping_methods,
        $tax_classes,
        $tax_status,
        $numeric_controller_discount_presets,
        $fee_and_discount_presets,
        $audio_enabled,
        $scan_enabled,
        $auto_print_receipt_enabled,
        $guest_checkout_enabled,
        $create_product_enabled,
        $shipping_enabled,
        $default_payment_gateway,
        $default_shipping_method,
        $default_tax_class,
        $default_tax_status,
        $show_stock_quantity
    ) {
        $this->name = $name;
        $this->receipt_id = $receipt_id;
        $this->payment_gateways = $payment_gateways;
        $this->closing_report_enabled = $closing_report_enabled;
        $this->closing_report_note_enabled = $closing_report_note_enabled;
        $this->enabled = $enabled;
        $this->catalog_include_type = $catalog_include_type;
        $this->catalog_include_categories = $catalog_include_categories;
        $this->catalog_include_products = $catalog_include_products;
        $this->catalog_show_in_pos_type = $catalog_show_in_pos_type;
        $this->shipping_methods = $shipping_methods;
        $this->tax_classes = $tax_classes;
        $this->tax_status = $tax_status;
        $this->numeric_controller_discount_presets = $numeric_controller_discount_presets;
        $this->fee_and_discount_presets = $fee_and_discount_presets;
        $this->audio_enabled = $audio_enabled;
        $this->scan_enabled = $scan_enabled;
        $this->auto_print_receipt_enabled = $auto_print_receipt_enabled;
        $this->guest_checkout_enabled = $guest_checkout_enabled;
        $this->create_product_enabled = $create_product_enabled;
        $this->shipping_enabled = $shipping_enabled;
        $this->default_payment_gateway = $default_payment_gateway;
        $this->default_shipping_method = $default_shipping_method;
        $this->default_tax_class = $default_tax_class;
        $this->default_tax_status = $default_tax_status;
        $this->show_stock_quantity = $show_stock_quantity;
    }
}
