<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class UpdateSettingData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $login_background_url;
    public $login_background_color;
    public $primary_color;
    public $secondary_color;
    public $info_color;
    public $positive_color;
    public $negative_color;
    public $notify_no_stock_amount;
    public $multistock_enabled;
    public $multistock_condition;
    public $show_stock_on_pos;
    public $vat_field_label;
    public $product_scan_field;
    public $logo_url;
    public $address_format;
    public $payment_gateways;
    public $shipping_methods;
    public $tax_classes;
    public $tax_status;

    public function __construct(
        $login_background_url,
        $login_background_color,
        $primary_color,
        $secondary_color,
        $info_color,
        $positive_color,
        $negative_color,
        $notify_no_stock_amount,
        $multistock_enabled,
        $multistock_condition,
        $show_stock_on_pos,
        $vat_field_label,
        $product_scan_field,
        $logo_url,
        $address_format,
        $payment_gateways,
        $shipping_methods,
        $tax_classes,
        $tax_status
    ) {
        $this->login_background_url = $login_background_url;
        $this->login_background_color = $login_background_color;
        $this->primary_color = $primary_color;
        $this->secondary_color = $secondary_color;
        $this->info_color = $info_color;
        $this->positive_color = $positive_color;
        $this->negative_color = $negative_color;
        $this->notify_no_stock_amount = $notify_no_stock_amount;
        $this->multistock_enabled = $multistock_enabled;
        $this->multistock_condition = $multistock_condition;
        $this->show_stock_on_pos = $show_stock_on_pos;
        $this->vat_field_label = $vat_field_label;
        $this->product_scan_field = $product_scan_field;
        $this->logo_url = $logo_url;
        $this->address_format = $address_format;
        $this->payment_gateways = $payment_gateways;
        $this->shipping_methods = $shipping_methods;
        $this->tax_classes = $tax_classes;
        $this->tax_status = $tax_status;
    }
}
