<?php

namespace Posify\Core\Exceptions;

use Exception;
use Illuminate\Validation\Validator;

class DataInvalidException extends Exception
{
    public $code;
    public $detailErrors;
    public $message;

    public function __construct($code, $message = 'Data is invalid', array $detailErrors = [])
    {
        $this->code = $code;
        $this->detailErrors = $detailErrors;
        $this->message = $message;

        parent::__construct("$message");
    }

    public static function fromValidator(Validator $validator)
    {
        return new static(
            'data_invalid',
            $validator->errors()->first(),
            $validator->errors()->toArray(),
        );
    }

    public function getDetailErrors()
    {
        return $this->detailErrors;
    }
}
