<?php

namespace Posify\Core;

use Exception;

class Loader
{
    protected static $instances = [
        //
    ];

    public static function bind($alias, $class)
    {
        static::$instances[$alias] = [
            'type' => 'bind',
            'class' => $class,
        ];
    }

    public static function singleton($alias, $class)
    {
        static::$instances[$alias] = [
            'type' => 'singleton',
            'class' => $class,
            'instance' => null,
        ];
    }

    public static function load($alias, ...$args)
    {
        if (!isset(static::$instances[$alias])) {
            throw new Exception("Alias {$alias} not found");
        }

        $instance = static::$instances[$alias];

        if ($instance['type'] === 'singleton') {
            if ($instance['instance'] === null) {
                $instance['instance'] = new $instance['class'](...$args);
            }

            return $instance['instance'];
        }

        return new $instance['class'](...$args);
    }
}
