<?php

namespace Posify\Core\Reports;

abstract class AbstractOverviewReport
{
    abstract public function getTotalSales(): float;
    abstract public function getTotalItems(): int;
    abstract public function getTotalDiscounts(): float;
    abstract public function getTotalOrders(): int;
    abstract public function getTotalCustomers(): int;

    public function getTotalNetSales(): float
    {
        $result = $this->getTotalSales() - $this->getTotalDiscounts();

        return $result < 0 ? 0 : $result;
    }

    public function getAvgOrderValue(): float
    {
        $totalOrders = $this->getTotalOrders();
        if ($totalOrders === 0) {
            return 0;
        }

        return $this->getTotalSales() / $totalOrders;
    }

    public function getAvgItemsPerOrder(): float
    {
        $totalOrders = $this->getTotalOrders();

        if ($totalOrders === 0) {
            return 0;
        }

        return $this->getTotalItems() / $this->getTotalOrders();
    }
}
