<?php

namespace Posify\Core\Repositories;

use Posify\Core\Exceptions\NotFoundRepository;

class Repository
{
    const STORE_REPO = 'store';
    const REGISTER_REPO = 'register';
    const REGISTER_SESSION = 'register_session';
    const REGISTER_CASH_REPO = 'register_cash';
    const REGISTER_SESSION_EMPLOYEE_REPO = 'register_session_employee';
    const EMPLOYEE_REPO = 'employee';
    const RECEIPT_REPO = 'receipt';
    const SETTING_REPO = 'setting';
    const ORDER_REPO = 'order';
    const STOCK_REPO = 'stock';

    protected static $repositories = [
        //
    ];

    protected static $loaded = [
        //
    ];

    public static function load($repoName)
    {
        if (!isset(static::$repositories[$repoName])) {
            throw new NotFoundRepository($repoName);
        }

        $repoClass = static::$repositories[$repoName];
        $repoInstance = new $repoClass();

        if (!isset(static::$loaded[$repoName])) {
            static::$loaded[$repoName] = $repoInstance;
        }

        return static::$loaded[$repoName];
    }

    public static function register($repoName, $repoClass)
    {
        static::$repositories[$repoName] = $repoClass;
    }
}
