<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\AddStoreEmployeeData;
use Posify\Core\Entities\Employee;
use Posify\Core\Entities\Store;

class AddStoreEmployee
{
    public Store $store;
    public Employee $employee;
    public AddStoreEmployeeData $data;

    public function __construct(
        Store $store,
        Employee $employee,
        AddStoreEmployeeData $data
    ) {
        $this->store = $store;
        $this->employee = $employee;
        $this->data = $data;
    }

    public function handle(): void
    {
        $this->data->validate();

        $this->store->employees()->attach($this->employee->getId(), [
            'enabled' => $this->data->enabled,
        ]);
    }

    public static function make(
        Store $store,
        Employee $employee,
        AddStoreEmployeeData $data
    ) {
        return new static(
            $store,
            $employee,
            $data,
        );
    }
}
