<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\RegisterSession;

class CloseRegisterSession
{
    public RegisterSession $registerSession;
    public string $closeTime;
    public ?string $note = null;

    public function __construct(
        RegisterSession $registerSession,
        string $closeTime,
        ?string $note = null
    ) {
        $this->registerSession = $registerSession;
        $this->note = $note;
        $this->closeTime = $closeTime;
    }

    public function handle(): void
    {
        $this->registerSession->setCloseTime($this->closeTime);
        $this->registerSession->setNote($this->note);
        $this->registerSession->save();

        $this->registerSession->employeeActions()->create([
            'employee_id' => $this->registerSession->getEmployeeId(),
            'action' => 'close_session',
        ]);
    }

    public static function make(
        RegisterSession $registerSession,
        string $closeTime,
        string $note = null
    ) {
        return new static(
            $registerSession,
            $closeTime,
            $note
        );
    }
}
