<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\CreateEmployeeData;
use Posify\Core\Entities\Employee;
use Posify\Core\Loader;

class CreateEmployee
{
    protected $employeeRepository;

    public CreateEmployeeData $data;

    public function __construct(
        CreateEmployeeData $data
    ) {
        $this->data = $data;
    }

    public function handle(): Employee
    {
        $this->data->validate();

        $employee = Loader::load(Employee::class);
        $employee->setUsername($this->data->username);
        $employee->setEmail($this->data->email);
        $employee->setFullName($this->data->full_name);
        $employee->setPassword($this->data->password);
        $employee->setRole($this->data->role);
        $employee->save();

        return $employee;
    }

    public static function make(
        CreateEmployeeData $data
    ) {
        return new static(
            $data,
        );
    }
}
