<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\CreateStockData;
use Posify\Core\Entities\Stock;
use Posify\Core\Loader;

class CreateStock
{
    public CreateStockData $data;

    public function __construct(
        CreateStockData $data
    ) {
        $this->data = $data;
    }

    public function handle(): Stock
    {
        $stock = Loader::load(Stock::class);

        $stock->setStoreId($this->data->store_id);
        $stock->setProductId($this->data->product_id);
        $stock->setVariantId($this->data->variant_id);
        $stock->setStockQuantity($this->data->stock_quantity);
        $stock->save();

        return $stock;
    }

    public static function make(
        CreateStockData $data
    ) {
        return new static(
            $data,
        );
    }
}
