<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\CreateStoreData;
use Posify\Core\Entities\Store;
use Posify\Core\Loader;

class CreateStore
{
    public CreateStoreData $data;

    public function __construct(
        CreateStoreData $data
    ) {
        $this->data = $data;
    }

    public function handle(): Store
    {
        $this->data->validate();

        $store = Loader::load(Store::class);

        $store->setName($this->data->name);
        $store->setAddress($this->data->address);
        $store->setCity($this->data->city);
        $store->setCountryState($this->data->country_state);
        $store->setPostcode($this->data->postcode);
        $store->setPhone($this->data->phone);
        $store->setFax($this->data->fax);
        $store->setEmail($this->data->email);
        $store->setWebsite($this->data->website);
        $store->setFacebook($this->data->facebook);
        $store->setTwitter($this->data->twitter);
        $store->setInstagram($this->data->instagram);
        $store->setYoutube($this->data->youtube);
        $store->setEnabled($this->data->enabled);
        $store->setVatNumber($this->data->vat_number);
        $store->save();

        return $store;
    }

    public static function make(
        CreateStoreData $data
    ) {
        return new static(
            $data
        );
    }
}
