<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Stock;

class DecreaseStockQuantity
{
    public Stock $stock;
    public $decrementNumber;

    public function __construct(
        Stock $stock,
        $decrementNumber
    ) {
        $this->stock = $stock;
        $this->decrementNumber = $decrementNumber;
    }

    public function handle(): int
    {
        return $this->stock->decrementQuantity($this->decrementNumber);
    }

    public static function make(
        Stock $stock,
        int $decrementNumber
    ) {
        return new static(
            $stock,
            $decrementNumber,
        );
    }
}
