<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Employee;
use Posify\Core\Entities\Store;

class DeleteStoreEmployee
{
    public Store $store;
    public Employee $employee;

    public function __construct(
        Store $store,
        Employee $employee
    ) {
        $this->store = $store;
        $this->employee = $employee;
    }

    public function handle(): void
    {
        $this->store->employees()->detach($this->employee->getId());
    }

    public static function make(
        Store $store,
        Employee $employee
    ) {
        return new static(
            $store,
            $employee,
        );
    }
}
