<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Stock;
class IncreaseStockQuantity
{
    public Stock $stock;
    public $incrementNumber;

    public function __construct(
        Stock $stock,
        $incrementNumber
    ) {
        $this->stock = $stock;
        $this->incrementNumber = $incrementNumber;
    }

    public function handle(): int
    {
        return $this->stock->incrementQuantity($this->incrementNumber);
    }

    public static function make(
        Stock $stock,
        int $incrementNumber
    ) {
        return new static(
            $stock,
            $incrementNumber,
        );
    }
}
