<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\UpdateEmployeeData;
use Posify\Core\Entities\Employee;
use Posify\Core\ValueObjects\Undefined;

class UpdateEmployee
{
    public Employee $employee;
    public UpdateEmployeeData $data;

    public function __construct(
        Employee $employee,
        UpdateEmployeeData $data
    ) {
        $this->employee = $employee;
        $this->data = $data;
    }

    public function handle(): Employee
    {
        if (!Undefined::is($this->data->name)) {
            $this->employee->setName($this->data->name);
        }

        $this->employee->save();

        return $this->employee;
    }

    public static function make(
        Employee $employee,
        UpdateEmployeeData $data
    ) {
        return new static(
            $employee,
            $data,
        );
    }
}
