<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\UpdateSettingData;
use Posify\Core\Loader;
use Posify\Core\Repositories\SettingRepository;

class UpdateSetting
{
    protected $settingRepository;

    public UpdateSettingData $data;

    public function __construct(
        UpdateSettingData $data
    ) {
        $this->data = $data;
        $this->settingRepository = Loader::load(SettingRepository::class);
    }

    public function handle(): void
    {
        $this->settingRepository->update($this->data);
    }

    public static function make(
        UpdateSettingData $data
    ) {
        return new static(
            $data,
        );
    }
}
