<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\UpdateStockData;
use Posify\Core\Entities\Stock;
use Posify\Core\ValueObjects\Undefined;

class UpdateStock
{
    public Stock $stock;
    public UpdateStockData $data;

    public function __construct(
        Stock $stock,
        UpdateStockData $data
    ) {
        $this->stock = $stock;
        $this->data = $data;
    }

    public function handle(): void
    {
        if (!Undefined::is($this->data->stock_quantity)) {
            $this->stock->setStockQuantity($this->data->stock_quantity);
        }

        $this->stock->save();
    }

    public static function make(
        Stock $stock,
        UpdateStockData $data
    ) {
        return new static(
            $stock,
            $data,
        );
    }
}
