<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\UpdateStoreData;
use Posify\Core\Entities\Store;
use Posify\Core\ValueObjects\Undefined;

class UpdateStore
{
    public Store $store;
    public UpdateStoreData $data;

    public function __construct(
        Store $store,
        UpdateStoreData $data
    ) {
        $this->store = $store;
        $this->data = $data;
    }

    public function handle(): Store
    {
        if (!Undefined::is($this->data->name)) {
            $this->store->setName($this->data->name);
        }

        if (!Undefined::is($this->data->address)) {
            $this->store->setAddress($this->data->address);
        }

        if (!Undefined::is($this->data->city)) {
            $this->store->setCity($this->data->city);
        }

        if (!Undefined::is($this->data->country_state)) {
            $this->store->setCountryState($this->data->country_state);
        }

        if (!Undefined::is($this->data->postcode)) {
            $this->store->setPostcode($this->data->postcode);
        }

        if (!Undefined::is($this->data->phone)) {
            $this->store->setPhone($this->data->phone);
        }

        if (!Undefined::is($this->data->fax)) {
            $this->store->setFax($this->data->fax);
        }

        if (!Undefined::is($this->data->email)) {
            $this->store->setEmail($this->data->email);
        }

        if (!Undefined::is($this->data->website)) {
            $this->store->setWebsite($this->data->website);
        }

        if (!Undefined::is($this->data->facebook)) {
            $this->store->setFacebook($this->data->facebook);
        }

        if (!Undefined::is($this->data->twitter)) {
            $this->store->setTwitter($this->data->twitter);
        }

        if (!Undefined::is($this->data->instagram)) {
            $this->store->setInstagram($this->data->instagram);
        }

        if (!Undefined::is($this->data->youtube)) {
            $this->store->setYoutube($this->data->youtube);
        }

        if (!Undefined::is($this->data->enabled)) {
            $this->store->setEnabled($this->data->enabled);
        }

        if (!Undefined::is($this->data->vat_number)) {
            $this->store->setVatNumber($this->data->vat_number);
        }

        $this->store->save();

        return $this->store;
    }

    public static function make(
        Store $store,
        UpdateStoreData $data
    ) {
        return new static(
            $store,
            $data,
        );
    }
}
