<?php

namespace Posify\Core\UseCases;

use Posify\Core\DataTransferObjects\UpdateStoreEmployeeData;
use Posify\Core\Entities\Employee;
use Posify\Core\Entities\Store;
use Posify\Core\ValueObjects\Undefined;

class UpdateStoreEmployee
{
    public Store $store;
    public Employee $employee;
    public UpdateStoreEmployeeData $data;

    public function __construct(
        Store $store,
        Employee $employee,
        UpdateStoreEmployeeData $data
    ) {
        $this->store = $store;
        $this->employee = $employee;
        $this->data = $data;
    }

    public function handle(): void
    {
        $data = [];

        if (!Undefined::is($this->data->enabled)) {
            $data['enabled'] = $this->data->enabled;
        }

        $this->store->employees()->updateExistingPivot($this->employee->getId(), $data);
    }

    public static function make(
        Store $store,
        Employee $employee,
        UpdateStoreEmployeeData $data
    ) {
        return new static(
            $store,
            $employee,
            $data,
        );
    }
}
