<?php

namespace Posify\Core\Utilities;

trait HasEntityQueryParams
{
    protected array $with = [];

    protected array $withCount = [];

    protected $sort = 'id';

    protected $order = 'desc';

    protected $perPage = 15;

    protected $page = 1;

    protected $select = ['*'];

    protected $pageParam = 'page';

    public function allowedSort()
    {
        return [
            //
        ];
    }

    public function allowedOrder()
    {
        return [
            'asc',
            'desc'
        ];
    }

    /**
     * --------------------------
     * Getters
     * --------------------------
     */
    public function getSort()
    {
        return $this->sort;
    }

    public function getOrder()
    {
        return $this->order;
    }

    public function getPerpage()
    {
        return $this->perPage;
    }

    public function getPage()
    {
        return $this->page;
    }

    public function getWith()
    {
        return $this->with ?? $this->defaultWith();
    }

    public function getSelect()
    {
        return $this->select;
    }

    public function getPageParam()
    {
        return $this->pageParam;
    }

    public function getWithCount()
    {
        return $this->withCount;
    }

    /**
     * --------------------------
     * Setters
     * --------------------------
     */

    public function setSort($sort)
    {
        $this->sort = $sort;
    }

    public function setOrder($order)
    {
        $this->order = $order;
    }

    public function setPerPage($perPage)
    {
        $this->perPage = $perPage;
    }

    public function setPage($page)
    {
        $this->page = $page;
    }

    public function setWith($with)
    {
        $this->with = $with;
    }

    public function addWith()
    {
        $this->with = array_merge($this->with, func_get_args());
    }

    public function setSelect($select)
    {
        $this->select = $select;
    }

    public function addSelect()
    {
        $this->select = array_merge($this->select, func_get_args());
    }

    public function setPageParam($pageParam)
    {
        $this->pageParam = $pageParam;
    }

    public function setWithCount($withCount)
    {
        $this->withCount = $withCount;
    }

    public function addWithCount()
    {
        $this->withCount = array_merge($this->withCount, func_get_args());
    }
}
