<?php

namespace Posify\Core\Validation\Rules;

use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Posify\Core\Loader;
use Posify\Core\Repositories\StoreRepository;

class StoreMustExists implements ValidationRule
{
    /**
     * Run the validation rule.
     */
    public function validate(string $attribute, mixed $value, Closure $fail): void
    {
        $storeRepo = Loader::load(StoreRepository::class);

        $store = $storeRepo->exists($value);

        if (!$store) {
            $fail('The :attribute must be exists');
        }
    }
}
