<?php

namespace Posify\CustomerLicense;

class LicenseInfo
{
    protected $product_name = null;
    protected $start_date = null;
    protected $end_date = null;
    protected $customer_name = null;
    protected $customer_email = null;
    protected $domains = [];
    protected $refer_code = null;
    protected $signature = null;
    protected $order_key = null;

    public function __construct()
    {
        //
    }

    public static function make(array $rawLicenseInfo)
    {
        $licenseInfo = new static();

        $licenseInfo->product_name = $rawLicenseInfo['product_name'];
        $licenseInfo->refer_code = $rawLicenseInfo['refer_code'];
        $licenseInfo->end_date = $rawLicenseInfo['end_date'];
        $licenseInfo->start_date = $rawLicenseInfo['start_date'];
        $licenseInfo->customer_name = $rawLicenseInfo['customer_name'];
        $licenseInfo->customer_email = $rawLicenseInfo['customer_email'];
        $licenseInfo->domains = (array) $rawLicenseInfo['domains'];
        $licenseInfo->signature = $rawLicenseInfo['signature'];
        $licenseInfo->order_key = $rawLicenseInfo['order_key'];

        return $licenseInfo;
    }

    public function getProductName()
    {
        return $this->product_name;
    }

    public function getEndDate()
    {
        /**
         * We have a bug, when end_date is forever
         * It will be a empty array
         */
        if (is_array($this->end_date) && !count($this->end_date)) {
            $endDate = null;
        } else {
            $endDate = $this->end_date;
        }

        return $endDate;
    }

    public function getStartDate()
    {
        return $this->start_date;
    }

    public function getReferCode()
    {
        return $this->refer_code;
    }

    public function getAffiliateCode()
    {
        return $this->getReferCode();
    }

    public function getDomain()
    {
        return $this->domains;
    }

    public function getSignature()
    {
        return $this->signature;
    }

    public function getCustomerName()
    {
        return $this->customer_name;
    }

    public function getCustomerEmail()
    {
        return $this->customer_email;
    }

    public function getOrderUrl()
    {
        return Utils::getOrderUrl($this->order_key);
    }

    public function toArray()
    {
        return [
            'product_name' => $this->product_name,
            'start_date' => $this->start_date,
            'end_date' => $this->getEndDate(),
            'domains' => $this->domains,
            'customer_name' => $this->customer_name,
            'customer_email' => $this->customer_email,
            'order_key' => $this->order_key,
            'order_url' => $this->getOrderUrl(),
        ];
    }
}
