<?php

namespace Posify\CustomerLicense;

class Utils
{
    public static function getLicenseServerUrl($append = null)
    {
        if (defined('POSIFY_LICENSE_SERVER_URL')) {
            return POSIFY_LICENSE_SERVER_URL . '/' . $append;
        }

        return 'https://posify.net/wp-json/posify-ls/v1/' . $append;
    }

    public static function getCorrectDomain($domain)
    {
        $domain = str_replace(['http://', 'https://'], '', $domain);
        $domain = explode('/', $domain);
        $domain = $domain[0];

        return $domain;
    }

    public static function getOrderUrl($orderKey)
    {
        return static::getPosifyHomeUrl('?route=short/go-to-order&order_key=' . $orderKey);
    }

    public static function getPosifyHomeUrl($append = null)
    {
        $baseUrl = null;

        if (defined('POSIFY_HOME_URL')) {
            $baseUrl = POSIFY_HOME_URL;
        } else {
            $baseUrl = 'https://posify.net';
        }

        return $baseUrl . '/' . $append;
    }
}
