<?php

/**
 * Plugin Name: Posify for WooCommerce
 * Plugin URI: https://posify.net
 * Description: <code>Posify for WooCommerce</code> allows you to transform your WooCommerce installation into an easy-to-use and powerful cash register for various types of stores and businesses. For more information, please visit our website at <a href="https://posify.net/" target="_blank">Posify.net</a>
 * Version: 1.2.84
 * Author: Posify
 * Author URI: https://phambinh.net
 * License: GPL2+
 * Text Domain: posify-for-woocommerce
 * Domain Path /resources/languages/
 * Requires PHP: 7.4
 * Requires at least: 5.0
 * Tested up to: 6.3
 * WC requires at least: 5.6.0
 * WC tested up to: 8.2
 *
 * * @package Posify
 */

if (!defined('ABSPATH')) exit;

include_once __DIR__ . '/vendor/autoload.php';
include_once __DIR__ . '/utilities.php';

use Automattic\WooCommerce\Utilities\FeaturesUtil;

$pluginInfo = get_file_data(__FILE__, [
    'plugin_name' => 'Plugin Name',
    'version' => 'Version',
]);

define('POSIFY_PLUGIN_NAME', $pluginInfo['plugin_name']);
define('POSIFY_VERSION', $pluginInfo['version']);
define('POSIFY_SLUG', plugin_basename(__DIR__));
define('POSIFY_HOME_DIR', __DIR__);
define('POSIFY_HOME_REL_DIR', dirname(plugin_basename(__FILE__)));
define('POSIFY_ENTIRE_FILE_PATH', __FILE__);

add_action('before_woocommerce_init', function () {
    if (class_exists(FeaturesUtil::class)) {
        FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
    }
});

POSIFY_INIT();
