<?php if (!defined('ABSPATH')) exit; ?>

<div class="posify-order-info__list">
    <div class="posify-order-info">
        <div class="posify-order-info__label"><?php echo esc_html__('Order made in store', 'posify-for-woocommerce') ?></div>
        <div><?php echo esc_html($storeName) ?></div>
    </div>

    <div class="posify-order-info">
        <div class="posify-order-info__label"><?php echo esc_html__('Register', 'posify-for-woocommerce') ?></div>
        <div><?php echo esc_html($registerName) ?></div>
    </div>

    <div class="posify-order-info">
        <div class="posify-order-info__label"><?php echo esc_html__('Cashier', 'posify-for-woocommerce') ?></div>
        <div><?php echo esc_html($cashierName) ?></div>
    </div>

    <?php if ($paymentGateways) : ?>
        <div class="posify-order-info">
            <div class="posify-order-info__label"><?php echo esc_html__('Payment gateways', 'posify-for-woocommerce') ?></div>

            <?php foreach ($paymentGateways as $paymentGateway) : ?>
                <div class="payment-gateway">
                    <span class="title"><?php echo esc_html($paymentGateway['payment_gateway_title']) ?>:</span>
                    <span class="amount">
                        <?php $amount_safe = wc_price($paymentGateway['amount'], $currency) ?>
                        <?php /* phpcs:ignore WordPress.Security.EscapeOutput */ ?>
                        <?php echo $amount_safe ?>
                    </span>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif ?>
</div>

<style>
    .posify-order-info__list {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .posify-order-info__list .posify-order-info {
        padding: 16px;
        background: #f4f4f4;
    }

    .posify-order-info__list .posify-order-info__label {
        font-weight: 600;
        text-transform: uppercase;
        margin-bottom: 8px;
    }

    .posify-order-info__list .payment-gateway {
        margin-bottom: 10px;
    }

    .posify-order-info__list .payment-gateway:last-child {
        margin-bottom: 0;
    }
</style>
